2008-08-07	artbear
	* Documents/history.txt 1.195:
		[+] последние изменения в 2.5.0.6

2008-07-09	artbear
	* Documents/MetaInfoClasses.txt 1.1:
	* Documents/commonchm.txt 1.15:
		[bug 3480]
		[+] документация по классу MetaInfoClasses - копия из ветки 3.0

2008-06-27	artbear
	* Source/CreateMetaInfoClasses.cpp 1.28:
		[bug 3937]
		[-] Баг - методы класса "MetaInfoClasses" было невозможно выполнить из других ВК

	* Source/ODBC/1CPP_ODBCRecordSet.cpp 1.19:
		[bug 3936]
		[-] Баг - свойство "md" было невозможно прочитать в других ВК

	* Source/System/Hooker.h 1.11:
		[bug 3933]
		[*] чуть более точное определение наследования интерфейсов

	* Source/System/OwnAboutWindowManager.h 1.2:
	* Source/System/OwnAboutWindowManager.h 1.3:
		[+] пример подключения собственного окна "О программе..." для сто
		ронних ВК, кроме 1С++ и ФормЕкс

2008-06-26	artbear
	* Source/ADDIN.CPP 1.61:
	* Source/AddIn.dsp 1.64:
	* Source/AddIn.rc 1.25:
	* Source/System/Hooker.cpp 1.18:
	* Source/System/Hooker.h 1.10:
	* Source/System/HyperLink.cpp 1.1:
	* Source/System/HyperLink.h 1.1:
	* Source/System/MyAboutWindowManager.cpp 1.1:
	* Source/System/MyAboutWindowManager.h 1.1:
	* Source/System/OwnAboutWindowManager.h 1.1:
	* Source/System/WrapAboutDlg.cpp 1.1:
	* Source/System/WrapAboutDlg.h 1.1:
	* Source/resource.h 1.12:
		[bug 3933]
		[+] реализован единый с ВК FormEx интерфейс для удобного встраивания своих окон
		в качестве закладок в окно 1С "О программе..."

2008-06-25	spock
	* Source/ODBC/Odbccore.cpp [rollback_point_adds_20080131] 1.18.12.2:
	* Source/ODBC/Odbccore.h [rollback_point_adds_20080131] 1.7.16.1:
		[*] Экстрактнул код из CDBField::GetValue в CDBField::
		GetValue_XXXX

2008-06-11	spock
	* Source/ODBC/Odbccore.cpp [rollback_point_adds_20080131] 1.18.12.1:
		[*]Для параметризированного запроса можно указать BinaryData пара
		метром УстПараметр для поля типа SQL_LONGVARCHAR (16/text)

2008-06-11	artbear
	* Documents/KB/TSQLInV7FirstSteps.html 1.4:
		[-] был указан неверный текст для параметризованного запроса
		обсуждение http://www.1cpp.ru/forum/YaBB.pl?num=1212807275/7#7

2008-06-05	artbear
	* Source/ComponentClass.cpp 1.124:
	* Source/ComponentClassAdd.cpp 1.13:
		[bug 3891]
		[-] при включенной отладке 1С++ могла выдавать исключения при создании правильных классов

2008-06-04	artbear
	* Source/AXControl.cpp 1.29:
		[bug 3473]
		[-] при создании АктивИкс-а на кнопке без формулы при нажатии Enter на этом АктивИкс
		в окне сообщений вылетает ошибка - Не обнаружена процедура ( ИмяКнопки )

	* Source/AddIn.dsp 1.63:
	* Source/CastContext.h 1.1:
	* Source/ComponentClass.cpp 1.123:
	* Source/ComponentClass.h 1.73:
		[+] рефакторинг - новый интерфейс IGetModule для возможности независимого получения указателей на мод
		ули КОП
		например, из КЗК-2

	* Testing/UnitTests/OOP/defcls.prm 1.42:
	* Testing/UnitTests/OOP/ООПТесты.txt 1.59:
	* Testing/UnitTests/OOP/Предок.txt 1.14:
	* Testing/UnitTests/OOP/ПредокПотомок.txt 1.6:
	* Testing/UnitTests/OOP/Тесты_ПарамПоУмолчаниюC_3ТочкамиВнутри.txt 1.3:
	* Testing/UnitTests/SpecialClasses/ВыполняемыйМодульТесты.txt 1.31:
	* Testing/UnitTests/SpecialClasses/ПерехватчикТесты.txt 1.10:
	* Testing/UnitTests/SpecialClasses/ТестыКлассовНаСоответствиеМетодовИСвойствТесты.txt 1.7:
		[+] последние версии тестов из 3.0

	* Source/System/GroupContextWrap.cpp 1.76:
		[bug 3893]
		[-] синтакс-ошибка

	* Documents/classes.txt 1.11:
		[*] коммент к описанию метода ПолучитьКонтекстОкружения()

2008-06-03	artbear
	* Source/ADDIN.CPP 1.60:
		[bug 3897]
		[-] неверное восстановление настроек 1С++

	* Testing/Config/Документы/Новый1/МодульФормы.1s 1.6:
	* Testing/UnitTests/SpecialClasses/КлассПерехватчикГлобальногоМодуля.txt 1.4:
	* Testing/UnitTests/SpecialClasses/ПерехватчикТесты.txt 1.9:
		[bug 3893]
		[+] соответствующие тесты

	* Source/System/GroupContextWrap.cpp 1.75:
		[bug 3893]
		[-] если в модуле формы документа нет обработчика ВводНаОсновании, не работал глобальный перехват Соб
		ытиеГМ_ВводНаОсновании

2008-05-28	artbear
	* Documents/classes.txt 1.10:
		[*] поправка к описанию ПриПолучении_ИмяАтрибута

2008-05-22	artbear
	* Source/System/ModuleEvents.cpp 1.4:
		[-] в сообщении об ошибке вкралась опечатка, что может путать пол
		ьзователя :(

2008-05-07	artbear
	* Documents/Informer.txt 1.11:
	* Documents/classes.txt 1.9:
	* Documents/extobjs.txt 1.47:
		[bug 3801]
		[-] баг сборки документации

2008-05-04	artbear
	* Testing/UnitTests/OOP/defcls.prm 1.41:
	* Testing/UnitTests/OOP/Тесты_ПарамПоУмолчаниюC_3ТочкамиВнутри.txt 1.2:
		[bug 3798]
		[+] соответствующий тест

2008-05-04	adirks
	* Source/VTExt/VTIterator.cpp 1.6:
	* Source/VTExt/VTIterator.cpp 1.7:
	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt 1.36:
		[-] ошибка при обратном итерировании по неуникальному индексу

2008-04-30	artbear
	* Source/System/Informer.cpp 1.12:
		[bug 3789]
		[+] рефакторинг кода для метода Информатор::ПолучитьТекстМодуля(Конт)

	* Source/StdAfx.h 1.41:
		[+] метод safe_dynamic_cast из icpp

	* Testing/UnitTests/SpecialClasses/ИнформаторТесты.txt 1.13:
		[bug 3789]
		[+] тест метода Информатор::ПолучитьТекстМодуля(Конт), демонстрирующий одну ошибку реализацию метода

	* Documents/Informer.txt 1.10:
	* Documents/history.txt 1.194:
	* Source/System/Informer.cpp 1.11:
	* Source/System/Informer.h 1.8:
		[bug 3789]
		[+] новый метод Информатор::ПолучитьТекстМодуля(Конт)

	* Testing/UnitTests/SpecialClasses/ИнформаторТесты.txt 1.12:
		[bug 3789]
		[+] тесты метода Информатор::ПолучитьТекстМодуля(Конт)

	* Documents/history.txt 1.193:
	* Source/System/GroupContextWrap.cpp 1.74:
		[bug 3791]
		[-] баг Перехватчика - нельзя было установить еще один перехват на уже перехваченную форму

	* Source/System/Hooker.cpp 1.17:
		[*] мелкий рефакторинг приведения типов

2008-04-29	artbear
	* Documents/Hooker.txt 1.12:
	* Documents/history.txt 1.192:
	* Source/System/DllHooker.cpp 1.17:
	* Source/System/DllHooker.h 1.13:
	* Source/System/Hooker.cpp 1.16:
	* Source/System/Hooker.h 1.9:
		[bug 3711]
		[+] новый метод Перехватчик::ВключитьРазбиениеДлинныхСтрокДляМетодаСообщить

	* Testing/UnitTests/SpecialClasses/ПерехватчикТесты.txt 1.8:
		[bug 3711]
		[+] тест метода Перехватчик::ВключитьРазбиениеДлинныхСтрокДляМетодаСообщить

	* Documents/extobjs.txt 1.46:
	* Documents/history.txt 1.191:
	* Source/System/System.cpp 1.37:
	* Source/System/System.h 1.17:
		[bug 3783]
		[+] класс Система - новый метод "Сериализовать"
		http://www.1cpp.ru/forum/YaBB.pl?num=1205930698/12#12

	* Source/System/System.cpp 1.38:
	* Source/System/System.h 1.18:
		[bug 3783]
		[-] Система::Сериализовать - устранен leak, из-за которого по завершении работы 1С зависал процесс 1С
		

	* Source/StdAfx.h 1.40:
		[*] более точное определение методов класса CBLMyEx

2008-04-28	artbear
	* Testing/UnitTests/SpecialClasses/СистемаТесты.txt 1.15:
		[bug 3783]
		[+] 2 спец.теста

2008-04-25	artbear
	* Testing/UnitTests/SpecialClasses/ВыполняемыйМодульТесты.txt 1.30:
		[bug 3764]
		[+] новый метод ВыполняемыйМодуль::ПолучитьТекстМодуля()

	* Documents/Informer.txt 1.8:
	* Documents/history.txt 1.190:
	* Source/System/Informer.cpp 1.10:
	* Source/System/Informer.h 1.7:
	* Testing/UnitTests/SpecialClasses/ИнформаторТесты.txt 1.11:
		[bug 3778]
		[+] Класс "Информатор" : новый метод ПолучитьТекстТекущегоМодуля

	* Documents/history.txt 1.189:
	* Source/ExecuteModule.cpp 1.30:
		[bug 3775]
		[-] методы ВыполняемыйМодуль::GetMethOfContext и Информатор::GetMethOfContext
		могли вызывать падение 1С.

2008-04-24	spock
	* Source/OLEDB/sp_cooledb.cpp 1.41:
	* Source/OLEDB/sp_cooledb.cpp [rollback_point_adds_20080131] 1.39.2.1:
	* Source/OLEDB/sp_cooledb.cpp [z_1cpp_2-0-3] 1.27.4.11:
		[-] Устранил утечки памяти при конвертации BSTR в String

2008-04-24	artbear
	* Documents/extobjs.txt 1.45:
	* Documents/history.txt 1.188:
	* Source/ExecuteModule.cpp 1.29:
	* Source/ExecuteModule.h 1.13:
		[bug 3764]
		[+] новый метод ВыполняемыйМодуль::ПолучитьТекстМодуля()

2008-04-18	kms
	* Source/CursorGrid/CursorGridCtrl.cpp 1.35:
		[-] Изменен момент вызова события ПриВыводеСтроки
		[bug 3750]

2008-04-18	steban
	* Source/AXControl.cpp 1.28:
		Английское название класса приведено в соответствие с документаци
		ей

2008-04-17	artbear
	* Documents/history.txt 1.187:
		[+] свежее исправление по ИТ

	* Testing/UnitTests/SpecialClasses/ВыполняемыйМодульТесты.txt 1.29:
		[bug 1858]
		[+] тесты метода РазрешитьВложенныйВызовМетодов

	* Documents/extobjs.txt 1.44:
	* Documents/history.txt 1.186:
	* Source/ExecuteModule.cpp 1.28:
	* Source/ExecuteModule.h 1.12:
		[bug 1858]
		[+] новый метод РазрешитьВложенныйВызовМетодов

	* Source/BLModuleWrapper.h 1.11:
		[-] баг компиляции :( - оказывается, ВС6 не умеет работать с таки
		ми объявлениями

2008-04-15	adirks
	* Source/VTExt/VTExtended.cpp 1.80:
	* Source/VTExt/VTExtended.cpp [z_1cpp_2-0-3] 1.54.4.13:
		[-] исправлена ошибка в методах RightJoin() и FullJoin(): неверно
		 выделялась память, что приводило к исключению, и падению 1С

2008-04-15	artbear
	* Documents/history.txt 1.185:
	* Source/OLEDB/sp_cooledb.cpp 1.40:
		[bug 3739]
		[-] метод OLEDBCommand::ДобПараметр() имеет 4 параметра, а не 5.

2008-04-09	artbear
	* Source/BLModuleWrapper.cpp 1.15:
		[bug 3701]
		[-] в 2.5 временно убрана возможность отладки текстовых файлов без
		кнопки Отладка 1С++
		http://www.1cpp.ru/forum/YaBB.pl?num=1206042291/85#85

	* Testing/UnitTests/OOP/defcls.prm 1.40:
	* Testing/UnitTests/OOP/ООПТесты.txt 1.58:
	* Testing/UnitTests/OOP/Предок.txt 1.13:
		[bug 3712]
		[-] Тесты для бага;

	* Testing/UnitTests/OOP/defcls.prm 1.39:
	* Testing/UnitTests/OOP/ООПТесты.txt 1.57:
	* Testing/UnitTests/OOP/Предок.txt 1.12:
		[bug 3710]
		[-] Тесты для бага - при вызове экспортных методов и свойств базового класса при вызове в деструкторе
		 базового класса уже после отработки деструктор потомка;

2008-04-05	artbear
	* Source/ExecuteModule.h 1.11:
		[*] рефакторинг - перенос из 3.0
		неверная работа с классом std::vector

2008-04-04	artbear
	* Source/BLModuleWrapper.cpp 1.14:
	* Source/BLModuleWrapper.h 1.10:
	* Source/ComponentClass.cpp 1.122:
		[bug 3701]
		+ Доработа отладка классов 1С++.
		Теперь кнопка "Отладка" в настройках 1С++ не нужна, т.к. возможна обычная отладка через отладчик 1С++
		
		- Исправлен баг - не всегда была возможность отлаживать классы с установкой точки отладки через Конфи
		гуратор

2008-04-02	spock
	* Documents/ODBC.TXT [rollback_point_adds_20080131] 1.13.6.1:
	* Source/ODBC/MetaNameParser.cpp [rollback_point_adds_20080131] 1.18.4.1:
	* Source/ODBC/MetaNameParser.h [rollback_point_adds_20080131] 1.13.4.1:
		[*] Поправил документацию из-за $ВидСправочника[*] Добавил виртуальный псевдоним: $ВидСправочника - к
		оторый, при подстановке в запрос, вернет десятичный идентификатор вида справочника.
		[*] Поправил документацию из-за $ВидСправочника

2008-03-27	kms
	* Documents/ODBC.TXT 1.16:
	* Source/ODBC/Odbccore.cpp 1.20:
		[*] безопасная редакция получения текстового ИД документа
		[+] получение текстового ИД Документа по полю типа char(4) (SQL)
		[bug 3655]

	* Documents/history.txt 1.184:
		[+] уточнение SQL формата

	* Documents/ODBC.TXT 1.15:
	* Documents/history.txt 1.183:
		[+] документировано получение текстового ИД документа
		[bug 3655]

	* Source/ODBC/Odbccore.cpp 1.19:
	* Source/ODBC/Odbccore.h 1.8:
		[+] получение текстового ИД документа
		[bug 3655]

2008-03-27	artbear
	* Source/ADDIN.CPP 1.59:
		[bug 3659]
		- При запуске 1С++ в первый раз для конкретной базы включались неверные настройки 1с++

2008-03-26	spock
	* Documents/ODBC.TXT 1.14:
		[*] Поправил документацию из-за $ВидСправочника

	* Source/ODBC/MetaNameParser.cpp 1.19:
	* Source/ODBC/MetaNameParser.h 1.14:
		[*] Добавил виртуальный псевдоним: $ВидСправочника - который, при
		 подстановке в запрос, вернет десятичный идентификатор вида справ
		очника.

2008-03-26	kms
	* Source/bmp00001.bmp 1.2:
		[-] исправлено отображение маленьких чекбоксов
		[bug 3684]

2008-03-22	artbear
	* Source/ComponentClass.cpp 1.121:
	* Source/ComponentClassAdd.cpp 1.12:
	* Source/CreateMetaInfoClasses.cpp 1.27:
	* Source/MetaDataOfClasses.cpp 1.17:
	* Source/MetaDataOfClasses.h 1.9:
	* Source/ParamDefs.h 1.12:
	* Source/SetOfHierarchy.cpp 1.55:
	* Source/SetOfHierarchy.h 1.23:
		[*] рефакторинг класса CParamDefs и использование смарт-пойнтеров
		

	* Source/MapDefMethod.h 1.7:
		[*] более точное использование аргументов CIStringMap, соответств
		енно, некоторое ускорение его работы

2008-03-21	adirks
	* Source/VTExt/VTExtRow.cpp [z_1cpp_2-0-3] 1.8.6.1:
	* Source/VTExt/VTExtended.cpp [z_1cpp_2-0-3] 1.54.4.12:
	* Source/VTExt/VTExtended.h [z_1cpp_2-0-3] 1.50.4.8:
	* Source/VTExt/VTIndex.cpp [z_1cpp_2-0-3] 1.39.4.14:
		[*] синхронизация с веткой 2.5.x

2008-03-21	artbear
	* Source/ComponentClass.cpp 1.120:
	* Source/ComponentClass.h 1.71:
		[bug 3658]
		рефакторинг кода по получению данных из модуля для методов с параметрами по значению

	* Source/ComponentClass.cpp 1.119:
	* Source/MetaDataOfClasses.cpp 1.16:
	* Source/MetaDataOfClasses.h 1.8:
		[bug 3658]
		Исправлен баг - Для публичного метода класса, не описанного в prm-файле, а
		описанного только в модуле класса, не работает передача
		параметров по значению, а работает только по ссылке

	* Testing/UnitTests/OOP/defcls.prm 1.38:
	* Testing/UnitTests/OOP/ООПТесты.txt 1.56:
	* Testing/UnitTests/OOP/Предок.txt 1.11:
		[bug 3658]
		тесты для проверки параметров, переданных по значению

	* Source/ComponentClassAdd.cpp 1.11:
	* Source/CreateMetaInfoClasses.cpp 1.26:
	* Source/MetaDataOfClasses.cpp 1.15:
	* Source/ParamDefs.h 1.10:
	* Source/SetOfHierarchy.cpp 1.54:
		[*] рефакторинг - класс CDataOfParamForUserMethods переименован в
		 CDataOfMethodsParam

	* Source/ComponentClassAdd.cpp 1.10:
	* Source/CreateMetaInfoClasses.cpp 1.25:
	* Source/MetaDataOfClasses.cpp 1.14:
	* Source/ParamDefs.h 1.9:
	* Source/SetOfHierarchy.cpp 1.53:
	* Source/SetOfHierarchy.h 1.22:
		[*] рефакторинг - класс NameBindOfType переименован в 
		CDataOfParamForUserMethods

	* Source/ParamDefs.h 1.8:
	* Source/SetOfHierarchy.cpp 1.52:
		[*] рефакторинг класса NameBindOfType

	* Source/ComponentClassAdd.cpp 1.9:
	* Source/CreateMetaInfoClasses.cpp 1.24:
	* Source/ParamDefs.h 1.7:
	* Source/SetOfHierarchy.cpp 1.51:
		[*] рефакторинг - инкапсуляция полей класса NameBindOfType

	* Documents/history.txt 1.180:
		[bug 3606]
		Описание изменений по динамическим свойствам.
		Описана несовместимость с предыдущим кодом

	* Documents/classes.txt 1.8:
		[bug 3606]
		Описание изменений по динамическим свойствам.

2008-03-20	kms
	* Documents/TableField.txt 1.27:
	* Source/CursorGrid/CursorGridCtrl.cpp 1.34:
	* Source/CursorGrid/CursorGridCtrl.h 1.23:
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.29:
	* Source/CursorGrid/V7CursorGridCtrl.h 1.19:
		[*] изменен интерфейс события ПриОкончанииБыстрогоПоиска()
		[bug 3656]

	* Documents/txt2chm.bat 1.2:
	* Documents/txt2html.bat 1.5:
		[*] убрана привязка скриптов к ширине табуляции

	* Documents/history.txt 1.179:
		[*] отражены изменения ТП

2008-03-20	artbear
	* Documents/history.txt 1.177:
		[*] изменил порядок

2008-03-20	adirks
	* Documents/history.txt 1.178:
		Описание изменений по ИТ

2008-03-19	kms
	* Source/CursorGrid/CursorGridCtrl.cpp 1.33:
	* Source/CursorGrid/CursorGridCtrl.h 1.22:
		[-] исправлена синхронизация видимых колонок ТП с селект-листами поставщиков всех регионов
		[bug 3650]

2008-03-19	artbear
	* Source/ComponentClassAdd.cpp 1.8:
		[-] исправлен небольшие leak при работе с параметрами по значению
		[*] рефакторинг - вместо массива указателей CValue использую массив смарт-пойнтеров

	* Source/ComponentClass.cpp 1.117:
	* Source/ComponentClass.h 1.69:
		[*] рефакторинг - вместо массива указателей CValue использую масс
		ив смарт-пойнтеров

	* Source/ComponentClassAdd.cpp 1.7:
	* Source/CreateMetaInfoClasses.cpp 1.23:
	* Source/MetaDataOfClasses.cpp 1.13:
	* Source/ParamDefs.h 1.6:
	* Source/SetOfHierarchy.cpp 1.49:
	* Source/SetOfHierarchy.h 1.21:
		[*] рефакторинг класса NameBindOfType

	* Source/ComponentClass.h 1.67:
	* Source/ComponentClassAdd.cpp 1.6:
	* Source/CreateMetaInfoClasses.cpp 1.22:
	* Source/MetaDataOfClasses.cpp 1.12:
	* Source/ParamDefs.h 1.5:
	* Source/SetOfHierarchy.cpp 1.48:
		[*] рефакторинг - вместо указателей на NameBindOfType использую с
		март-пойнтеры

	* Source/ComponentClass.cpp 1.116:
	* Source/MetaDataOfClasses.cpp 1.10:
	* Source/MetaDataOfClasses.h 1.7:
	* Source/SetOfHierarchy.cpp 1.47:
		[*] рефакторинг -
		1) вместо карты указателей m_ClassesHierarchyMap используется карта смарт-пойнтеров
		2) часть кода деструктора CSetOfHierarchy перенесен в деструктор класса CMetaDataOfClasses

	* Source/ComponentClass.cpp 1.115:
	* Source/SetOfHierarchy.cpp 1.46:
	* Source/SetOfHierarchy.h 1.20:
		[*] рефакторинг

	* Source/SetOfHierarchy.cpp 1.45:
		[*] рефакторинг граничных операторов в методе CheckTypeOfParam

	* Source/SetOfHierarchy.cpp 1.44:
		[*] убрал старый, закомментированный код, образованный в результа
		те прошлых рефакторингов

	* Source/MetaDataOfClasses.cpp 1.9:
	* Source/MetaDataOfClasses.h 1.6:
		[*] рефакторинг -
		1) вместо карты указателей m_TypeOfClassMeth используется карта смарт-пойнтеров;
		2) часть кода деструктора CSetOfHierarchy перенесен в деструктор класса CMetaDataOfClasses

	* Source/SetOfHierarchy.cpp 1.43:
		[*] рефакторинг -
		1) вместо CMapStringToOb* CParamDefs::pMapFunc используется смарт-пойнтер
		2) инкапсуляция поля CParamDefs::pMapFunc
		3) часть кода деструктора CSetOfHierarchy перенесен в деструктор класса CMetaDataOfClasses
		4) небольшой рефакторинг методов CSetOfHierarchy::GetParamDefValue

	* Source/ParamDefs.h 1.4:
		[*] рефакторинг -
		1) вместо CMapStringToOb* pMapFunc используется смарт-пойнтер
		2) инкапсуляция поля pMapFunc

	* Source/ComponentClassAdd.cpp 1.5:
	* Source/MetaDataOfClasses.cpp 1.8:
	* Source/MetaDataOfClasses.h 1.5:
	* Source/SetOfHierarchy.cpp 1.42:
	* Source/SetOfHierarchy.h 1.19:
		[*] рефакторинг - часть методов из класса CSetOfHierarchy перенес
		ена в класс CMetaDataOfClasses

2008-03-18	spock
	* Source/System/System.cpp 1.36:
		[-] В функции GetOlePic поправил сообщение об ошибке.

2008-03-18	artbear
	* Documents/KB/TSQLInV7FirstSteps.html 1.3:
		[+] более точная строка подключения для OLEDB

	* Documents/history.txt 1.176:
		[+] изменения для 2.5

	* Source/ComponentClass.cpp 1.114:
	* Source/ComponentClass.h 1.66:
		[bug 3606]
		[+] исправил реализацию динамических свойств для обеспечения нормального ООП

	* Testing/UnitTests/OOP/defcls.prm 1.37:
	* Testing/UnitTests/OOP/КлассыСДинамическимиСвойствами.txt 1.2:
	* Testing/UnitTests/OOP/ООП_ДинамическиеКлассыТесты.txt 1.2:
		[bug 3606]
		[+] добавил тесты проверки нормальной работы как обычных, так и динамических свойств.
		Также показана нормальная для классов без наследования и с наследованием.

	* Testing/UnitTests/OOP/ООП_КлассыВОдномФайле_Тесты.txt 1.6:
	* Testing/UnitTests/OOP/ПредокПотомокСОдинаковымиМетодами.txt 1.3:
		[+] добавил тест проверки порядка вызова конструкторов-деструктор
		ов для классов, определеных в одном файле

	* Testing/UnitTests/OOP/defcls.prm 1.36:
	* Testing/UnitTests/OOP/ООП_ДинамическиеКлассыТесты.txt 1.1:
	* Testing/UnitTests/OOP/ООПТесты.txt 1.55:
		[bug 3606]
		[*] тесты динамических свойств перенесены в класс ООП_ДинамическиеКлассыТесты

2008-03-17	kms
	* Source/CursorGrid/SQLProvider.cpp 1.12:
	* Source/CursorGrid/SQLProvider.h 1.8:
	* Source/CursorGrid/V7LogProvider.cpp 1.21:
	* Source/CursorGrid/V7ODBCProvider.cpp 1.16:
		[-] Нарушение логики обновления ТП в случае установки КП без отключения провайдера
		[bug 3633]

2008-03-17	artbear
	* Source/ComponentClass.cpp 1.113:
		[*] еще немного рефакторинга

2008-03-16	artbear
	* Source/ComponentClass.h 1.65:
		[*] публичные методы выложил вместе

	* Source/ComponentClass.cpp 1.112:
	* Source/ComponentClass.h 1.64:
		[*] еще немного рефакторинга
		[*] публичные методы выложил вместе

	* Source/ComponentClass.cpp 1.109:
	* Source/ComponentClass.cpp 1.110:
	* Source/ComponentClass.h 1.62:
		[*] еще немного рефакторинга

	* Source/ComponentClass.cpp 1.108:
	* Source/ComponentClass.h 1.61:
		[*] рефакторинга кода по поиску базового класса

	* Documents/extobjs.txt 1.43:
		[-] ошибка при сборке

	* Source/Factory.cpp 1.8:
	* Testing/UnitTests/OOP/Тесты_Фабрика.txt 1.8:
		[bug 3620]
		[*] Если в метод Фабрика.Новый передано несуществующее имя класса,
		выдается исключение с точным обозначением ошибки

	* Documents/history.txt 1.175:
	* Source/ComponentClass.cpp 1.107:
	* Testing/UnitTests/OOP/defcls.prm 1.35:
	* Testing/UnitTests/OOP/КлассСКонструкторами.txt 1.3:
	* Testing/UnitTests/OOP/Тесты_Фабрика.txt 1.7:
		[bug 3621]
		[-] Исправлен неверный вызов произвольного конструктора для класса-наследника
		при создании класса через Фабрика.Новый()

	* Source/ComponentClass.h 1.60:
		[*] мелкий рефакторинг

	* Source/ParamDefs.h 1.3:
		[*] рефакторинг

2008-03-15	kms
	* Documents/TableField.txt 1.26:
	* Source/CursorGrid/CursorGridCtrl.cpp 1.32:
	* Source/CursorGrid/CursorGridCtrl.h 1.21:
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.28:
	* Source/CursorGrid/V7CursorGridCtrl.h 1.18:
		[*] Изменен стиль активного 3D заголовка
		[+] Добавлено свойство ТП СтильАктивногоЗаголовка
		[bug 3639]

2008-03-14	kms
	* Source/CursorGrid/CursorGridCtrl.cpp 1.31:
		[-] Нарушение синхронизации селект-листа с видимостью колонок ТП
		при установке провайдера
		[Bug 3635]

2008-03-13	kms
	* Source/CursorGrid/SQLProvider.cpp 1.11:
	* Source/CursorGrid/SQLProvider.h 1.7:
		[bug 3633]
		[-] исправлена логика обновления ТП при изменении состава колонок

2008-03-11	adirks
	* Source/VTExt/VTExtended.cpp 1.79:
	* Source/VTExt/VTExtended.h 1.63:
	* Source/VTExt/VTIndex.cpp 1.58:
		[bug 3609]
		[-] исправлено

	* Source/VTExt/VTExtRow.cpp 1.9:
		[*] отладочный код

2008-03-10	adirks
	* Source/VTExt/VTExtended.cpp 1.78:
		[bug 3609]
		[-] пока что полностью пересчитываем индексы, задетые в результате заполнения колонки. Не эффективно,
		 но зато без ошибок.

2008-03-07	adirks
	* Source/VTExt/VTExtended.cpp 1.77:
	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt 1.35:
		[bug 3612]
		неверно проверялось наличие индекса

	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt 1.34:
		[bug 3612]
		тест для бага

	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt 1.33:
		[bug 3609]
		тест для бага

	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt 1.32:
		[bug 3604]
		тест для бага

2008-03-06	steban
	* Source/AXControl.cpp 1.27:
		Иправлено двойное преобразование VARIANT <-> CValue
		при передаче в обработчик параметров типа VT_DISPATCH | VT_BYREF

2008-03-05	adirks
	* Source/VTExt/VTExtended.cpp 1.76:
		[bug 3604]
		[*] в методе ЗаполнитьКолонку() пересчитываем только те индексы, в которых эта колонка задействована

	* Source/VTExt/VTIndex.cpp 1.57:
		[bug 3604]
		[-] не уменьшались счётчики при удалении строки из вектора дублей ключа

2008-02-28	kms
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.27:
		[-] Исправлена привязка шаблонов таблиц в событии Выбор()

2008-02-28	artbear
	* Testing/UnitTests/OOP/defcls.prm 1.34:
	* Testing/UnitTests/OOP/ООПТесты.txt 1.54:
		[bug 3589]
		[+] Тест на этот баг

2008-02-27	artbear
	* Source/ComponentClass.cpp 1.106:
		[bug 3589]
		[-] Исправлен баг - при разном порядке объявления множественных базовых классов
		работа наследуемых методов класса-наследника отличается.

	* Source/ComponentClassAdd.cpp 1.4:
	* Source/MetaDataOfClasses.h 1.4:
	* Source/SetOfHierarchy.cpp 1.41:
		[*] небольшой рефакторинг использования массивов объектов классов
		

2008-02-26	kms
	* Documents/TableField.txt 1.25:
	* Source/CursorGrid/CursorGridCtrl.cpp 1.30:
	* Source/CursorGrid/CursorGridCtrl.h 1.20:
	* Source/CursorGrid/DataProvider.h 1.5:
	* Source/CursorGrid/SQLProvider.cpp 1.10:
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.26:
	* Source/CursorGrid/V7CursorGridCtrl.h 1.17:
	* Source/CursorGrid/V7ODBCProvider.cpp 1.15:
	* Source/CursorGrid/V7ODBCProvider.h 1.9:
	* Source/CursorGrid/VTProvider.h 1.6:
		[!] Фиксация ветки TF_RC3 в стволе (2.5)

2008-02-19	kms
	* Documents/TableField.txt [TF_RC3] 1.24.6.3:
		[+] документировано событие ПриОкончанииБыстрогоПоиска()

2008-02-18	kms
	* Source/ComponentClass.cpp 1.105:
		[-] исправлено падение в случае вызова метода предка через шаблон без явного указания контекста, при 
		условии задания параметров по умолчанию непосредственно в определении метода
		http://www.1cpp.ru/forum/YaBB.pl?num=1198844355/20#20

2008-02-17	kms
	* Source/CursorGrid/V7CursorGridCtrl.h [TF_RC3] 1.16.6.7:
		[-] вариант решения падения в событии Выбор()
		http://cvs.alterplast.ru/bugs/show_bug.cgi?id=3565

2008-02-14	adirks
	* Documents/history.txt 1.173:
		[*] описание изменений в классе ИндексированнаяТаблица

	* Documents/IndexedTable.txt 1.55:
	* Source/VTExt/VTExtended.cpp 1.75:
	* Source/VTExt/VTExtended.h 1.62:
	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt 1.31:
		[+] методы InnerJoin, RightJoin, FullJoin

2008-02-13	adirks
	* Source/VTExt/VTIndex.cpp 1.56:
		[bug 3557]
		Ошибочное использование итератора: после удаления элемента из вектора итератор нельзя плюсовать.

2008-02-12	adirks
	* Source/VTExt/VTIndex.cpp 1.55:
		[bug 3557]  Ошибочное использование итератора: конечная граница н
		е является константой.  Причина найдена и исправлена by kms.

2008-02-11	adirks
	* Documents/IndexedTable.txt 1.54:
	* Source/VTExt/VTExtended.cpp 1.74:
	* Source/VTExt/VTExtended.h 1.61:
	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt 1.30:
		[+] метод LeftJoin

2008-02-08	kms
	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC3] 1.29.6.14:
	* Source/CursorGrid/CursorGridCtrl.h [TF_RC3] 1.19.6.11:
		[-] переработаны блокировки отрисовки окна ТП

2008-02-05	kms
	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC3] 1.29.6.13:
	* Source/CursorGrid/CursorGridCtrl.h [TF_RC3] 1.19.6.10:
		[*] vc6 compatibility issues resolved

	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC3] 1.29.6.12:
	* Source/CursorGrid/CursorGridCtrl.h [TF_RC3] 1.19.6.9:
		[*] техническая поддержка получения координат контекстного меню

2008-02-04	kms
	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC3] 1.29.6.11:
		[+] добавлена поддержка комбинации клавиш CTRL+SPACE

	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC3] 1.29.6.10:
	* Source/CursorGrid/CursorGridCtrl.h [TF_RC3] 1.19.6.8:
		[-] исправлено управление видимостью колонок

	* Source/CursorGrid/V7CursorGridCtrl.cpp [TF_RC3] 1.25.6.7:
		[*] текущая строка попадает в список выделенных только в случае, 
		если других выделенных строк нет

	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC3] 1.29.6.9:
	* Source/CursorGrid/CursorGridCtrl.h [TF_RC3] 1.19.6.7:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [TF_RC3] 1.25.6.6:
	* Source/CursorGrid/V7CursorGridCtrl.h [TF_RC3] 1.16.6.6:
		[-] редакция блокировки Update

2008-02-03	kms
	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC3] 1.29.6.8:
	* Source/CursorGrid/CursorGridCtrl.h [TF_RC3] 1.19.6.6:
		[-] прибита возможность саморекурсии в Update, приводившая к вылету при обновлении ТП по таймауту
		bug 3529
		http://www.1cpp.ru/forum/YaBB.pl?num=1201507024

	* Source/CursorGrid/V7CursorGridCtrl.cpp [TF_RC3] 1.25.6.5:
	* Source/CursorGrid/V7CursorGridCtrl.h [TF_RC3] 1.16.6.5:
		[+] привязка меню выбора списка значений к границам текущей ячейк
		и в событии ПриКонтекстномМеню

2008-01-24	kms
	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC3] 1.29.6.7:
	* Source/CursorGrid/CursorGridCtrl.h [TF_RC3] 1.19.6.5:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [TF_RC3] 1.25.6.4:
	* Source/CursorGrid/V7CursorGridCtrl.h [TF_RC3] 1.16.6.4:
		[+] Событие ПриОкончанииБыстрогоПоиска / OnQuickSearchEnd

2008-01-23	kms
	* Source/CursorGrid/V7CursorGridCtrl.cpp [TF_RC3] 1.25.6.3:
	* Source/CursorGrid/V7CursorGridCtrl.h [TF_RC3] 1.16.6.3:
		[-] исправлено управление цветом заливки для фиксированных строк

2008-01-14	kms
	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC3] 1.29.6.6:
	* Source/CursorGrid/CursorGridCtrl.h [TF_RC3] 1.19.6.4:
		[-] исправлено событие ПриКонтекстномМеню для случая активации кл
		авиатурой

2008-01-01	fez
	* Documents/Hooker.txt 1.11:
		Исправлены ошибки компиляции

2007-12-22	spock
	* Documents/extobjs.txt 1.42:
		[+] Добавил описание Система::СохранитьКартинку() и Система::Полу
		читьOLEКартинку().

2007-12-20	adirks
	* Source/VTExt/VTExtended.cpp 1.73:
		[*] маленький комментарий

	* Source/VTExt/VTIndex.cpp 1.54:
		[bug 3478] При удалении строки неверно производилось перепозицион
		ирование. При попытке обращения к колонкам и отсутствии текущей с
		троки вызывается исключение 1С с сообщением об ошибке.

	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt 1.29:
		[bug 3478] тесты на обнаруженные ошибки: падение 1С при удалении 
		всех строк в открытой выборке; неверное позиционирование при удал
		ении одной строки.

2007-12-19	fez
	* Documents/Informer.txt 1.7:
		Очередная проверка форматирования кода

	* Documents/Informer.txt 1.6:
		Проверка форматирования кода

	* Documents/Informer.txt 1.5:
		Поправил ошибки в информере

	* Documents/extobjs.txt 1.41:
		Закончил с отступами для данного файла

	* Documents/extobjs.txt 1.40:
		Проверка отступов

	* Documents/extobjs.txt 1.39:
		еще исправил отступы

2007-12-19	adirks
	* Source/VTExt/VTIndex.cpp 1.53:
	* Source/VTExt/VTIndex.cpp [z_1cpp_2-0-3] 1.39.4.13:
		[-] если в процессе перебора строк удалить все строки из таблицы,
		 и после этого выполнить СледующаяСтрока() или ПредыдущаяСтрока()
		, 1С падала

	* Source/VTExt/VTExtended.cpp 1.72:
	* Source/VTExt/VTExtended.cpp [z_1cpp_2-0-3] 1.54.4.11:
		[-] ошибка с выгрузкой/загрузкой в файл "многострочных" строк

2007-12-17	kms
	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC3] 1.29.6.5:
	* Source/CursorGrid/CursorGridCtrl.h [TF_RC3] 1.19.6.3:
		[-] Исправлены проблемы при выключенных заголовках

2007-12-16	fez
	* Documents/extobjs.txt 1.38:
		Снова поправил отступы в документации

	* Documents/extobjs.txt 1.37:
		Еще поправил отступы в документации

	* Documents/extobjs.txt 1.36:
		Поправил отступы в документации

2007-12-16	artbear
	* Source/CreateMetaInfoClasses.cpp 1.21:
	* Source/ModuleString.cpp 1.31:
	* Source/SetOfHierarchy.cpp 1.39:
	* Source/System/GlobalMethods.cpp 1.23:
	* Source/System/GlobalMethods.h 1.27:
		[bug 3476]
		[*] рефакторинг кода по открытию файлов

	* Source/SetOfHierarchy.cpp 1.37:
		[bug 3476]
		[-] вместо попытки открытия файла просто проверяется его существование, т.е. нет лишних блокировок фа
		йлов

	* Source/ModuleString.cpp 1.30:
		[bug 3476]
		[-] попытка решения бага при одновременном чтении файлов описаний и определений классов, расположенны
		х в ert-файлах,
		разными пользователями
		[*] если соответствующий файл не существует, не делается попытка его открытия, а сразу выдается сообщ
		ение об ошибке

	* Source/CreateMetaInfoClasses.cpp 1.20:
	* Source/ModuleString.cpp 1.29:
	* Source/SetOfHierarchy.cpp 1.36:
		[bug 3476]
		[-] баг при одновременном чтении файлов описаний и определений классов разными пользователями

2007-12-14	spock
	* Source/AXControl.cpp 1.26:
		[*] Заменил C-style привидения типов на xxx_cast<T> при вызове DispatchToValue.
		Увеличил счетчик ссылок в GetPropObject().

	* Source/AXControl.cpp [z_1cpp_2-0-3] 1.4.6.3:
		[*] Заменил C-style привидения типов на xxx_cast<T> при вызове 
		DispatchToValue.

2007-12-13	fez
	* nightbuild.bat 1.8:
		Добавил вывод в журнал результатов компиляции

2007-12-13	artbear
	* Documents/classes.txt 1.7:
	* Documents/history.txt 1.170:
		[+] дока на параметры по умолчанию для методов КОП, определенные 
		в модулях классов.

	* Testing/UnitTests/OOP/defcls.prm 1.33:
	* Testing/UnitTests/OOP/ЗначенияПараметровПоУмолчанию.txt 1.15:
		[+] тесты для параметры по умолчанию для методов КОП, определенных в модулях классов.
		Но если в prm-файле есть описание этого метода класса, приоритет будет у описания в prm-файле

	* Source/ComponentClass.cpp 1.104:
	* Source/ComponentClass.h 1.59:
		[+] параметры по умолчанию для методов КОП теперь берутся из модулей классов.
		Но если в prm-файле есть описание этого метода класса, приоритет будет у описания в prm-файле

	* Source/SetOfHierarchy.cpp 1.35:
	* Source/SetOfHierarchy.h 1.17:
		[+] метод "CSetOfHierarchy::GetParamDefValue" научился правильно определять ситуацию,
		когда параметр определен в прм-файле, но значение по-умолчанию не указано.

2007-12-07	spock
	* Source/Service.cpp [z_1cpp_2-0-3] 1.28.2.6:
	* Source/System/System.cpp 1.35:
		[-] Объявил директиву препроцессора INVALID_FILE_ATTRIBUTES (она 
		из PSDK)

2007-12-06	spock
	* Source/OLEDB/sp_cooledb.cpp 1.38:
	* Source/OLEDB/sp_cooledb.cpp 1.39:
	* Source/OLEDB/sp_cooledb.cpp [z_1cpp_2-0-3] 1.27.4.10:
	* Source/OLEDB/sp_cooledb.cpp [z_1cpp_2-0-3] 1.27.4.9:
		[*] Заменил C-style привидения типов на xxx_cast<T>

	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.19:
		[+] Раскомментировал тест Артура (выполнение мегатекста запроса в
		алило 1с)

	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.20:
		[+] Тест Артура перенес в эту ветку (выполнение мегатекста запрос
		а валило 1с)

	* Source/AXControl.cpp 1.25:
	* Source/AXControl.cpp [z_1cpp_2-0-3] 1.4.6.2:
		[*] Вызовы DispatchToCValue заменил на DispatchToValue. Только дл
		я унификации.

	* Source/STDAFX.CPP 1.27:
	* Source/STDAFX.CPP [z_1cpp_2-0-3] 1.21.6.5:
	* Source/StdAfx.h 1.39:
	* Source/StdAfx.h [z_1cpp_2-0-3] 1.26.6.8:
		[*] Переделал первый параметр DispatchToValue на IUnknown**

	* Source/Service.cpp [z_1cpp_2-0-3] 1.28.2.5:
	* Source/System/System.cpp 1.33:
		[*] В вызове функции DispatchToValue первый параметр привел к тип
		у IUnknown**

	* Source/AddIn.aps [z_1cpp_2-0-3] 1.15.8.2:
	* Source/AddIn.dsp 1.62:
	* Source/AddIn.dsp [z_1cpp_2-0-3] 1.43.2.8:
	* Source/Addin.clw [z_1cpp_2-0-3] 1.7.14.3:
	* Source/Addin.clw [z_1cpp_2-0-3] 1.7.14.4:
	* Source/PicService.cpp 1.2:
	* Source/PicService.cpp [z_1cpp_2-0-3] 1.1.2.1:
	* Source/PicService.h 1.2:
	* Source/PicService.h [z_1cpp_2-0-3] 1.1.2.1:
		[+] Новый класс CPicService

	* Source/PicService.h 1.1:
		file PicService.h was initially added on branch z_1cpp_2-0-3.

	* Source/PicService.cpp 1.1:
		file PicService.cpp was initially added on branch z_1cpp_2-0-3.

	* Source/Service.cpp [z_1cpp_2-0-3] 1.28.2.4:
	* Source/Service.h [z_1cpp_2-0-3] 1.12.6.2:
	* Source/System/System.cpp 1.32:
	* Source/System/System.h 1.16:
		[+] Новые методы СохранитьКартинку и ПолучитьOLEКартинку

	* Source/AXControl.h 1.11:
	* Source/AXControl.h [z_1cpp_2-0-3] 1.4.6.1:
		[*]Вынес класс CBLMyEx в StdAfx

	* Source/OLEDB/sp_cooledb.cpp 1.37:
	* Source/OLEDB/sp_cooledb.cpp [z_1cpp_2-0-3] 1.27.4.8:
	* Source/OLEDB/sp_oledb.cpp 1.15:
	* Source/OLEDB/sp_oledb.cpp [z_1cpp_2-0-3] 1.8.2.4:
		[*] Избавился от макросов USES_CONVERSION

	* Testing/Config/ГлобальныйМодуль.1s 1.30:
		[*] Бля, Артур, уже какой раз возвращаю затертую функцию АБС()
		Я понимаю, что она никчемная, но всеже....

2007-12-06	artbear
	* Source/System/System.cpp 1.34:
		[-] ошибка компиляции

2007-12-05	artbear
	* Source/TableEx.cpp 1.31:
	* Source/TableEx.cpp 1.32:
	* Source/TableEx.cpp 1.34:
	* Source/TableEx.cpp 1.35:
	* Source/TableEx.cpp 1.36:
	* Source/TableEx.h 1.19:
	* Source/TableEx.h 1.21:
	* Source/TableEx.h 1.22:
	* Source/TableEx.h 1.25:
		[*] рефакторинг

	* Source/TableEx.cpp 1.33:
	* Source/TableEx.h 1.20:
		[-] ошибка при использовании карты наименований форм конфигурации;
		[*] рефакторинг

2007-12-04	artbear
	* Source/TableEx.cpp 1.28:
	* Source/TableEx.cpp 1.30:
	* Source/TableEx.h 1.17:
	* Source/TableEx.h 1.18:
		[+] дополнительное ускорение анализа наименований форм конфигурации;
		[*] рефакторинг

	* Source/TableEx.cpp 1.29:
		[-] устранил небольшую потерю памяти при инициализации перехвата Таблицы
		[*] рефакторинг

	* Source/ADDIN.CPP 1.58:
	* Source/TableEx.cpp 1.26:
	* Source/TableEx.h 1.15:
		[*] рефакторинг

	* Source/TableEx.cpp 1.27:
	* Source/TableEx.h 1.16:
		[+] ускорение анализа наименований форм
		[*] рефакторинг

	* Source/TableEx.cpp 1.25:
		[*] рефакторинг переименования переменной

	* Source/TableEx.cpp 1.21:
	* Source/TableEx.cpp 1.22:
	* Source/TableEx.cpp 1.23:
	* Source/TableEx.cpp 1.24:
	* Source/TableEx.h 1.11:
	* Source/TableEx.h 1.12:
	* Source/TableEx.h 1.13:
	* Source/TableEx.h 1.14:
		[*] рефакторинг класса CTableWrapEx

	* Source/TableEx.cpp 1.16:
	* Source/TableEx.cpp 1.20:
	* Source/TableEx.h 1.9:
		[*] небольшой рефакторинг метода CTableWrapEx::SetTable

	* Source/TableEx.cpp 1.19:
		[*] небольшой рефакторинг метода CTableWrapEx::
		RunSourceTableMethod

	* Source/TableEx.cpp 1.17:
	* Source/TableEx.cpp 1.18:
	* Source/TableEx.h 1.10:
		[*] рефакторинг возвращаемых значений метода CTableWrapEx::
		SetTable

	* Source/TableEx.cpp 1.15:
	* Source/TableEx.h 1.8:
		[*] небольшой рефакторинг класса CTableWrapEx

	* Source/TableEx.cpp 1.13:
		[*] небольшой рефакторинг

	* Source/TableEx.cpp 1.12:
	* Source/TableEx.h 1.7:
		[*] из 203 портирован код
		  Source/TableEx.cpp ветка z_1cpp_2-0-3 1.9.4.4: устранена ошибка, приводившая к падению 1С во время 
		печати документа
		[*] небольшой рефакторинг

2007-12-02	artbear
	* Source/StdAfx.h 1.35:
		[-] не работала сборка

2007-11-30	artbear
	* Documents/classes.txt 1.6:
		[-] удалены упоминания о давно удаленном методе любых КОП "Назнач
		итьБазовыйКласс"

	* Source/StdAfx.h 1.34:
		[+] Подключены смартпойнтеры библиотеки Boost

2007-11-29	kms
	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC3] 1.29.6.4:
		[-] Исправлено зацикливание при обновлении окна ТП (bug 3402)

2007-11-19	artbear
	* Documents/Intell/БуферОбмена.ints 1.1:
	* Documents/Intell/СоздатьОбъект.ints 1.2:
	* Documents/extobjs.txt 1.35:
	* Documents/history.txt 1.169:
	* Source/System/Clipboard.cpp 1.2:
		[+] новый встроенный класс БуферОбмена/Clipboard

	* Testing/UnitTests/SpecialClasses/defcls.prm 1.29:
	* Testing/UnitTests/SpecialClasses/БуферОбмена_Тесты.txt 1.1:
		[+] новый встроенный класс БуферОбмена/Clipboard
		соответствующий тест

	* Source/ExecuteModule.cpp 1.27:
	* Source/ExecuteModule.h 1.10:
	* Source/Factory.cpp 1.7:
		[*] рефакторинг - работа с выделяемой памятью
		для массивов CValue и CValue* реализована с помощью vector<> и смарт-пойнтеров
		в итоге сильное упрощение и некоторое ускорение кода

	* Source/Struct.cpp 1.6:
	* Source/Struct.h 1.4:
		[*] довольно сильный рефакторинг:
		- упрощение кода
		- выделение спец.методов
		- выделение методов для внутреннего класса и т.д.

	* Source/ComponentClass.cpp 1.103:
	* Source/ComponentClassAdd.cpp 1.3:
	* Source/MetaDataOfClasses.cpp 1.7:
	* Source/ODBC/1CPP_ODBCRecordSet.cpp 1.18:
	* Source/SafeContext.cpp 1.20:
	* Source/VTExt/VTExtended.cpp 1.71:
		[*] несколько TODO

	* Source/CursorGrid/V7LogProvider.cpp 1.20:
	* Source/System/GlobalMethods.cpp 1.22:
		[*] рефакторинг - работа с выделяемой памятью
		реализована с помощью vector<>

	* Source/SetOfHierarchy.cpp 1.34:
		[*] рефакторинг - работа с выделяемой памятью
		реализована с помощью vector<>
		[*] несколько TODO

	* Source/AXControl.cpp 1.24:
	* Source/AXControl.h 1.10:
	* Source/CreateMetaInfoClasses.cpp 1.19:
		[*] рефакторинг - работа с выделяемой памятью
		реализована с помощью смарт-пойнтера

	* Source/ADDIN.CPP 1.57:
	* Source/ADDIN.H 1.17:
		[*] рефакторинг - в классе CCreateInstanceBoost работа с выделяемой памятью
		реализована с помощью смарт-пойнтера
		[*] несколько TODO

2007-11-18	artbear
	* Documents/Informer.txt 1.4:
	* Documents/Intell/Информатор.ints 1.2:
	* Documents/history.txt 1.168:
		[+] новый метод Информатор::ПолучитьТаблицуЗагруженныхВК

	* Source/System/Clipboard.cpp 1.1:
	* Source/System/Clipboard.h 1.1:
		[+] новый класс "БуферОбмена" - заготовка

	* Source/AddIn.dsp 1.60:
		[+] новый хедер ext_header.h

	* Source/System/Informer.cpp 1.9:
	* Source/System/Informer.h 1.6:
		[+] новый метод Информатор::ПолучитьТаблицуЗагруженныхВК
		[*] рефакторинг CInformer::GetTableFromContext

	* Testing/UnitTests/SpecialClasses/ИнформаторТесты.txt 1.10:
		[+] тест метода Информатор::ПолучитьТаблицуЗагруженныхВК
		[*] уточнены тесты
		ТестПолучитьТаблицуМетодовДляТаблицыЗначений
		ТестПолучитьТаблицуСвойствДляТаблицыЗначений

	* Source/System/DllHooker.cpp 1.16:
		[-] исправлен баг - в модальных окнах, открываемых из модальных окон, не работали события Формекс;
		[*] мелкий рефакторинг

	* Source/StdAfx.h 1.33:
		[+] добавлено использование хедера Boost
		boost/shared_ptr.hpp
		!! Пока в комментариях !!

	* Source/1CHEADERS/1cheaders.h 1.7:
	* Source/1CHEADERS/ext_header.h 1.1:
		[+] новый хедер ext_header.h с новыми неимпортируемыми классами от 1С
		CAllConstsContext
		CAllEnumsContext
		CMetadataContext1
		CGeneralContext
		CTableOutputContext
		CTwoWaySplitter
		CRepFormContext
		CUnknown
		CSbCntDoc
		CSbCntList
		CReportForm
		CReportFormView
		CDocFormView
		CJournalList
		COperFormView
		CSheetCell_
		CRangeContext
		CRangeContext2
		CMoxelFormatContext
		CTextOutputContext
		CMainFrame
		CLoadedAddInDllInfo

2007-11-15	kms
	* Documents/TableField.txt [TF_RC3] 1.24.6.2:
	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC3] 1.29.6.3:
	* Source/CursorGrid/CursorGridCtrl.h [TF_RC3] 1.19.6.2:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [TF_RC3] 1.25.6.2:
	* Source/CursorGrid/V7CursorGridCtrl.h [TF_RC3] 1.16.6.2:
		[+] событие ПриПеремещенииКолонки()
		[+] событие ПриИзмененииВидимостиКолонки()
		[+] событие ПриИзмененииШириныКолонки()

2007-11-15	artbear
	* Documents/history.txt 1.167:
		[+] Класс Делегат:
			-  новые методы ВызватьСЗ() / ВызватьСЗПоКлючу()

2007-11-14	kms
	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC3] 1.29.6.2:
	* Source/CursorGrid/DataProvider.h [TF_RC3] 1.4.24.2:
		[-] исправление отрисовки 3D-заголовков
		[-] исправление проблем с обновлением окна

2007-11-14	fez
	* nightbuild.bat [TF_RC3] 1.7.4.3:
		Снова добавил компиляцию html документации

	* nightbuild.bat [TF_RC3] 1.7.4.2:
		Изменил номер тэга для апдейта

2007-11-14	artbear
	* Documents/history.txt 1.166:
		[*] мои правки для сборки 2.5.0.5

	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.38:
		[*] мои правки для сборки 2.0.3.7

2007-11-13	kms
	* Documents/extobjs.txt 1.34:
	* Source/Delegate.cpp 1.17:
	* Source/Delegate.h 1.11:
	* Testing/UnitTests/SpecialClasses/ДелегатТесты.txt 1.6:
		[+] Делегат: новые методы ВызватьСЗ() / ВызватьСЗПоКлючу()

	* Documents/TableField.txt [TF_RC3] 1.24.6.1:
		[+] TF_RC3 тестовый функционал ТП

	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC2] 1.29.4.1:
	* Source/CursorGrid/CursorGridCtrl.h [TF_RC2] 1.19.4.1:
	* Source/CursorGrid/DataProvider.h [TF_RC2] 1.4.22.1:
	* Source/CursorGrid/SQLProvider.cpp [TF_RC2] 1.9.4.1:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [TF_RC2] 1.25.4.1:
	* Source/CursorGrid/V7CursorGridCtrl.h [TF_RC2] 1.16.4.1:
	* Source/CursorGrid/V7ODBCProvider.cpp [TF_RC2] 1.14.4.1:
	* Source/CursorGrid/V7ODBCProvider.h [TF_RC2] 1.8.4.1:
	* Source/CursorGrid/VTProvider.h [TF_RC2] 1.5.14.1:
		[+] TF_RC2 тестовый функционал ТП

2007-11-13	fez
	* nightbuild.bat [TF_RC2] 1.7.2.2:
		Теперь тут будет собираться документация html

	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC3] 1.29.6.1:
	* Source/CursorGrid/CursorGridCtrl.h [TF_RC3] 1.19.6.1:
	* Source/CursorGrid/DataProvider.h [TF_RC3] 1.4.24.1:
	* Source/CursorGrid/SQLProvider.cpp [TF_RC3] 1.9.6.1:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [TF_RC3] 1.25.6.1:
	* Source/CursorGrid/V7CursorGridCtrl.h [TF_RC3] 1.16.6.1:
	* Source/CursorGrid/V7ODBCProvider.cpp [TF_RC3] 1.14.6.1:
	* Source/CursorGrid/V7ODBCProvider.h [TF_RC3] 1.8.6.1:
	* Source/CursorGrid/VTProvider.h [TF_RC3] 1.5.16.1:
		Обновил

	* nightbuild.awk [TF_RC3] 1.1.14.1:
	* nightbuild.bat [TF_RC3] 1.7.4.1:
		обновил файл ночной сборки для ветки TF_3

	* nightbuild.awk [TF_RC2] 1.1.12.1:
	* nightbuild.bat [TF_RC2] 1.7.2.1:
		обновил файл ночной сборки для ветки TF_2

2007-11-12	fez
	* Source/AddIn.rc [z_1cpp_2-0-3] 1.18.2.8:
		Изменен номер версии: 2.0.3.8 - для ночных сборок

	* Source/AddIn.rc [z_1cpp_2-0-3] 1.18.2.7:
		Изменен номер версии: 2.0.3.7

	* Source/AddIn.rc 1.24:
		Изменил номер версии: 2.5.0.6 - для ночных сборок

	* Source/AddIn.rc 1.23:
		Изменен номер версии: 2.5.0.5

2007-11-12	kms
	* Documents/history.txt 1.165:
		[*] изменения в связи с выпуском релиза

	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.37:
		[*] изменения в связи с релизом

	* Source/CursorGrid/V7CursorGridCtrl.cpp [TF_RC1] 1.25.2.2:
	* Source/CursorGrid/V7CursorGridCtrl.h [TF_RC1] 1.16.2.2:
		[-] Bugzilla – Bug 3384
		Вылет при уничтожении ТП при определенных условиях

2007-11-09	fez
	* nightbuild.bat 1.7:
		Попробуем добавить сборку файлов для интеллисенса

2007-11-09	artbear
	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.18:
		[+] тест падения 1С на слишком большом тексте запроса
		http://www.1cpp.ru/forum/YaBB.pl?num=1194593607/0#0

	* Testing/UnitTests/SpecialClasses/СистемаТесты.txt 1.14:
	* Testing/UnitTests/TurboBL/TurboBLТесты.txt 1.15:
		[+] тесты Система::ОбновитьДанныеГК для обновления данных ГК на б
		азе ТурбоБЛ

	* Source/System/System.cpp 1.31:
	* Source/System/System.h 1.15:
		[+] новый метод Система::ОбновитьДанныеГК на базе TurboBL
		добавлена возможность динамического обновления данных контекста
		обновление данных контекста будет использоваться, например, при
		динамическом добавлении атрибутов на форму или привязывания собственных объектов к контексту формы
		в будущем :)

	* Source/TurboBL/gcboost.cpp 1.17:
	* Source/TurboBL/gcboost.h 1.22:
		[+] добавлена возможность динамического обновления данных контекста
		обновление данных контекста будет использоваться, например, при
		динамическом добавлении атрибутов на форму или привязывания собственных объектов к контексту формы
		в будущем :)
		[*] закрыты приватные данные классов;
		[*] рефакторинг

	* Documents/Intell/BinaryData.ints 1.1:
	* Documents/Intell/DynaCrypt.ints 1.1:
	* Documents/Intell/DynaValue.ints 1.1:
	* Documents/Intell/Guid.ints 1.1:
	* Documents/Intell/Math.ints 1.1:
	* Documents/Intell/MetaDataWork.ints 1.1:
	* Documents/Intell/MetaInfoClasses.ints 1.1:
	* Documents/Intell/ODBCDataBase.ints 1.1:
	* Documents/Intell/ODBCDataProvider.MSSQL.ints 1.1:
	* Documents/Intell/ODBCRecordSet.ints 1.1:
	* Documents/Intell/SQLLock.ints 1.1:
	* Documents/Intell/АктивИкс.ints 1.1:
	* Documents/Intell/ВыполняемыйМодуль.ints 1.1:
	* Documents/Intell/ДанныеСтроки.ints 1.1:
	* Documents/Intell/Делегат.ints 1.1:
	* Documents/Intell/ИндексированнаяТаблица.ints 1.1:
	* Documents/Intell/Информатор.ints 1.1:
	* Documents/Intell/КолонкаТабличногоПоля.ints 1.1:
	* Documents/Intell/КолонкиТабличногоПоля.ints 1.1:
	* Documents/Intell/Математика.ints 1.1:
	* Documents/Intell/МенеджерСобытий.ints 1.1:
	* Documents/Intell/ОформлениеСтроки.ints 1.1:
	* Documents/Intell/ОформлениеЯчейки.ints 1.1:
	* Documents/Intell/Перехватчик.ints 1.1:
	* Documents/Intell/ПолеДанныхODBC.ints 1.1:
	* Documents/Intell/ПоляДанныхODBC.ints 1.1:
	* Documents/Intell/РаботаСРегистромWin.ints 1.1:
	* Documents/Intell/СоздатьОбъект.ints 1.1:
	* Documents/Intell/Структура.ints 1.1:
	* Documents/Intell/ТабличноеПоле.ints 1.1:
	* Documents/Intell/УскорительГК.ints 1.1:
		[+] Файлы для скрипта Intellisense.vbs и Опенконф-а
		Исходная версия

2007-11-08	fez
	* Source/ODBC/MetaNameParser.h 1.13:
	* Source/ODBC/MetaNameParser.h [z_1cpp_2-0-3] 1.11.6.1:
		http://www.1cpp.ru/forum/YaBB.pl?num=1194049936
		Контрольный в голову :))

2007-11-07	sedmin
	* Source/System/compare.cpp [z_1cpp_2-0-3] 1.2.6.4:
	* Source/System/compare.h [z_1cpp_2-0-3] 1.2.6.1:
		NLS comparator wine / vista  patch
		Автор kms

2007-11-07	fez
	* Source/ODBC/MetaNameParser.cpp 1.18:
	* Source/ODBC/MetaNameParser.cpp [z_1cpp_2-0-3] 1.16.2.1:
		удалил контрольный в печень
		http://www.1cpp.ru/forum/YaBB.pl?num=1194049936

	* nightbuild.bat [TF_RC1] 1.6.10.1:
		Залил специальный файл ночной сборки именно для этой ветки

	* nightbuild.bat [z_1cpp_2-0-3] 1.6.6.1:
		Залил специальный файл ночной сборки именно этой ветки

2007-11-07	artbear
	* Source/1CHEADERS/bkend.h 1.31:
		[+] более точное определение класса + точный размер
		CGroupContext

2007-11-06	sedmin
	* Source/System/compare.cpp 1.6:
	* Source/System/compare.h 1.4:
		NLS comparator wine / vista  patch
		Автор kms

2007-11-06	kms
	* Documents/TableField.txt [TF_RC1] 1.24.2.1:
	* Source/CursorGrid/CursorGridCtrl.cpp [TF_RC1] 1.29.2.1:
	* Source/CursorGrid/CursorGridCtrl.h [TF_RC1] 1.19.2.1:
	* Source/CursorGrid/DataProvider.h [TF_RC1] 1.4.20.1:
	* Source/CursorGrid/SQLProvider.cpp [TF_RC1] 1.9.2.1:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [TF_RC1] 1.25.2.1:
	* Source/CursorGrid/V7CursorGridCtrl.h [TF_RC1] 1.16.2.1:
	* Source/CursorGrid/V7ODBCProvider.cpp [TF_RC1] 1.14.2.1:
	* Source/CursorGrid/V7ODBCProvider.h [TF_RC1] 1.8.2.1:
	* Source/CursorGrid/VTProvider.h [TF_RC1] 1.5.12.1:
		[+] TF_RC1 тестовый функционал ТП

	* Source/System/compare.cpp [TF_RC1] 1.5.2.1:
	* Source/System/compare.h [TF_RC1] 1.3.2.1:
		[!] TF_RC1 NLS comparator wine / vista  patch

2007-11-01	sedmin
	* Documents/history.txt 1.164:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.36:
	* Source/APP.CPP 1.9:
	* Source/APP.CPP [z_1cpp_2-0-3] 1.2.8.6:
	* Source/System/GlobalMethods.cpp 1.21:
	* Source/System/GlobalMethods.cpp [z_1cpp_2-0-3] 1.11.2.9:
		Удален неработающий код.

	* Source/.cvsignore [z_1cpp_2-0-3] 1.1.2.2:
		Дополнено игнорирование

2007-10-31	artbear
	* Testing/UnitTests/SpecialClasses/ПерехватчикТесты.txt 1.7:
		[+] тесты для проверки работы события в ГМ
		Событие_ЗаписьСобытияЖурналаРегистрации
		и возможности его перехвата в Перехватчике;
		[+] тест для проверки перехвата в Перехватчике
		события ВК RWidjets - ПриПолученииКоманды;

	* Testing/Config/GUIDData 1.38:
	* Testing/Config/ГлобальныйМодуль.1s 1.29:
		[+] код для проверки работы события в ГМ
		Событие_ЗаписьСобытияЖурналаРегистрации
		и возможности его перехвата в Перехватчике;
		[+] код для проверки перехвата в Перехватчике
		события ВК RWidjets - ПриПолученииКоманды;
		[*] рефакторинг кода по загрузке разных ВК;

	* Testing/Config/Обработки/ТестоваяДляFormEx/МодульФормы.1s 1.4:
	* Testing/Config/Обработки/ТестоваяДляFormEx/Форма.frm 1.2:
		[+] код для проверки методов получения координат в классах
		РасширениеФормы и АтрибутФормы
		в различных событиях формы;

	* Testing/ExtForms/UnitTests/СобытияFormEx/МодульФормы.1s 1.3:
	* Testing/ExtForms/UnitTests/СобытияFormEx/Таблица.mxl 1.2:
	* Testing/ExtForms/UnitTests/СобытияFormEx/Форма.frm 1.2:
		[+] код для проверки координат и таймеров

	* Testing/UnitTests/FormEx/FormEx_ДобавитьАтрибут1/МодульФормы.1s 1.2:
		[*] пара новых формул для добавляемых динамически статиков

	* Testing/UnitTests/SpecialClasses/КлассПерехватчикГлобальногоМодуля.txt 1.3:
		[+] код для тестирования перехватов событий
		Событие_ЗаписьСобытияЖурналаРегистрации
		и
		события ВК RWidjets - ПриПолученииКоманды

	* Testing/UnitTests/LoaderUnitTests/ЗапускЮнитТестов/МодульФормы.1s 1.10:
		[+] сильное ускорение создания тестовых классов
		и быстрое открытие обработки тестирования !
		[*] рефакторинг

	* Testing/UnitTests/LoaderUnitTests/ДелегатФормы.txt 1.12:
		[*] рефакторинг

	* Testing/UnitTests/FormEx/FormEx_РасширениеФормы.txt 1.2:
		[+] тесты для проверки методов получения координат в классах
		РасширениеФормы и АтрибутФормы
		в различных событиях формы;
		[+] тест для проверки регистронезависимости методов
		РасширениеФормы.ПолучитьАтрибут
		РасширениеФормы.ИмяАтрибута
		АтрибутФормы.УстановитьАтрибут;
		[+] тест РасширениеФормы.РаскрашиватьТаблицу;
		[+] тесты для проверки свойств объекта РасширениеФормы;
		[+] тесты для проверки АтрибутФормы.ТипЗначенияСтр();
		[+] тесты для проверки
		РасширениеФормы.ПолныйПуть()
		РасширениеФормы.ТипОбъекта()
		РасширениеФормы.ПолныйТипОбъекта();
		[*] тесты для проверки свойств класса АтрибутФормы перенесены из другого класса;

	* Testing/UnitTests/FormEx/FormExТесты.txt 1.30:
		[+] тест проверки добавления доп. глобальных модулей, который показывает существующий недостаток подх
		ода;
		[*] тесты проверки класса АтрибутФормы перенесены в другой класс;
		[*] тест проверки метода Сервис::Версия() работает неверно с текущей сборкой ФормЕкс;
		[*] заготовка для теста Тест_ВыбратьЗначение

	* Testing/UnitTests/FormEx/FormEx_Окна_Тесты.txt 1.2:
		[*] уточнен тест ТестЗакрытияФормы_ПередатьЗакрытуюФормуВМетодКла
		ссаАктивИкс

	* Documents/Informer.txt 1.3:
	* Documents/history.txt 1.163:
	* Source/System/Informer.cpp 1.7:
	* Source/System/Informer.h 1.5:
	* Testing/UnitTests/SpecialClasses/ИнформаторТесты.txt 1.9:
		[+] новый метод Информатор::ПолучитьВремяПростояСистемы()
		+ соответствующий юнит-тест

	* Source/System/GlobalMethods.cpp 1.20:
	* Source/System/GlobalMethods.h 1.26:
		[+] новый глобальный метод ::IsSystem_Windows2000AndHigher()
		[*] соответствующий рефакторинг

	* Documents/history.txt 1.162:
		[+] изменения в ночной сборке 2504

	* Source/System/GroupContextWrap.cpp 1.73:
		[-] баг - Перехватчик не всегда верно перехватывал события от сто
		ронних ВК, например, ФормЕкс или RWidjets

2007-10-30	artbear
	* Source/AddIn.dsp [z_1cpp_2-0-3] 1.43.2.7:
		[-] не собирался проект.

	* Source/System/DllHooker.cpp 1.14:
	* Source/System/DllHooker.h 1.12:
		[-] не работал перехват глобальных событий 1С++,
		например, Событие_ЗаписьСобытияЖурналаРегистрации;
		[+] индексом события является номер его добавления в список событий;
		[+] все события добавляются в список событий;
		
		[+] представлен код для возможности внутреннего перехвата конструктора копирования класса CNumeric
		и возможности восстановления перехвата в классе CWrapper_CBLModule_CallAs_Guard
		пока не используется

	* Source/System/GroupContextWrap.cpp 1.72:
	* Source/System/GroupContextWrap.h 1.51:
		[*] рефакторинг

	* Source/System/ModuleEvents.cpp 1.3:
	* Source/System/ModuleEvents.h 1.2:
		[-] при отработке события передавалось ему неверное количество параметров, из-за этого события не раб
		отало;
		например, Событие_ЗаписьСобытияЖурналаРегистрации
		[-] если обработчик события является функций, он не всегда верно определялся;
		[+] индексом события является номер его добавления в список событий;
		[+] все события добавляются в список событий;

	* Source/1CHEADERS/types.h 1.4:
	* Source/System/GlobalMethods.h 1.25:
		[*] рефакторинг - типы контекстов 1С типа NUMBER_TYPE_1C передела
		ны в enum

2007-10-26	sedmin
	* Source/APP.CPP 1.8:
	* Source/APP.CPP [z_1cpp_2-0-3] 1.2.8.5:
		Предыдущий вариант оказался неработоспособным

	* Source/APP.CPP 1.7:
		*** empty log message ***

	* Documents/extobjs.txt 1.33:
	* Documents/extobjs.txt [z_1cpp_2-0-3] 1.20.4.5:
	* Documents/history.txt 1.161:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.35:
	* Source/.cvsignore 1.3:
	* Source/APP.CPP 1.6:
	* Source/APP.CPP [z_1cpp_2-0-3] 1.2.8.4:
	* Source/System/GlobalMethods.cpp 1.19:
	* Source/System/GlobalMethods.cpp [z_1cpp_2-0-3] 1.11.2.8:
		Учтены особенности загрузки на Windows Vista

2007-10-25	artbear
	* Source/AddIn.dsp [z_1cpp_2-0-3] 1.43.2.6:
	* Source/System/System.cpp [z_1cpp_2-0-3] 1.10.2.14:
		[-] не работала сборка

2007-10-23	artbear
	* Source/System/GlobalMethods.cpp [z_1cpp_2-0-3] 1.11.2.6:
	* Source/System/GlobalMethods.h [z_1cpp_2-0-3] 1.15.2.4:
		[*] портированы необходимые глобальные методы из 2.5
		GetFormContext
		GetDoc7

2007-10-22	artbear
	* Source/ComponentClass.cpp [z_1cpp_2-0-3] 1.40.2.11:
		[+] добавлено - КОП-ы научились наследоваться от любых форм, т.е. наследование от ГрупповойКонтекст, 
		т.е. как в 2.5
		Код портирован из версии 2.5

	* Source/ComponentClass.cpp [z_1cpp_2-0-3] 1.40.2.10:
		[+] добавлено - методы КОП ПолучитьБазовыйОбъект, ЗаменитьБазовыйОбъект
		научились правильно работать с формами справочников/документов и любыми формами, т.е. групповым конте
		кстом
		Код портирован из версии 2.5

	* Testing/UnitTests/OOP/defcls.prm [z_1cpp_2-0-3] 1.22.2.3:
	* Testing/UnitTests/OOP/ООПТесты.txt [z_1cpp_2-0-3] 1.30.2.8:
		[+] доп.тесты для проверки методов КОП ПолучитьБазовыйОбъект, ЗаменитьБазовыйОбъект
		при работе с формами справочников/документов и любыми формами, т.е. групповым контекстом

	* Testing/Config/GUIDData [z_1cpp_2-0-3] 1.25.2.3:
	* Testing/Config/Документы/Новый2/МодульПроведения.1s [z_1cpp_2-0-3] 1.1.10.2:
	* Testing/Config/Документы/Новый2/МодульФормы.1s [z_1cpp_2-0-3] 1.3.2.2:
		[+] необходимый код, используемый в тестах для проверки Получить/
		ЗаменитьБазовыйОбъект

2007-10-16	fez
	* Source/ODBC/1CPP_ODBCDatabase.cpp [z_1cpp_2-0-3] 1.8.6.1:
		[bug 3084]
		Исправил в ветке 2.0.3

	* Source/ODBC/1CPP_ODBCDatabase.cpp 1.9:
		[bug 3084]
		Исправил в ветке 2.5

2007-10-14	spock
	* Source/OLEDB/sp_oledb.cpp [z_1cpp_2-0-3] 1.8.2.3:
		[-] у метода "Соединение" нет дефолтного параметра;
		[-] у метода "ПрисоединитьИБ" первый параметр не является дефолтнымпараметром,
		только второй имеет дефолтное значение
		(перенес изменения Артура из ветки 2.5.0.x)

	* Source/AddIn.aps [z_1cpp_2-0-3] 1.15.8.1:
	* Source/AddIn.dsp 1.59:
	* Source/AddIn.dsp [z_1cpp_2-0-3] 1.43.2.5:
	* Source/Addin.clw [z_1cpp_2-0-3] 1.7.14.2:
	* Source/OLEDB/sp_oledbparamhlpr.cpp 1.1:
	* Source/OLEDB/sp_oledbparamhlpr.cpp [z_1cpp_2-0-3] 1.1.2.2:
	* Source/OLEDB/sp_oledbparamhlpr.h 1.1:
	* Source/OLEDB/sp_oledbparamhlpr.h [z_1cpp_2-0-3] 1.1.2.2:
		[+] Новый класс COLEDBParamHlpr - инкапсулирует всю работу с пара
		метрами.

	* Source/OLEDB/sp_oledbparamhlpr.h [z_1cpp_2-0-3] 1.1.2.1:
		file sp_oledbparamhlpr.h was added on branch z_1cpp_2-0-3 on 
		2007-10-14 14:13:43 +0000

	* Source/OLEDB/sp_oledbparamhlpr.cpp [z_1cpp_2-0-3] 1.1.2.1:
		file sp_oledbparamhlpr.cpp was added on branch z_1cpp_2-0-3 on 
		2007-10-14 14:13:43 +0000

	* Source/OLEDB/sp_cooledb.cpp 1.36:
	* Source/OLEDB/sp_cooledb.cpp [z_1cpp_2-0-3] 1.27.4.7:
	* Source/OLEDB/sp_cooledb.h 1.18:
	* Source/OLEDB/sp_cooledb.h [z_1cpp_2-0-3] 1.13.2.4:
		[*] Вынес всю работу с параметрами в отдельный класс.

	* Source/OLEDB/sp_ConvHlpr.h 1.4:
	* Source/OLEDB/sp_ConvHlpr.h [z_1cpp_2-0-3] 1.3.2.3:
		[*] Обернул код объявления класса в дефайн.

	* Source/OLEDB/sp_oledbparam.cpp 1.4:
	* Source/OLEDB/sp_oledbparam.h 1.4:
	* Source/OLEDB/sp_oledbparam.h [z_1cpp_2-0-3] 1.3.2.3:
		[*] Добавил переменную-член класса m_MemSize - хранит размер пара
		метра в байтах.

	* Source/OLEDB/sp_oledbptr.h 1.4:
	* Source/OLEDB/sp_oledbptr.h [z_1cpp_2-0-3] 1.3.2.3:
		[*] Обернул код объявления класса в дефайн;
		Добавил try-catch при выделении памяти;
		В деструкторе и Release() сделал явное зануление члена-класса;

	* Source/OLEDB/ValueTo.h 1.4:
	* Source/OLEDB/ValueTo.h [z_1cpp_2-0-3] 1.3.2.3:
		[*] Поправил инклюд файла.

2007-10-08	spock
	* Testing/Config/ГлобальныйМодуль.1s 1.28:
		[*] Вернул затертую функцию АБС()

2007-10-02	artbear
	* Testing/UnitTests/SpecialClasses/ПерехватчикТесты.txt 1.6:
		[*] по умолчанию настройка включения Перехватчика всегда выключен
		а

	* Testing/UnitTests/SpecialClasses/MetaDataWorkТесты.txt 1.5:
		[+] тесты метода MetaDataWork::ПрисоединитьМД
		и свойства MetaDataWork::Метаданные

	* Testing/UnitTests/OOP/defcls.prm 1.32:
	* Testing/UnitTests/OOP/ЗначенияПараметровПоУмолчанию.txt 1.14:
		[+] тесты штатных параметров по умолчанию;
		показаны нетривиальные ошибки штатного 1С;
		[+] тесты параметров по умолчанию для методов КОП 1С++

	* Testing/UnitTests/OOP/Предок.txt 1.10:
		[+] код для теста Таймер::ЗадатьОбработчикВОбъекте

	* Testing/UnitTests/LoaderUnitTests/ЗапускЮнитТестов/МодульФормы.1s 1.9:
		[-] исправлен небольшой баг - при завершении тестирования
		объектов тестов не удалялись сразу, а удалялись только после закрытия формы тестирования

	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучай.txt 1.31:
		[+] новый метод "ПроверитьТипЗначения"

	* Testing/Config/GUIDData 1.37:
	* Testing/Config/ГлобальныйМодуль.1s 1.27:
		[+] код для тестов глобальных событий ФормЕкс
		ПриЗагрузкеФормы
		и ПриЗагрузкеМодуляФормы;
		[*] более точный код для тестов события нажатия клавиатуры ФормЕкс;
		[+] Событие_OnDrop для обработки Drag-Drop;
		[+] код для тестов таймера;
		[+] код для тестов штатных параметров по умолчанию;

	* Testing/UnitTests/FormEx/FormEx_ДобавитьАтрибут1/gcomp.ini 1.1:
	* Testing/UnitTests/FormEx/FormEx_ДобавитьАтрибут1/gcomp.ver 1.1:
	* Testing/UnitTests/FormEx/FormEx_ДобавитьАтрибут1/МодульФормы.1s 1.1:
	* Testing/UnitTests/FormEx/FormEx_ДобавитьАтрибут1/ОбъектыМетаданных.txt 1.1:
	* Testing/UnitTests/FormEx/FormEx_ДобавитьАтрибут1/Структура.mdp 1.1:
	* Testing/UnitTests/FormEx/FormEx_ДобавитьАтрибут1/Форма.frm 1.1:
	* Testing/UnitTests/FormEx/FormEx_ДобавитьАтрибут1_ШтатныйУжеСуществует/gcomp.ini 1.1:
	* Testing/UnitTests/FormEx/FormEx_ДобавитьАтрибут1_ШтатныйУжеСуществует/gcomp.ver 1.1:
	* Testing/UnitTests/FormEx/FormEx_ДобавитьАтрибут1_ШтатныйУжеСуществует/МодульФормы.1s 1.1:
	* Testing/UnitTests/FormEx/FormEx_ДобавитьАтрибут1_ШтатныйУжеСуществует/ОбъектыМетаданных.txt 1.1:
	* Testing/UnitTests/FormEx/FormEx_ДобавитьАтрибут1_ШтатныйУжеСуществует/Структура.mdp 1.1:
	* Testing/UnitTests/FormEx/FormEx_ДобавитьАтрибут1_ШтатныйУжеСуществует/Форма.frm 1.1:
		[+] формы для тестов методов Сервис::ДобавитьАтрибут и Сервис::До
		бавитьАтрибутСФормулой

	* Testing/UnitTests/FormEx/FormExТесты.txt 1.29:
		[+] дополнительные тесты почти всех методов класса Сервис
		+ работа с таймером для модальных окон

	* Testing/UnitTests/FormEx/СобытияFormExТесты.txt 1.1:
		[+] тесты различных событий ФормЕкс

	* Testing/UnitTests/FormEx/FormEx_РасширениеФормы.txt 1.1:
		[+] тесты классов РасширениеФормы и АтрибутФормы

	* Testing/UnitTests/FormEx/FormEx_Таймер_Тесты.txt 1.1:
		[+] тесты класса Таймер

	* Testing/UnitTests/FormEx/Тесты_FormEx_ДобавлениеАтрибутов.txt 1.1:
		[+] тесты методов Сервис::ДобавитьАтрибут и Сервис::ДобавитьАтриб
		утСФормулой

	* Testing/UnitTests/FormEx/FormEx_Окна_Тесты.txt 1.1:
		[+] тесты класса "Окна"

	* Testing/ExtForms/UnitTests/СобытияFormEx/МодульФормы.1s 1.2:
		[+] код для тестирования класс Таймер,
		а также методов класса Сервис

	* Testing/Config/Документы/Новый1/МодульФормы.1s 1.5:
	* Testing/Config/Обработки/ТестоваяДляFormEx/МодульФормы.1s 1.3:
		[+] код для тестирования событий ФормЕкс,
		а также методов класса Сервис
		ВыполнитьПроцедуру/ВыполнитьФункцию
		и ПолучитьПеременную/УстановитьПеременную

2007-10-01	artbear
	* Documents/history.txt 1.160:
		[+] коммент для изменений следующего релиза

2007-09-27	fez
	* Source/AddIn.rc [z_1cpp_2-0-3] 1.18.2.6:
		Изменен номер версии для ночных сборок: 2.0.3.6

	* Source/AddIn.rc [z_1cpp_2-0-3] 1.18.2.5:
		Изменен номер версии 2.0.3.5

	* Source/AddIn.rc 1.22:
		Изменен номер версии для последующий ночных сборок

2007-09-26	fez
	* Source/AddIn.rc 1.21:
		Изменен номер версии: 2.5.0.3

2007-09-26	artbear
	* Documents/TableField.txt 1.24:
		[+] у метода ТП::УстановитьОтступы все параметры имеют значение п
		о умолчанию -1

2007-09-25	artbear
	* Documents/ODBC.TXT 1.12:
		[+] описано свойство MetadataWork::Metadata/Метаданные

	* Source/SQL/MetaDataWork.cpp 1.15:
	* Source/SQL/MetaDataWork.h 1.9:
		[+] добавлено свойство Metadata/Метаданные для обращения к метаданным конфигурации -
		тип Метаданные, в т.ч. и для присоединенного МД-файла

	* Source/1CHEADERS/basic.h 1.26:
		[*] определения классов CFormCtrlContext и CFormAllCtrlsContext
		перенесены в basic.dll
		[+] более точные определения классов
		CGetDoc7
		CGroupColumns
		CDocForm
		CFormContext
		CFormContextForDoc
		CFormCtrlContext
		CFormAllCtrlsContext
		
		[+] новые классы
		CJournalDoc
		CDocFormContext
		CInternalParamsForDocForm

	* Source/1CHEADERS/bkend.h 1.30:
		[*] определения классов CFormCtrlContext и CFormAllCtrlsContext
		перенесены в basic.dll
		[+] более точные определения классов
		CMetaDataObjArray
		CMetaDataCont - спасибо trad-у

	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.25:
	* Source/CursorGrid/V7CursorGridCtrl.h 1.16:
		[+] у метода ТП::Поле::УстановитьОтступы все параметры имеют знач
		ение по умолчанию -1

2007-09-24	artbear
	* Source/VTExt/VTExtended.cpp 1.70:
		[*] метод ВыбратьСтроку имеет первый параметр по умолчанию 0

2007-09-21	adirks
	* Source/VTExt/VTExtGrouping.cpp [z_1cpp_2-0-3] 1.17.14.1:
	* Source/VTExt/VTExtended.cpp [z_1cpp_2-0-3] 1.54.4.10:
	* Source/VTExt/VTExtended.h [z_1cpp_2-0-3] 1.50.4.7:
	* Source/VTExt/VTIndex.cpp [z_1cpp_2-0-3] 1.39.4.12:
		[*] синхронизация с веткой 2.5.x

	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt 1.26:
	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt 1.27:
		[+] тест на метод Итог() по уникальному индексу

	* Source/VTExt/VTExtended.h 1.60:
	* Source/VTExt/VTIndex.cpp 1.52:
		[-] ошибка в методе Итог() по уникальному индексу

2007-09-14	sedmin
	* Documents/extobjs.txt [z_1cpp_2-0-3] 1.20.4.4:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.33:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.34:
	* Source/System/System.cpp [z_1cpp_2-0-3] 1.10.2.13:
	* Source/System/System.h [z_1cpp_2-0-3] 1.5.2.6:
	* Testing/UnitTests/SpecialClasses/СистемаТесты.txt [z_1cpp_2-0-3] 1.2.4.6:
		[+] Добавлен метод Система::Уснуть()

	* Source/System/System.cpp 1.29:
	* Testing/UnitTests/SpecialClasses/СистемаТесты.txt 1.13:
		Рефакторинг

2007-09-12	sedmin
	* Source/APP.CPP 1.5:
	* Source/APP.CPP [z_1cpp_2-0-3] 1.2.8.2:
	* Source/APP.CPP [z_1cpp_2-0-3] 1.2.8.3:
	* Source/AddIn.dsp [z_1cpp_2-0-3] 1.43.2.3:
	* Source/AddIn.dsp [z_1cpp_2-0-3] 1.43.2.4:
	* Source/AddIn.rc [z_1cpp_2-0-3] 1.18.2.3:
	* Source/AddIn.rc [z_1cpp_2-0-3] 1.18.2.4:
	* Source/ExecuteModule.cpp [z_1cpp_2-0-3] 1.14.2.7:
	* Source/ExecuteModule.cpp [z_1cpp_2-0-3] 1.14.2.8:
	* Source/System/GlobalMethods.cpp 1.18:
	* Source/System/GlobalMethods.cpp [z_1cpp_2-0-3] 1.11.2.4:
	* Source/System/GlobalMethods.cpp [z_1cpp_2-0-3] 1.11.2.5:
	* Source/TableEx.cpp [z_1cpp_2-0-3] 1.9.4.5:
	* Source/TableEx.cpp [z_1cpp_2-0-3] 1.9.4.6:
	* Source/TurboBL/gcboost.h [z_1cpp_2-0-3] 1.6.2.11:
	* Source/TurboBL/gcboost.h [z_1cpp_2-0-3] 1.6.2.12:
	* Source/frame.cpp [z_1cpp_2-0-3] 1.24.2.1:
	* Source/frame.cpp [z_1cpp_2-0-3] 1.24.2.2:
		[-] Исправлена ошибка загрузки на Windows NT4 и более ранних.

2007-09-12	artbear
	* Source/OLEDB/sp_cooledb.cpp 1.35:
		[-] у метода "PutObjectList" только третий параметр имеет дефолтное значение, а остальные нет
		[*] мелкий рефакторинг дефолтных функций;

	* Source/OLEDB/sp_oledb.cpp 1.13:
		[-] у метода "Соединение" нет дефолтного параметра;
		[-] у метода "ПрисоединитьИБ" первый параметр не является дефолтнымпараметром,
		только второй имеет дефолтное значение

	* Source/DynaValue.cpp 1.3:
	* Source/istrmap.cpp 1.13:
		[-] исправлены старые ошибки

2007-09-11	adirks
	* Source/VTExt/VTExtended.cpp 1.69:
	* Source/VTExt/VTExtended.h 1.59:
		[*] завершена начатая Артуром работа над ошибками по дефолтным зн
		ачениям параметров

2007-09-11	artbear
	* Source/OLEDB/sp_cooledb.cpp 1.34:
	* Source/OLEDB/sp_cooledb.h 1.17:
		[*] мелкий рефакторинг по удалению параметров из списка параметро
		в

	* Source/OLEDB/sp_oledb.cpp 1.12:
		[-] если в методе СоздатьКоманду происходил исключение, то создан
		ный объект зависал в памяти

	* Source/BinaryData.cpp 1.10:
		[-] в методе ЗаписатьСтроку был небольшой баг с выделением и удал
		ением памяти

2007-09-10	artbear
	* Source/System/GroupContextWrap.cpp 1.68:
	* Source/System/GroupContextWrap.cpp 1.70:
	* Source/System/GroupContextWrap.cpp 1.71:
	* Source/System/GroupContextWrap.h 1.46:
	* Source/System/GroupContextWrap.h 1.48:
	* Source/System/GroupContextWrap.h 1.50:
		[*] рефакторинг

	* Testing/UnitTests/SpecialClasses/ВыполняемыйМодульТесты.txt 1.28:
		[+] добавлены тесты из 203

	* Testing/UnitTests/SpecialClasses/СистемаТесты.txt 1.12:
		[+] новый тест ТестЗакрытияФормыДокумента

	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучай.txt 1.30:
		[+] новый метод из 203 - ПроверитьТЗ

	* Testing/ExtForms/ТестТабличногоПоляПоставщикДанныхЛог/МодульФормы.1s 1.6:
		[-] не работает в 2.5

	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt 1.25:
		[-] ошибка с параметрами по умолчанию в методе тестСохранениеИтер
		атора

	* Testing/UnitTests/SpecialClasses/defcls.prm 1.28:
		[+] новые классы-обработчики перехватов

	* Testing/UnitTests/FormEx/FormExТесты.txt 1.28:
		[+] тесты модальных окон с таймером;
		[*] рефакторинг

	* Testing/UnitTests/SpecialClasses/КлассПерехватчикГлобальногоМодуля.txt 1.1:
		[+] класс-обработчик перехвата событий глобального модуля

	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_СобытияFormExДоПерехвата/gcomp.ini 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_СобытияFormExДоПерехвата/gcomp.ver 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_СобытияFormExДоПерехвата/МодульФормы.1s 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_СобытияFormExДоПерехвата/ОбъектыМетаданных.txt 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_СобытияFormExДоПерехвата/Структура.mdp 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_СобытияFormExДоПерехвата/Форма.frm 1.1:
		[+] обработка для тестов перехвата различных событий ФормЕкс

	* Testing/ExtForms/UnitTests/СобытияFormEx/gcomp.ini 1.1:
	* Testing/ExtForms/UnitTests/СобытияFormEx/gcomp.ver 1.1:
	* Testing/ExtForms/UnitTests/СобытияFormEx/МодульФормы.1s 1.1:
	* Testing/ExtForms/UnitTests/СобытияFormEx/ОбъектыМетаданных.txt 1.1:
	* Testing/ExtForms/UnitTests/СобытияFormEx/ПорядокОбъектов.ord 1.1:
	* Testing/ExtForms/UnitTests/СобытияFormEx/Структура.mdp 1.1:
	* Testing/ExtForms/UnitTests/СобытияFormEx/Таблица.mxl 1.1:
	* Testing/ExtForms/UnitTests/СобытияFormEx/Форма.frm 1.1:
		[+] обработка для тестов различных событий ФормЕкс - использовала
		сь при написании Оптимизатора ФормЕкс

	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_СобытияFormEx/МодульФормы.1s 1.2:
		[+] перехват события Событие_ПриНажатииКнопкиКлавиатуры

	* Testing/Config/ГлобальныйМодуль.1s 1.26:
		[+] методы для тестов событий ФормЕкс;
		[+] методы для тестов перехвата штатных событий и событий ФормЕкс;
		[*] рефакторинг

	* Testing/UnitTests/SpecialClasses/ПерехватчикТесты.txt 1.5:
		[+] тесты перехвата штатных событий и событий ФормЕкс для глобального модуля;
		[+] для универсальности настройка по включению перехвата каждый раз при завершении теста сбрасывается
		
		[+] доп.тесты перехватов событий ФормЕкс

	* Source/TurboBL/gcboost.h 1.21:
		[-] Исправлен баг - при вызове через контекст методов модуля формы контекста
		не удавался вызов методам с параметрами по умолчанию

	* Testing/UnitTests/TurboBL/TurboBLТесты.txt 1.14:
		[+] добавлены тесты, показывающие ошибку в текущей сборке 1С++
		при вызове через контекст методов модуля формы контекста с параметрами по умолчанию

	* Source/1CHEADERS/blang.h 1.10:
		[+] более точное определение классов
		 CBLModuleProcVarDescr
		 CCompileProcInfo
		 CCompiledModule

	* Source/VTExt/VTExtended.cpp 1.68:
		[-] Исправил баг - если есть дефолтная функция, то в любой параметр можно передавать неопределенное з
		начение
		методы defsUnloadTo и частично defsSaveToString

	* Source/CursorGrid/V7LogFilter.cpp 1.2:
	* Source/Delegate.cpp 1.16:
	* Source/System/Math.cpp 1.8:
	* Source/System/System.cpp 1.28:
	* Source/VTExt/VTExtGrouping.cpp 1.18:
	* Source/VTExt/VTExtended.cpp 1.67:
		[-] Исправил баг - если есть дефолтная функция, то в любой параме
		тр можно передавать неопределенное значение

	* Source/System/GroupContextWrap.cpp 1.65:
	* Source/System/GroupContextWrap.h 1.45:
		[*] имя класса-обработчика события изменено на stEventHandlerData
		[*] рефакторинг - выделены отдельные методы по проверке и настройке параметров события

	* Source/System/GlobalMethods.cpp 1.17:
	* Source/System/GlobalMethods.h 1.24:
		[*] более точное определение метода ::Msg

2007-09-10	adirks
	* Documents/IndexedTable.txt 1.52:
		[-] неверно были указаны умолчания для методов Выгрузить() и ВСтр
		оку()

2007-09-09	artbear
	* Documents/history.txt 1.159:
		[+] мои исправления по Перехватчику

	* Documents/IndexedTable.txt 1.51:
		[+] у метода "ВыключитьФильтр" параметр может быть пропущен, по у
		молчанию ""

	* Source/System/GroupContextWrap.cpp 1.64:
	* Source/System/GroupContextWrap.h 1.44:
	* Source/System/Hooker.cpp 1.15:
		[-] Исправлен баг - неверный перехват событий ФормЕкс в глобальном модуле при использовании оптимизир
		ованной FormEx,
		если FormEx грузится раньше включения перехвата;
		[+] при вызове оригинальных событий формы/глобального модуля или предыдущего перехватчика
		в случае несовпадения количества параметров выдается сообщение в окно сообщений;
		[*] рефакторинг - перенес проверку входных параметров CValue в класс CHooker,
		в итоге основной класс Перехватчика упростился.

	* Source/ComponentClass.cpp 1.102:
		[*] мелкий рефакторинг

	* Source/System/DllHooker.h 1.11:
		[*] инкапсулировал некоторые переменные

	* Source/System/System.cpp 1.27:
	* Source/System/System.h 1.14:
		[-] у метода EndBatch не было дефолтной функции.

	* Source/VTExt/VTExtended.cpp 1.66:
	* Source/VTExt/VTExtended.h 1.58:
		[-] исправлены баги для многих функций с дефолтными параметрами,
		но не определена дефолтная функция,
		в вызываемый метод передавалось неизвестно что.

	* Source/1CHEADERS/basic.h 1.25:
	* Source/1CHEADERS/type32.h 1.8:
		[*] класс CGetFieldsArray перенесен в type32.h

2007-09-08	sedmin
	* Documents/FormEx.txt [z_1cpp_2-0-3] 1.6.10.1:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.32:
	* Source/Service.cpp [z_1cpp_2-0-3] 1.28.2.3:
	* Source/Service.h [z_1cpp_2-0-3] 1.12.6.1:
		[*] Добавлен метод Сервис::СписокВсехОткрытыхОкон()

	* Documents/extobjs.txt 1.32:
	* Documents/extobjs.txt [z_1cpp_2-0-3] 1.20.4.3:
	* Documents/history.txt 1.157:
	* Documents/history.txt 1.158:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.31:
	* Source/APP.CPP 1.4:
	* Source/AddIn.dsp [z_1cpp_2-0-3] 1.43.2.2:
	* Source/STDAFX.CPP [z_1cpp_2-0-3] 1.21.6.3:
	* Source/StdAfx.h [z_1cpp_2-0-3] 1.26.6.6:
	* Source/System/GlobalMethods.cpp 1.16:
	* Source/System/GlobalMethods.cpp [z_1cpp_2-0-3] 1.11.2.3:
	* Source/System/GlobalMethods.h 1.23:
	* Source/System/GlobalMethods.h [z_1cpp_2-0-3] 1.15.2.3:
	* Source/System/System.cpp 1.26:
	* Source/System/System.h 1.13:
		[+] реализована регистрация компоненты в HKCU
		[+] добавлен метод Система::РегистрироватьКомпонентыВ_HKCU(фHKCU=1)

2007-09-08	artbear
	* Source/VTExt/VTExtended.cpp 1.65:
	* Source/VTExt/VTExtended.h 1.57:
		[-] у метода ДобавитьИндекс не было дефолтной функции.

	* Source/System/Math.cpp 1.7:
	* Source/System/Math.h 1.3:
		[-] у метода Long не было дефолтной функции.

	* Source/Delegate.cpp 1.15:
	* Source/Delegate.h 1.10:
		[-] у методов ОпределитьТип и Добавить не было дефолтных функций
		.

	* Source/mycontextbase.cpp 1.7:
		[-] баг - если для вызываемого метода, у которого есть дефолтные параметры,
		но не определена дефолтная функция,
		то ошибка не выдается и вызывается метод с передачей туда неизвестно чего.

	* Source/System/DllHooker.cpp 1.13:
	* Source/System/DllHooker.h 1.9:
	* Source/System/GroupContextWrap.cpp 1.63:
	* Source/System/GroupContextWrap.h 1.43:
		[*] рефакторинг - перенес часть функций из одного класса в другой
		

	* Source/System/DllHooker.cpp 1.12:
		[-] баг - Перехватчик неверно перехватывал штатные события глобал
		ьного модуля при использовании совместно с оптимизированным ФормЕ
		кс

2007-09-07	sedmin
	* Source/APP.CPP [z_1cpp_2-0-3] 1.2.8.1:
	* Source/STDAFX.CPP [z_1cpp_2-0-3] 1.21.6.2:
	* Source/StdAfx.h [z_1cpp_2-0-3] 1.26.6.5:
	* Source/System/System.cpp [z_1cpp_2-0-3] 1.10.2.12:
	* Source/System/System.h [z_1cpp_2-0-3] 1.5.2.5:
		[+] реализована регистрация компоненты в HKCU
		[+] добавлен метод Система::РегистрироватьКомпонентыВ_HKCU(фHKCU=1)

2007-09-07	artbear
	* Documents/history.txt 1.155:
		[*] последние изменения

	* Source/ComponentClass.cpp 1.101:
	* Source/ComponentClass.h 1.58:
		[-] исправлен критический баг - если в классе-наследнике любого класса была ошибка,
		из-за чего класс не удавалось создать,
		то при создании объекта данного класса-наследника 1С падала.

	* Source/ComponentClass.cpp 1.100:
		[-] исправлен критический баг - если в классе-наследнике любого класса была синтакс-ошибка,
		то при создании объекта данного класса-наследника 1С падала.

	* Source/System/DllHooker.cpp 1.10:
	* Source/System/DllHooker.h 1.8:
	* Source/System/System.cpp 1.25:
		[-] исправлен баг - не работал метод ЗакрытьФорму, если не был вк
		лючен перехват событий

2007-09-06	artbear
	* Source/System/DllHooker.cpp 1.8:
	* Source/System/DllHooker.cpp 1.9:
	* Source/System/DllHooker.h 1.6:
	* Source/System/DllHooker.h 1.7:
		[*] небольшой рефакторинг обработки ExecProc

	* Source/System/GroupContextWrap.h 1.42:
		[+] класс CComponentClassWrapper - обертка над CComponentClass
		будет использоваться для более удобного управления классами-обработчиками перехватов

	* Source/System/GroupContextWrap.cpp 1.62:
	* Source/System/GroupContextWrap.h 1.40:
		[*] рефакторинг класса - указатель на const CComponentClass* заме
		нен на тип CConstComponentClassPtr

	* Source/System/GroupContextWrap.cpp 1.60:
	* Source/System/GroupContextWrap.cpp 1.61:
	* Source/System/GroupContextWrap.h 1.38:
	* Source/System/GroupContextWrap.h 1.39:
		[*] рефакторинг класса stModuleEventData - закрыт прямой доступ к полям класса,
		теперь доступ только через спец. функции

	* Source/SafeContext.h 1.20:
		[-] конструктор копирования CSafeContextPtr(const 
		CSafeContextPtr& ref) мог выдавать ошибку в нормальной ситуации

	* Source/MethodsWrapper.h 1.19:
		[*] мелкий рефакторинг класса CTrapSwap - изменен доступ к полю к
		ласса

2007-09-04	sedmin
	* Testing/UnitTests/FormEx/FormExТесты.txt [z_1cpp_2-0-3] 1.9.2.7:
	* Testing/UnitTests/LoaderUnitTests/ДелегатФормы.txt [z_1cpp_2-0-3] 1.2.2.3:
	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучай.txt [z_1cpp_2-0-3] 1.17.2.5:
	* Testing/UnitTests/LoaderUnitTests/Тесты/Тесты_ДелегатФормы/МодульФормы.1s [z_1cpp_2-0-3] 1.2.2.4:
	* Testing/UnitTests/OOP/ООПТесты.txt [z_1cpp_2-0-3] 1.30.2.7:
	* Testing/UnitTests/TurboBL/TurboBLТесты.txt [z_1cpp_2-0-3] 1.3.10.9:
		Рефакторинг

2007-08-31	artbear
	* Source/System/DllHooker.cpp 1.7:
		[-] исправлен баг - неверно работал перехват события ВводНаОснова
		нии

2007-08-30	artbear
	* Source/ComponentClass.cpp 1.99:
		[*] мелкий рефакторинг
		[*] рефакторинг работы с интеллектуальным указателем из-за того,
		что у этого класса удалены неявные операторы, которые могут помешать универсальному использованию кла
		сса

	* Source/Delegate.cpp 1.14:
	* Source/MapDefMethod.h 1.6:
		[*] рефакторинг работы с интеллектуальным указателем из-за того,
		что у этого класса удалены неявные операторы, которые могут помешать универсальному использованию кла
		сса

	* Source/System/sh_ptr.hpp 1.3:
		[-] убрал неявные операторы, которые могут помешать универсальном
		у использованию класса

2007-08-29	artbear
	* Source/System/GroupContextWrap.cpp 1.59:
		[-] если используется старая версия ФормЕкс, то нельзя было устан
		овить перехват

2007-08-28	artbear
	* Source/System/System.cpp 1.24:
		[-] Исправлен баг - Перехватчик не перехватывал событие "ПослеЗак
		рытия" у новой, оптимизированной сборки ФормЕкс;

	* Source/System/GroupContextWrap.cpp 1.58:
	* Source/System/GroupContextWrap.h 1.37:
		[-] Исправлен баг - Перехватчик не всегда верно работал с событиями новой, оптимизированной сборки Фо
		рмЕкс;
		[*] рефакторинг - использовал паттерн Одиночка;
		[*] рефакторинг - перенес один класс в отдельный модуль DllHooker.cpp

	* Source/System/DllHooker.cpp 1.6:
	* Source/System/DllHooker.h 1.5:
		[+] в связи с новым, оптимизированным поведением ФормЕкс при работе с событиями
		сброс формы из карты перехваченных форм делаю в деструкторе документа.
		[+] новый метод для восстановления перехвата вызовов процедур/функций модуля;
		[*] рефакторинг - использовал паттерн Одиночка;

	* Source/AddIn.dsp 1.58:
		[+] добавил в проект файлы DllHooker.*

2007-08-24	artbear
	* Source/System/GroupContextWrap.cpp 1.49:
	* Source/System/GroupContextWrap.cpp 1.50:
	* Source/System/GroupContextWrap.cpp 1.52:
	* Source/System/GroupContextWrap.cpp 1.53:
	* Source/System/GroupContextWrap.cpp 1.54:
	* Source/System/GroupContextWrap.cpp 1.55:
	* Source/System/GroupContextWrap.cpp 1.56:
	* Source/System/GroupContextWrap.cpp 1.57:
	* Source/System/GroupContextWrap.h 1.29:
	* Source/System/GroupContextWrap.h 1.30:
	* Source/System/GroupContextWrap.h 1.32:
	* Source/System/GroupContextWrap.h 1.33:
	* Source/System/GroupContextWrap.h 1.34:
	* Source/System/GroupContextWrap.h 1.35:
	* Source/System/GroupContextWrap.h 1.36:
		[*] рефакторинг

	* Source/System/GroupContextWrap.cpp 1.51:
	* Source/System/GroupContextWrap.h 1.31:
		[*] рефакторинг - выделил подкласс-валидатор из класса 
		CEventsWrapperManager

	* Source/System/GroupContextWrap.cpp 1.48:
	* Source/System/GroupContextWrap.h 1.28:
		[*] рефакторинг - выделил подкласс из класса 
		CEventsWrapperManager

	* Source/System/DllHooker.cpp 1.5:
	* Source/System/DllHooker.h 1.4:
	* Source/System/GroupContextWrap.cpp 1.46:
	* Source/System/GroupContextWrap.h 1.26:
	* Source/System/Hooker.cpp 1.14:
		[*] рефакторинг - класс CGroupContextWrap переименован в 
		CEventsWrapperManager

	* Source/System/DllHooker.cpp 1.4:
	* Source/System/DllHooker.h 1.3:
	* Source/System/GroupContextWrap.cpp 1.45:
	* Source/System/GroupContextWrap.h 1.25:
	* Source/System/Hooker.cpp 1.13:
		[*] рефакторинг - клиенты получают одиночки CGroupContextWrap и CHookCGroupContext
		только через спец. статические функции

	* Source/System/DllHooker.cpp 1.3:
	* Source/System/GroupContextWrap.cpp 1.44:
	* Source/System/GroupContextWrap.h 1.24:
	* Source/System/Hooker.cpp 1.12:
		[*] рефакторинг - одиночка CGroupContextWrap хранится через интел
		лектуальный указатель

	* Source/System/DllHooker.cpp 1.2:
	* Source/System/DllHooker.h 1.2:
	* Source/System/Hooker.cpp 1.11:
		[*] рефакторинг - одиночка CHookGroupContext хранится через интел
		лектуальный указатель

	* Source/System/GroupContextWrap.cpp 1.43:
		[*] убрал закомментированный код от прошлого рефакторинга

	* Source/ADDIN.CPP 1.56:
	* Source/ComponentClassAdd.cpp 1.2:
	* Source/System/DllHooker.cpp 1.1:
	* Source/System/DllHooker.h 1.1:
	* Source/System/GroupContextWrap.cpp 1.42:
	* Source/System/GroupContextWrap.h 1.23:
	* Source/System/Hooker.cpp 1.10:
		[*] рефакторинг - класс CHookGroupContext со связанными данными п
		еренесен в другой файл DllHooker.cpp

	* Source/System/MyAddinContext.cpp 1.2:
		[-] исправлен баг - при удалении объекта не уничтожался объект-пр
		едставитель

2007-08-07	artbear
	* Source/System/GroupContextWrap.cpp 1.41:
		[*] класс "Перехватчик" - методы вызова событий ГК или ГМ -
		при вызове процедур/функций, число параметров в которых больше переданного количества параметров, выз
		ов не делаю

2007-08-06	sedmin
	* Source/STDAFX.CPP [z_1cpp_2-0-3] 1.21.6.1:
	* Source/StdAfx.h [z_1cpp_2-0-3] 1.26.6.4:
		[*] рефакторинг

2007-08-05	sedmin
	* Source/BLModuleWrapper.cpp [z_1cpp_2-0-3] 1.4.8.3:
	* Source/ExecuteModule.cpp [z_1cpp_2-0-3] 1.14.2.6:
	* Testing/UnitTests/SpecialClasses/ВыполняемыйМодульТесты.txt [z_1cpp_2-0-3] 1.17.2.6:
		[-] Исправлены многие ошибки возникновения и обработки исключений
		 при компиляции и исполнении ВыполняемогоМодуля

2007-08-01	sedmin
	* Testing/UnitTests/FormEx/FormExТесты.txt 1.27:
	* Testing/UnitTests/FormEx/ТестыИсходнойТаблицы/МодульФормы.1s 1.4:
	* Testing/UnitTests/LoaderUnitTests/DEFCLS.PRM 1.21:
	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучай.txt 1.28:
	* Testing/UnitTests/LoaderUnitTests/Тесты/ТестыТестовогоСлучая.txt 1.7:
	* Testing/UnitTests/OOP/ЗначенияПараметровПоУмолчанию.txt 1.13:
	* Testing/UnitTests/OOP/ООП_КлассыВОдномФайле_Тесты.txt 1.5:
	* Testing/UnitTests/OOP/ООПТесты.txt 1.52:
	* Testing/UnitTests/OOP/Тесты_Фабрика.txt 1.6:
	* Testing/UnitTests/SpecialClasses/BinaryDataТесты.txt 1.4:
	* Testing/UnitTests/SpecialClasses/MetaInfoClassesТесты.txt 1.13:
	* Testing/UnitTests/SpecialClasses/АктивИкс_Тесты.txt 1.7:
	* Testing/UnitTests/SpecialClasses/ВыполняемыйМодульТесты.txt 1.24:
	* Testing/UnitTests/SpecialClasses/ИнформаторТесты.txt 1.8:
	* Testing/UnitTests/SpecialClasses/ПотокТесты.txt 1.9:
	* Testing/UnitTests/SpecialClasses/СтруктураТесты.txt 1.8:
	* Testing/UnitTests/SpecialClasses/УправлениеНастройкамиТесты.txt 1.17:
	* Testing/UnitTests/SpecialClasses/Форма_Тесты.txt 1.6:
		Рефакторинг

	* Testing/UnitTests/SpecialClasses/ВыполняемыйМодульТесты.txt 1.26:
		Тест пропущен. На всякий случай.

	* Testing/UnitTests/SpecialClasses/ВыполняемыйМодульТесты.txt 1.25:
	* Testing/UnitTests/SpecialClasses/ВыполняемыйМодульТесты.txt [z_1cpp_2-0-3] 1.17.2.5:
		Тест на корректность вычисления выражения (ожидается исключение)

2007-07-17	steban
	* Source/AXControl.cpp 1.23:
		Исправлен баг с видимостью контролов
		http://www.1cpp.ru/forum/YaBB.pl?num=1183627298

2007-07-12	spock
	* Testing/Config/ИдентификаторыКонфигурации.mdp [z_1cpp_2-0-3] 1.8.6.6:
	* Testing/Config/ОбъектыМетаданных.txt 1.17:
	* Testing/Config/ОбъектыМетаданных.txt [z_1cpp_2-0-3] 1.8.6.6:
	* Testing/Config/Справочники/ТестовыеДанные/Структура.mdp 1.4:
	* Testing/Config/Справочники/ТестовыеДанные/Структура.mdp [z_1cpp_2-0-3] 1.1.2.5:
	* Testing/Config/Справочники/ТестовыеДанные/ФормаСписка.fls/Форма.frm 1.4:
	* Testing/Config/Справочники/ТестовыеДанные/ФормаСписка.fls/Форма.frm [z_1cpp_2-0-3] 1.1.2.5:
	* Testing/TestDB/SC42.csv 1.4:
	* Testing/TestDB/SC42.csv [z_1cpp_2-0-3] 1.1.2.5:
	* Testing/TestDB/SC42.hdr 1.4:
	* Testing/TestDB/SC42.hdr [z_1cpp_2-0-3] 1.1.2.5:
		[*] Изменеия в тестовых данных: добавил колонку типа документ нео
		пределенного вида и заполнил.

	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.17:
	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.19:
		[+] Добавил новый тест: типизация строки длины 13 к $Документ

2007-07-11	spock
	* Source/OLEDB/sp_cooledb.cpp 1.33:
	* Source/OLEDB/sp_cooledb.cpp [z_1cpp_2-0-3] 1.27.4.6:
		Исправлена ошибка типизации $Документ при длине строки 13.

2007-07-09	spock
	* Source/OLEDB/sp_cooledb.cpp 1.32:
		Предварительное исправление типизации $Неопределенный, !!!!тестов
		 еще нет!!!!

2007-07-05	artbear
	* Source/System/GroupContextWrap.cpp 1.40:
	* Source/System/ModuleEvents.cpp 1.2:
		[*] удалил ненужный закомментированный код

	* Documents/Hooker.txt 1.9:
	* Documents/history.txt 1.153:
		[+] последние изменения по Перехватчику

	* Source/System/GroupContextWrap.cpp 1.38:
	* Source/System/GroupContextWrap.h 1.22:
		[+] работа с событиями глобального модуля;
		[+] новые события глобального модуля:
		  "Событие_НеобработаннаяОшибка"
		  "Событие_ЗаписьСобытияЖурналаРегистрации"
		  "Событие_ЗаписьПользовательскогоСобытияЖурналаРегистрации"

	* Source/System/Hooker.cpp 1.9:
	* Source/System/Hooker.h 1.8:
		[+] новые методы класса "Перехватчик"
		 "ПодключитьСобытие_НеобработаннаяОшибка"
		 "ПодключитьСобытие_ЗаписьСобытияЖурналаРегистрации"
		 "ПодключитьСобытие_ЗаписьПользовательскогоСобытияЖурналаРегистрации";

	* Source/AddIn.dsp 1.57:
		[+] класс CModuleEventManаger

	* Source/System/ModuleEvents.cpp 1.1:
	* Source/System/ModuleEvents.h 1.1:
		[+] класс CModuleEventManger - работf с различными событиями моду
		ля

2007-07-04	trad
	* Documents/TableField.txt 1.23:
	* Documents/TableField.txt [z_1cpp_2-0-3] 1.11.4.9:
	* Source/CursorGrid/CursorGridCtrl.cpp 1.29:
	* Source/CursorGrid/CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.15.2.13:
	* Source/CursorGrid/CursorGridCtrl.h 1.19:
	* Source/CursorGrid/CursorGridCtrl.h [z_1cpp_2-0-3] 1.9.6.8:
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.23:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.8.4.11:
	* Source/CursorGrid/V7CursorGridCtrl.h 1.15:
	* Source/CursorGrid/V7CursorGridCtrl.h [z_1cpp_2-0-3] 1.6.8.8:
		добавлен параметр Колонка события ПриКонтекстномМеню табличного п
		оля

	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.24:
		поправка в вызове события ПриКонтекстномМеню

2007-07-04	artbear
	* Documents/history.txt 1.152:
	* Source/ADDIN.CPP 1.55:
	* Source/AddIn.dsp 1.56:
	* Source/System/MyAddinContext.cpp 1.1:
	* Source/System/MyAddinContext.h 1.1:
		[+] добавлена возможность создания собственных классов-наследнико
		в от объектов ВК, созданных по штатной технологии создания ВК

	* Source/1CHEADERS/seven.h 1.21:
		[+] описан класс CAddInContext - контекст объектов ВК, созданных 
		по штатной технологии создания ВК

	* Testing/UnitTests/OOP/defcls.prm 1.31:
	* Testing/UnitTests/OOP/НаследникВК.txt 1.1:
	* Testing/UnitTests/OOP/ООПТесты.txt 1.51:
		[+] 2 теста методов КОП с параметрами, передаваемыми по значению;
		[+] тесты наследования от объектов ВК, созданных по штатной технологии создания ВК
		например, от "Addin.V7HttpReader"

2007-07-03	spock
	* Source/OLEDB/sp_cooledb.cpp [z_1cpp_2-0-3] 1.27.4.5:
		Предварительное исправление типизации $Неопределенный, !!!!тестов
		 еще нет!!!!

2007-07-01	artbear
	* Documents/Hooker.txt 1.8:
		[*] методы "ВыполнитьСобытиеГК" и "ВыполнитьСобытиеГлобальногоМод
		уля" неверно вызывали события в модуле формы или глобальном модул
		е

	* Source/System/GroupContextWrap.cpp 1.37:
	* Source/System/GroupContextWrap.h 1.21:
		[+] методы-обработчики событий группового контекста сначала ищутся по имени "Событие_ИмяСобытия",
		а уж затем только по "ИмяСобытия"
		[*] методы "ВыполнитьСобытиеГК" и "ВыполнитьСобытиеГлобальногоМодуля" неверно вызывали события в моду
		ле формы или глобальном модуле

	* Source/System/GroupContextWrap.cpp 1.36:
		[+] при вызове объекта-обработчика события с помощью "Перехватчик::ВыполнитьСобытиеГК" или   "Перехва
		тчик::ВыполнитьСобытиеГлобальногоМодуля"
		если у объекта-обработчика нет метода с нужным названием, просто вызываем обработчик события из формы
		, если он есть.

	* Documents/Hooker.txt 1.7:
	* Documents/history.txt 1.150:
	* Source/System/Hooker.cpp 1.8:
	* Source/System/Hooker.h 1.7:
		[*] методы "ПерехватитьСобытияГК" и "ПерехватитьСобытияГлобальногоМодуля" стали функциями
		и возвращают предыдущий обработчик, если он есть.

	* Documents/Hooker.txt 1.6:
	* Documents/history.txt 1.149:
	* Source/System/GroupContextWrap.cpp 1.35:
	* Source/System/GroupContextWrap.h 1.20:
	* Source/System/Hooker.cpp 1.7:
	* Source/System/Hooker.h 1.6:
		[+] новые методы класса "Перехватчик":
		  "Перехватчик::ВыполнитьСобытиеГК"
		  "Перехватчик::ВыполнитьСобытиеГлобальногоМодуля"

2007-06-27	artbear
	* Documents/history.txt 1.148:
	* Source/System/GroupContextWrap.cpp 1.34:
	* Source/System/GroupContextWrap.h 1.19:
		[-] Перехватчик неверно работал с перехватом глобального модуля, события в котором вызываются из друг
		их ВК или OLE
		c помощью IDispatch-интерфейса 1С (например, ВК RikInet)
		http://www.1cpp.ru/forum/YaBB.pl?num=1180811100/32#32

2007-06-26	artbear
	* Documents/history.txt 1.147:
		[+] добавил работу со статусом возврата для событий FormEx и друг
		их ВК

	* Source/System/GroupContextWrap.cpp 1.33:
	* Source/System/GroupContextWrap.h 1.18:
		[+] при вызове обработчиков событий FormEx для контекста или глобального модуля
		для обработчиков, число параметров в которых не совпадает с переданным количеством параметров, вызов 
		не делается.
		Ошибок в окно сообщений не выдается

	* Source/System/GroupContextWrap.cpp 1.32:
		[+] при вызове оригинальных событий контекста или глобального модуля
		для процедур/функций, число параметров в которых не совпадает с переданным количеством параметров, вы
		зов не делаю
		Ошибок в окно сообщений не выдается

2007-06-22	artbear
	* Source/System/GroupContextWrap.cpp 1.31:
	* Source/System/GroupContextWrap.h 1.17:
		[+] Добавлена установка статуса возврата для обработчиков-функций событий FormEx и других ВК -
		если функция-обработчик вернула 0, значит, статус возврата соответствующего модуля/контекста также ст
		авим в 0

2007-06-20	artbear
	* Documents/history.txt 1.146:
		[+] Описал последние изменения

2007-06-19	spock
	* Source/PaintHook.cpp [z_1cpp_2-0-3] 1.43.2.9:
		Перед событием ПослеОткрытия форма делается невидимой, после события ПослеОткрытия форма показывается
		.
		Скрывает долгую перерисовку перегруженной большим кол-вом контролов формы.

2007-06-19	adirks
	* Source/VTExt/VTExtended.cpp 1.64:
	* Source/VTExt/VTExtended.cpp [z_1cpp_2-0-3] 1.54.4.9:
	* Source/VTExt/VTIndex.cpp 1.51:
	* Source/VTExt/VTIndex.cpp [z_1cpp_2-0-3] 1.39.4.11:
		[*] в качестве значений по умолчанию для метода SetFilter() испол
		ьзуем специальные пустые значения, с кодом типа, которого в 1С га
		рантированно не бывает - это позволяет правильно анализировать пе
		реданные в метод пустые значения

2007-06-19	artbear
	* Source/System/GlobalMethods.cpp 1.15:
		[-] исправлено - при возникновении исключений создавался лог-файл
		 C:\1cpp.txt

	* Source/System/GroupContextWrap.cpp 1.30:
		[-] исправлен баг - при вызове модальных форм не всегда работал перехват событий, обработчики которых
		 являются функциями
		PS еще одна заплатка для ФормЕкс :)

2007-06-18	adirks
	* Documents/IndexedTable.txt 1.50:
	* Documents/IndexedTable.txt [z_1cpp_2-0-3] 1.44.4.6:
	* Source/VTExt/VTExtended.h 1.56:
	* Source/VTExt/VTExtended.h [z_1cpp_2-0-3] 1.50.4.6:
	* Source/VTExt/VTIndex.cpp 1.50:
	* Source/VTExt/VTIndex.cpp [z_1cpp_2-0-3] 1.39.4.10:
	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt 1.24:
	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt [z_1cpp_2-0-3] 1.18.2.6:
		[+] в методе УстановитьФильтр() теперь можно опустить 1 из ключей
		, при этом фильтр будет по принципу  "от минус бесконечности до у
		казанного значения"

2007-06-07	adirks
	* Source/VTExt/VTIndex.cpp 1.49:
	* Source/VTExt/VTIndex.cpp [z_1cpp_2-0-3] 1.39.4.9:
		[-] при сравнении справочников неопределенного вида не учитывался
		 вид значения  (fixed by kms)

2007-06-06	spock
	* Documents/oledb.txt 1.9:
	* Documents/oledb.txt [z_1cpp_2-0-3] 1.7.4.2:
		Поправил документацию насчет ВыполнитьИнструкцию() - второй и тре
		тий параметр появились.

	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.16:
	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.18:
		[+] Новый тест по ВыполнитьИнструкцию() со вторым параметром типа
		 ТЗ.

	* Source/OLEDB/sp_cooledb.cpp 1.31:
	* Source/OLEDB/sp_cooledb.cpp [z_1cpp_2-0-3] 1.27.4.4:
		[+] Теперь ВыполнитьИнструкцию() имеет три параметра:
		- Текст запроса;
		- Таблица значений (пока ТОЛЬКО ТЗ);
		- флаг очистки ТЗ, по умлочанию 1.

2007-06-04	spock
	* Source/OLEDB/DBPropSet.cpp 1.3:
	* Source/OLEDB/DBPropSet.cpp [z_1cpp_2-0-3] 1.1.4.1:
	* Source/OLEDB/DBPropSet.h 1.3:
	* Source/OLEDB/DBPropSet.h [z_1cpp_2-0-3] 1.1.4.1:
	* Source/OLEDB/ValueTo.cpp 1.3:
	* Source/OLEDB/ValueTo.cpp [z_1cpp_2-0-3] 1.3.2.2:
	* Source/OLEDB/ValueTo.h 1.3:
	* Source/OLEDB/ValueTo.h [z_1cpp_2-0-3] 1.3.2.2:
	* Source/OLEDB/sp_ConvHlpr.h 1.3:
	* Source/OLEDB/sp_ConvHlpr.h [z_1cpp_2-0-3] 1.3.2.2:
	* Source/OLEDB/sp_cooledb.cpp 1.30:
	* Source/OLEDB/sp_cooledb.cpp [z_1cpp_2-0-3] 1.27.4.3:
	* Source/OLEDB/sp_cooledb.h 1.16:
	* Source/OLEDB/sp_cooledb.h [z_1cpp_2-0-3] 1.13.2.3:
	* Source/OLEDB/sp_oledb.cpp 1.11:
	* Source/OLEDB/sp_oledb.cpp [z_1cpp_2-0-3] 1.8.2.2:
	* Source/OLEDB/sp_oledb.h 1.13:
	* Source/OLEDB/sp_oledb.h [z_1cpp_2-0-3] 1.10.4.1:
	* Source/OLEDB/sp_oledbparam.cpp 1.3:
	* Source/OLEDB/sp_oledbparam.cpp [z_1cpp_2-0-3] 1.3.2.2:
	* Source/OLEDB/sp_oledbparam.h 1.3:
	* Source/OLEDB/sp_oledbparam.h [z_1cpp_2-0-3] 1.3.2.2:
	* Source/OLEDB/sp_oledbptr.h 1.3:
	* Source/OLEDB/sp_oledbptr.h [z_1cpp_2-0-3] 1.3.2.2:
		Новый функционал по oledb

	* Documents/history.txt 1.145:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.30:
		внес описание по изменениям

	* Source/AddIn.dsp 1.55:
	* Source/AddIn.dsp [z_1cpp_2-0-3] 1.43.2.1:
		В проект включены новые файлы

	* Source/OLEDB/sp_oledbptr.h [z_1cpp_2-0-3] 1.3.2.1:
		file sp_oledbptr.h was added on branch z_1cpp_2-0-3 on 2007-06-
		04 09:05:59 +0000

	* Source/OLEDB/sp_oledbparam.h [z_1cpp_2-0-3] 1.3.2.1:
		file sp_oledbparam.h was added on branch z_1cpp_2-0-3 on 2007-06-
		04 09:05:59 +0000

	* Source/OLEDB/sp_oledbparam.cpp [z_1cpp_2-0-3] 1.3.2.1:
		file sp_oledbparam.cpp was added on branch z_1cpp_2-0-3 on 2007-
		06-04 09:05:59 +0000

	* Source/OLEDB/sp_ConvHlpr.h [z_1cpp_2-0-3] 1.3.2.1:
		file sp_ConvHlpr.h was added on branch z_1cpp_2-0-3 on 2007-06-
		04 09:05:59 +0000

	* Source/OLEDB/ValueTo.h [z_1cpp_2-0-3] 1.3.2.1:
		file ValueTo.h was added on branch z_1cpp_2-0-3 on 2007-06-04 09:
		05:59 +0000

	* Source/OLEDB/ValueTo.cpp [z_1cpp_2-0-3] 1.3.2.1:
		file ValueTo.cpp was added on branch z_1cpp_2-0-3 on 2007-06-04 
		09:05:59 +0000

	* Documents/oledb.txt 1.8:
	* Documents/oledb.txt [z_1cpp_2-0-3] 1.7.4.1:
		Обновлено описание по новому функционалу

	* Testing/Config/ГлобальныйМодуль.1s 1.24:
	* Testing/Config/Документы/Новый1/МодульПроведения.1s 1.2:
	* Testing/Config/Документы/Новый1/МодульФормы.1s 1.4:
	* Testing/Config/Документы/Новый1/Форма.frm 1.3:
	* Testing/Config/Документы/Новый2/МодульПроведения.1s 1.4:
	* Testing/Config/Документы/Новый2/МодульФормы.1s 1.6:
	* Testing/Config/Документы/Новый2/Форма.frm 1.4:
	* Testing/Config/Документы/ПорядокОбъектов.ord 1.3:
	* Testing/Config/ИдентификаторыКонфигурации.mdp 1.14:
	* Testing/Config/Константы/Константы.mdp 1.3:
	* Testing/Config/Обработки/ЗагрузчикЮнитТестов/МодульФормы.1s 1.18:
	* Testing/Config/Обработки/ЗагрузчикЮнитТестов/Форма.frm 1.12:
	* Testing/Config/Обработки/КлассСТаблицейВКонфигурации/МодульФормы.1s 1.3:
	* Testing/Config/Обработки/ТестоваяДляFormEx/МодульФормы.1s 1.2:
	* Testing/Config/ОбъектыМетаданных.txt 1.14:
	* Testing/Config/Отчеты/новый1/МодульФормы.1s 1.4:
	* Testing/Config/ПараметрыБухгалтерии/Операция/ФормаОперации/Форма.frm 1.2:
	* Testing/Config/ПараметрыБухгалтерии/Проводка/ФормаСписка.fls/Форма.frm 1.2:
	* Testing/Config/ПараметрыБухгалтерии/Структура.mdp 1.4:
	* Testing/Config/Права/Администратор.txt 1.6:
	* Testing/Config/Права/НаборыПравОбъединенные.csv 1.7:
	* Testing/Config/Справочники/ТестовыеДанные/Структура.mdp 1.3:
	* Testing/Config/Справочники/ТестовыеДанные/ФормаСписка.fls/Форма.frm 1.3:
	* Testing/TestDB/1SACCS.csv 1.3:
	* Testing/TestDB/1SENTRY.csv 1.3:
	* Testing/TestDB/1SENTRY.hdr 1.3:
	* Testing/TestDB/1SJOURN.csv 1.5:
	* Testing/TestDB/1SOPER.csv 1.3:
	* Testing/TestDB/DH16.csv 1.3:
	* Testing/TestDB/SC12.csv 1.3:
	* Testing/TestDB/SC31.csv 1.3:
	* Testing/TestDB/SC34.csv 1.4:
	* Testing/TestDB/SC42.csv 1.3:
	* Testing/TestDB/SC42.hdr 1.3:
		Измменения структуры метаданных для тестирования функционала по 
		Oledb

	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.15:
		Тесты по новому функционалу

	* Source/ADDIN.CPP [z_1cpp_2-0-3] 1.33.2.4:
		Убрал регистрацию класса "OLEDBData" через RegisterContextClass()
		Теперь класс регистрируется макросами.

	* Source/System/System.cpp [z_1cpp_2-0-3] 1.10.2.11:
		Переименовал BL_FUNC_DEF_PARAM в BL_METH_FUNC_DEF_PARAM метода "ЗакрытьФорму"
		Т.к. изменилось название макроса.

	* Source/mycontextbase.cpp [z_1cpp_2-0-3] 1.5.6.1:
	* Source/mycontextbase.h [z_1cpp_2-0-3] 1.3.6.3:
		Перенес из ветки 2,5

2007-06-03	spock
	* Testing/Config/ПараметрыБухгалтерии/Операция/ФормаОперации/Форма.frm [z_1cpp_2-0-3] 1.1.2.1:
	* Testing/Config/ПараметрыБухгалтерии/Проводка/ФормаСписка.fls/Форма.frm [z_1cpp_2-0-3] 1.1.2.1:
		формы

	* Testing/Config/ПараметрыБухгалтерии/Операция/ФормаОперации/Форма.frm 1.1:
	* Testing/Config/ПараметрыБухгалтерии/Проводка/ФормаСписка.fls/Форма.frm 1.1:
		file Форма.frm was initially added on branch z_1cpp_2-0-3.

	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.17:
		набор тестов по новому функционалу включен в процесс тестирования
		

	* Documents/oledb.txt [NewOLEDB] 1.7.6.1:
		дописал описание

2007-05-30	steban
	* Source/AXControl.cpp 1.21:
		пофиксен баг с возвратом параметров типа VT_BSTR | VT_BYREF

2007-05-28	adirks
	* Source/VTExt/VTIndex.cpp 1.48:
	* Source/VTExt/VTIndex.cpp [z_1cpp_2-0-3] 1.39.4.8:
		[-] в некоторых случаях  (например, когда данные выгружаются из с
		тандартного 1С-запроса) сравнение значений давало ложные результа
		ты, со всеми вытекающими отсюда последствиями.

2007-05-21	spock
	* Documents/extobjs.txt [z_1cpp_2-0-3] 1.20.4.2:
		Исправил описание метода ЗакрытьФорму - компилировалось с ошибкой
		, сам текст не менял.

2007-05-18	artbear
	* Source/ModuleString.cpp 1.28:
		[-] при определенных условиях 1С могла зависать при попытке создания нового "V75.zlibEngine"
		Сейчас сначала пытаемся использовать существующий от 1С, если неудача, то создаем новый

2007-05-11	artbear
	* Source/System/GroupContextWrap.cpp 1.29:
		[+] новое событие для перехватчика "СобытиеГМ_ВводНаОсновании(Конт, ДокументОснование)"
		вызывается перед локальным "ВводНаОсновании"
		[-] исправлен баг - для событий "СобытиеГМ_ПриОткрытии" и "СобытиеГМ_ВводНового" не учитывались их ос
		новные параметры

	* Source/System/GlobalMethods.cpp 1.14:
	* Source/System/GlobalMethods.h 1.22:
		[+] новая глобальная функция "::AddParams_IntoValueArray()"
		к существуему массиву в конце добавить указанное количество параметров

	* Source/Factory.cpp 1.6:
		[*] малюсенький рефакторинг с типом

	* Source/1CHEADERS/bkend.h 1.29:
		[+] метод "CValuePtrArray::GetData()" теперь возвращает CValue**,
		 что более удобно, чем возвращаемый ранее void**

2007-05-07	artbear
	* Documents/Hooker.txt 1.5:
	* Documents/history.txt 1.143:
	* Source/System/GroupContextWrap.cpp 1.28:
		[+] новое событие для перехватчика "СобытиеГМ_ВводНового(Конт, флагКопирования)"
		вызывается перед локальным "ВводНового"

2007-04-26	artbear
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_СобытияFormEx/gcomp.ini 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_СобытияFormEx/gcomp.ver 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_СобытияFormEx/МодульФормы.1s 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_СобытияFormEx/ОбъектыМетаданных.txt 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_СобытияFormEx/Структура.mdp 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_СобытияFormEx/Форма.frm 1.1:
	* Testing/UnitTests/SpecialClasses/ПерехватчикТесты.txt 1.4:
		[+] тест перехвата событий ФормЕкс

	* Source/System/GroupContextWrap.cpp 1.27:
		[-] баг - не всегда перехватывались события ФормЕкс.
		из-за FormEx приходится так извращаться :(
		например, при программном открытии через ОткрытьФорму не работал перехват событий ПослеОткрытия и др
		.

2007-04-24	artbear
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК/МодульФормы.1s 1.3:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_События/МодульФормы.1s 1.3:
		[-] тесты Перехватчика не соответствовали последней версии 1С++ 2.5.0.2
		потому что забыл залить :(

	* Testing/UnitTests/SpecialClasses/ДелегатОбработчик.txt 1.3:
		[-] тесты Делегата и МенеджераСобытий были неработоспособны

	* Documents/history.txt 1.141:
		[+] поправлен метод "CreateMetaInfoClasses::ЗагрузитьОписаниеКлас
		сов"

	* Source/CreateMetaInfoClasses.cpp 1.18:
	* Testing/UnitTests/SpecialClasses/MetaInfoClassesТесты.txt 1.12:
		[+] поправлен метод "CreateMetaInfoClasses::ЗагрузитьОписаниеКлассов"
		1) он может принимать два параметра, один из которых может быть не указан.
		2) первый параметр может быть не именем файла, а строкой с описанием подключением классов.
		В этом случае второй параметр может указывать на путь, относительно которого ищутся класса.
		Если второй параметр не указан, классы ищутся по умолчанию относительно каталога ИБ
		[+] тесты нового поведения указанного метода

	* Source/MetaDataOfClasses.cpp 1.6:
		[*] комменты

	* Source/Preprocessor.cpp 1.9:
	* Source/Preprocessor.h 1.5:
		[*] рефакторинг - к некоторым полям класса добавил префик "m_"

2007-04-19	artbear
	* Source/1CHEADERS/br32.h 1.11:
	* Source/1CHEADERS/br32.h [z_1cpp_2-0-3] 1.7.8.2:
		[+] более точные определения классов
		"CBrowse" и "CColumn"

	* Source/1CHEADERS/basic.h 1.24:
	* Source/1CHEADERS/basic.h [z_1cpp_2-0-3] 1.8.6.2:
		[+] коммент к полю m_InTable класса CGetField

	* Source/1CHEADERS/1cheaders.h 1.6:
	* Source/1CHEADERS/1cheaders.h [z_1cpp_2-0-3] 1.3.8.2:
		[+] флаг C_BROWSE_STYLE_EX_DONOT_VISIBLE - проверка невидимости к
		олонки табличной части

	* Source/AttribEx.cpp [z_1cpp_2-0-3] 1.27.6.1:
		[-] не работали установка/получение видимости для атрибутов формы
		, являющихся колонками табличной части

2007-04-12	spock
	* Testing/TestDB/1SENTRY.csv [z_1cpp_2-0-3] 1.1.2.3:
	* Testing/TestDB/1SJOURN.csv [z_1cpp_2-0-3] 1.2.2.3:
	* Testing/TestDB/1SOPER.csv [z_1cpp_2-0-3] 1.1.2.3:
		Дабавил тестовые данные

	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.16:
		Добавил тест: типизация данных к Субконто

	* Source/OLEDB/sp_cooledb.cpp [NewOLEDB] 1.27.6.18:
	* Source/OLEDB/sp_cooledb.h [NewOLEDB] 1.13.4.12:
		Исправил типизацию к Субконто.

2007-04-12	artbear
	* Source/System/GroupContextWrap.cpp 1.26:
	* Source/System/GroupContextWrap.h 1.16:
	* Source/System/Hooker.cpp 1.6:
		[-] баг - при вызове методов "Перехватчик::ВыполнитьОригинальноеСобытие..."
		в случае отсутствия обработчика этого события в модуле формы или глобальнике выдавался СтатусВозврата
		(0)

	* Documents/Release.txt 1.6:
		[+] при выпуске релиза также нужно не забыть зафиксировать его, п
		оставив спец. тег

	* Source/System/GroupContextWrap.cpp 1.25:
	* Source/System/GroupContextWrap.h 1.15:
		[*] мелкий рефакторинг

2007-04-11	fez
	* Documents/Release.txt 1.5:
		Вставлена заметка про задвоение документации

2007-04-11	artbear
	* Source/System/GroupContextWrap.cpp 1.24:
	* Source/System/GroupContextWrap.h 1.14:
		[+] перехват работал не всегда -
		http://www.1cpp.ru/forum/YaBB.pl?num=1172047061/80#80

2007-04-10	artbear
	* Documents/history.txt 1.139:
		[+] поправленная статья - версия от Vaicartana

	* Documents/KB/TSQLInV7FirstSteps.html 1.2:
		[+] поправленная статья - версия от Vaicartana
		[+] добавлено описание работы с DBF и отличия от работы с SQL
		[+] добавлена описание работы с журналами расчетов
		[+] добавлены запросы с группировкой "Период"
		[+] приведен пример работы с ИндексированнойТаблицей при использовании прямых запросов
		[+] комментарии от Uzhast по поводу патча VFP OLE DB и работы с блокировками 1С

	* Documents/Hooker.txt 1.4:
	* Documents/history.txt 1.138:
	* Source/System/GroupContextWrap.cpp 1.22:
	* Source/System/GroupContextWrap.h 1.13:
	* Source/System/Hooker.cpp 1.5:
	* Source/System/Hooker.h 1.5:
		[+] новые методы класса "Перехватчик"
		  "Перехватчик::ВыполнитьОригинальноеСобытиеГК"
		 "Перехватчик::ВыполнитьОригинальноеСобытиеГлобальногоМодуля"
		[-]  методы "ВызватьОригинальноеСобытиеГК" и "ВызватьОригинальноеСобытиеГлобальногоМодуля" удалены

2007-04-08	trav
	* Source/CursorGrid/V7LogProvider.cpp 1.19:
		Исправлена ошибка
		http://www.1cpp.ru/forum/YaBB.pl?num=1175846801

2007-04-08	artbear
	* Source/BLModuleWrapper.cpp 1.13:
		[*] отлаживать текстовые файлы можно только при включенном режиме
		 отладки классов 1С++

	* Source/BLModuleWrapper.cpp 1.12:
		[*] можно отлаживать и текстовые классы, если используется спец.з
		амена системной библиотеки Bin\tracer.dll

	* Source/ComponentClass.cpp 1.98:
	* Source/ComponentClass.h 1.57:
	* Source/ExecuteModule.cpp 1.26:
		[+] добавления, необходимые для возможности простой отладки классов 1С++ - спасибо kms
		[*] мелкий рефакторинг

	* Source/BLModuleWrapper.cpp 1.11:
	* Source/BLModuleWrapper.h 1.9:
	* Source/ModuleString.cpp 1.27:
	* Source/ModuleString.h 1.7:
		[+] добавления, необходимые для возможности простой отладки классов 1С++ - спасибо kms
		[*] рефакторинг

	* Source/1CHEADERS/seven.h 1.20:
		[+] объявления классов, необходимых для отладки - спасибо Valar-у и kms
		[+] более точное объявление класса "CBLModule7", в т.ч. и порядка виртуальных функций
		[+] более точное объявление класса " CConfigCont" и "CTypedDataCont"
		[*] более точное объявление метода "::GetModuleFullName"

	* Source/1CHEADERS/frame.h 1.12:
		[*] комментарии

	* Source/1CHEADERS/blang.h 1.9:
		[+] более точное объявление класса "CExecutedModule" и классов, в
		ходящих в него

	* Source/System/GroupContextWrap.cpp 1.21:
		[*] добавил недостающий #include

	* Source/System/Math.cpp 1.6:
		[*] мелкие изменения от автора

	* Source/System/MyThread.cpp 1.7:
		[*] закомментировал код метода "procCreateThread" - возникала оши
		бка компиляции

	* Source/System/compare.h 1.3:
		[*] более точные объявления методов "::Compare..."

	* Source/ADDIN.CPP 1.54:
	* Source/ADDIN.H 1.16:
		[*] регистрация классов COLEDBData и CEventManager теперь не нужна;
		[*] рефакторинг -
		поле "pClassNameHash" переименовано в "m_pClassNameHash"
		поле "wrapperCreateInstance" переименовано в "m_wrapperCreateInstance"
		[*] убрал ненужные #include

	* Source/SafeContext.cpp 1.19:
		[*] исправил объявления перехваченных конструкторов;
		[*] удалил старый код в комментариях

	* Source/EventManager.cpp 1.9:
		[*] рефакторинг

	* Source/mycontextbase.h 1.6:
		[+] новый макрос BEGIN_EMPTY_BL_PROP_MAP для класса без свойств

2007-04-06	artbear
	* Testing/UnitTests/SpecialClasses/ДелегатТесты.txt 1.5:
		[*] доп.тесты создания/удаления по ключу

	* Source/Delegate.cpp 1.13:
	* Source/Delegate.h 1.9:
		[*] рефакторинг удаления обработчиков за счет использования интел
		лектуального указателя

	* Source/System/sh_ptr.hpp 1.2:
		[+] новый метод "empty" для уменьшения ссылки на разделяемый указ
		атель

	* Source/Delegate.cpp 1.12:
	* Source/Delegate.h 1.8:
	* Testing/UnitTests/SpecialClasses/ДелегатТесты.txt 1.4:
		[*] обработчики удаляются в порядке, обратном их добавлению

	* Source/System/GroupContextWrap.cpp 1.20:
		[-] метод "ВызватьОригинальноеСобытиеГК" по ошибке мог вызывать м
		етод класса-перехватчика

	* Documents/extobjs.txt 1.31:
	* Documents/history.txt 1.137:
		[+] описал изменения в классах "МенеджерСобытий" и "Делегат"

2007-04-05	artbear
	* Source/EventManager.cpp 1.8:
	* Source/EventManager.h 1.5:
	* Testing/UnitTests/SpecialClasses/МенеджерСобытийТесты.txt 1.3:
		[+] новый метод класса "МенеджерСобытий::ПолучитьТаблицуОбработчиков"
		и тесты к нему

	* Source/ADDIN.CPP 1.53:
		[*] регистрация класса "CEventManager" теперь не нужна

	* Source/SafeContext.h 1.19:
		[*] мелкий рефакторинг

	* Source/EventManager.cpp 1.7:
		[*] рефакторинг - упростил код проверки параметров методов

	* Source/System/GlobalMethods.h 1.21:
		[-] ошибка компиляции :(

	* Source/System/GlobalMethods.cpp 1.13:
	* Source/System/GlobalMethods.h 1.20:
		[+] новый глобальный метод проверки параметра ::
		ValidateParamContext

	* Source/EventManager.cpp 1.6:
	* Source/EventManager.h 1.4:
		[*] рефакторинг - упростил работу со ссылками на делегата

	* Source/EventManager.cpp 1.5:
	* Source/EventManager.h 1.3:
		[*] рефакторинг - поле "pDelegate" переименовал в "m_pDelegate"

	* Source/EventManager.cpp 1.4:
	* Source/EventManager.h 1.2:
		[*] сильный рефакторинг - унаследовал класс от CMyContextBase

	* Source/Delegate.cpp 1.11:
	* Source/Delegate.h 1.7:
	* Testing/UnitTests/SpecialClasses/ДелегатТесты.txt 1.3:
		[+] новые методы класса "Делегат"
		  "ПолучитьТаблицуОбработчиков"
		  "ПолучитьТаблицуОбработчиковПоКлючу"
		и тесты к ним

2007-04-04	artbear
	* Source/Delegate.cpp 1.10:
		[*] рефакторинг - убрал ненужную работы со ссылками - удалил лишн
		ие IncrRef и DecrRef

	* Source/Delegate.cpp 1.9:
	* Source/Delegate.h 1.6:
		[*] небольшой рефакторинг вызова методов-обработчиков

2007-04-03	artbear
	* Documents/history.txt 1.136:
		[*] мои изменения по классу Перехватчик

2007-03-29	spock
	* Testing/TestDB/1SENTRY.csv [z_1cpp_2-0-3] 1.1.2.2:
	* Testing/TestDB/1SENTRY.hdr [z_1cpp_2-0-3] 1.1.2.2:
	* Testing/TestDB/1SJOURN.csv [z_1cpp_2-0-3] 1.2.2.2:
	* Testing/TestDB/1SOPER.csv [z_1cpp_2-0-3] 1.1.2.2:
		Добавил тестовые данные - операцию с двумя проводками

	* Testing/Config/ИдентификаторыКонфигурации.mdp [z_1cpp_2-0-3] 1.8.6.5:
	* Testing/Config/ОбъектыМетаданных.txt [z_1cpp_2-0-3] 1.8.6.5:
	* Testing/Config/ПараметрыБухгалтерии/Структура.mdp [z_1cpp_2-0-3] 1.1.10.2:
		Добавил реквизит проводки "РеквизитПроводки"

	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.14:
		Добавил тесты по выборке данных с типизацией:
		- Счет;
		- План счетов как реквизит;
		- Вид субконто как реквизит;

2007-03-27	spock
	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.13:
		Добавил тесты:
		- Выборка данных с привидением к типу Дата;
		- Выборка данных с привидением к типу Календарь;
		- Выборка данных с привидением к типу ВидРасчета (как реквизит);

	* Source/ADDIN.CPP [NewOLEDB] 1.33.4.1:
	* Source/OLEDB/sp_cooledb.cpp [NewOLEDB] 1.27.6.17:
	* Source/OLEDB/sp_cooledb.h [NewOLEDB] 1.13.4.11:
	* Source/OLEDB/sp_oledb.cpp [NewOLEDB] 1.8.4.3:
	* Source/OLEDB/sp_oledb.h [NewOLEDB] 1.10.6.3:
	* Source/mycontextbase.cpp [NewOLEDB] 1.5.8.1:
	* Source/mycontextbase.h [NewOLEDB] 1.3.8.1:
		Переделал классы - унаследовал от MyContextBase

2007-03-23	artbear
	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучайСДанными.txt 1.5:
		[-] временные файлы удалялись не всегда

	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.14:
		[-] убрал пропуск тестов, для которых функционал уже реализован.

	* Testing/UnitTests/LoaderUnitTests/DEFCLS.PRM 1.20:
	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучай.txt 1.27:
	* Testing/UnitTests/LoaderUnitTests/Тесты/ТестыТестовогоСлучая.txt 1.6:
		[-] метод "ТестовыйСлучай::AssertFail" удален
		[+] метод "ТестовыйСлучай::ПроверитьИсключение" сделан универсальным, работает как с функциями, так и
		 с процедурами
		точная копия метода "ТестовыйСлучай::ПроверитьИсключениеДляЛюбогоМетода2"

	* Source/System/GroupContextWrap.cpp 1.19:
		[-] неверная работа со СтатусомВозврата

2007-03-22	artbear
	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.13:
		[+] тесты нового функционала OleDB
		[+] тесты найденных багов

	* Testing/Config/GUIDData 1.35:
	* Testing/Config/ИдентификаторыКонфигурации.mdp 1.13:
	* Testing/Config/Интерфейсы/Новый1/Команды.txt 1.7:
	* Testing/Config/Календари/Календари.mdp 1.2:
	* Testing/Config/ОбъектыМетаданных.txt 1.13:
	* Testing/Config/ПараметрыБухгалтерии/Структура.mdp 1.3:
	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/ПорядокОбъектов.ord 1.3:
	* Testing/Config/ПараметрыБухгалтерии/Счета/ПорядокОбъектов.ord 1.3:
	* Testing/Config/ПараметрыБухгалтерии/Счета/ФормаСписка.fls/Форма.frm 1.3:
	* Testing/Config/ПараметрыБухгалтерии/Счета/ФормаСчета/Форма.frm 1.3:
	* Testing/Config/Права/НаборыПравОбъединенные.csv 1.6:
	* Testing/TestDB/1SACCS.csv 1.2:
	* Testing/TestDB/1SACCS.hdr 1.2:
	* Testing/TestDB/1SCONST.csv 1.3:
	* Testing/TestDB/1SCORENT.csv 1.2:
	* Testing/TestDB/1SCORENT.hdr 1.2:
	* Testing/TestDB/1SENTRY.csv 1.2:
	* Testing/TestDB/1SENTRY.hdr 1.2:
	* Testing/TestDB/1SJOURN.csv 1.4:
	* Testing/TestDB/1SOPER.csv 1.2:
	* Testing/TestDB/1SOPER.hdr 1.2:
	* Testing/TestDB/1STOPER.csv 1.2:
	* Testing/TestDB/1STOPER.hdr 1.2:
	* Testing/TestDB/CL.csv 1.2:
	* Testing/TestDB/CL.hdr 1.2:
	* Testing/TestDB/DH16.csv 1.2:
	* Testing/TestDB/SC12.csv 1.2:
	* Testing/TestDB/SC31.csv 1.2:
	* Testing/TestDB/SC34.csv 1.3:
	* Testing/TestDB/SC42.csv 1.2:
	* Testing/TestDB/SC42.hdr 1.2:
		[-] исправлена ошибка в определении метаданных для тестирования в
		 OleDB

	* Testing/Config/GUIDData 1.34:
	* Testing/Config/АлгоритмыРасчета/ЛюбойРасчет1/Структура.mdp 1.2:
	* Testing/Config/АлгоритмыРасчета/ЛюбойРасчет2/Структура.mdp 1.2:
	* Testing/Config/АлгоритмыРасчета/ПорядокОбъектов.ord 1.2:
	* Testing/Config/Документы/Операция/Структура.mdp 1.2:
	* Testing/Config/ИдентификаторыКонфигурации.mdp 1.12:
	* Testing/Config/Интерфейсы/Новый1/Команды.txt 1.6:
	* Testing/Config/Интерфейсы/Новый1/Меню.txt 1.5:
	* Testing/Config/ОбъектыМетаданных.txt 1.12:
	* Testing/Config/ПараметрыБухгалтерии/Структура.mdp 1.2:
	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/00.acc 1.2:
	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/01.acc 1.2:
	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/02.acc 1.2:
	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/03.acc 1.2:
	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/04.acc 1.2:
	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/05.acc 1.2:
	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/ПорядокОбъектов.ord 1.2:
	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/Структура.mdp 1.2:
	* Testing/Config/ПараметрыБухгалтерии/Счета/ПорядокОбъектов.ord 1.2:
	* Testing/Config/ПараметрыБухгалтерии/Счета/ФормаСписка.fls/Форма.frm 1.2:
	* Testing/Config/ПараметрыБухгалтерии/Счета/ФормаСчета/Форма.frm 1.2:
	* Testing/Config/Права/Администратор.txt 1.5:
	* Testing/Config/Права/НаборыПравОбъединенные.csv 1.5:
	* Testing/Config/Справочники/ПорядокОбъектов.ord 1.3:
	* Testing/Config/Справочники/ТестовыеДанные/Структура.mdp 1.2:
	* Testing/Config/Справочники/ТестовыеДанные/ФормаСписка.fls/Форма.frm 1.2:
		[+] новые виды метаданных для тестирования в OleDB

	* Source/AddIn.dsp 1.54:
	* Source/OLEDB/ValueTo.cpp 1.2:
	* Source/OLEDB/ValueTo.h 1.2:
	* Source/OLEDB/sp_ConvHlpr.h 1.2:
	* Source/OLEDB/sp_cooledb.cpp 1.29:
	* Source/OLEDB/sp_cooledb.h 1.15:
	* Source/OLEDB/sp_oledbparam.cpp 1.2:
	* Source/OLEDB/sp_oledbparam.h 1.2:
	* Source/OLEDB/sp_oledbptr.h 1.2:
		[+] новая версия OleDB c поддержкой различных параметров
		автор - spock
		рефакторинг - мой

	* Source/OLEDB/sp_oledb.cpp 1.10:
	* Source/OLEDB/sp_oledb.h 1.12:
		[*] рефакторинг

2007-03-20	spock
	* Testing/Config/Документы/Операция/Структура.mdp [z_1cpp_2-0-3] 1.1.2.2:
	* Testing/Config/ИдентификаторыКонфигурации.mdp [z_1cpp_2-0-3] 1.8.6.4:
	* Testing/Config/ОбъектыМетаданных.txt [z_1cpp_2-0-3] 1.8.6.4:
	* Testing/Config/Справочники/ТестовыеДанные/Структура.mdp [z_1cpp_2-0-3] 1.1.2.4:
	* Testing/Config/Справочники/ТестовыеДанные/ФормаСписка.fls/Форма.frm [z_1cpp_2-0-3] 1.1.2.4:
	* Testing/TestDB/SC42.csv [z_1cpp_2-0-3] 1.1.2.4:
	* Testing/TestDB/SC42.hdr [z_1cpp_2-0-3] 1.1.2.4:
		Изменение тестовых данных

	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.12:
		Закончил тест: Типы 1с в строку

2007-03-19	spock
	* Testing/TestDB/1STOPER.hdr 1.1:
		file 1STOPER.hdr was initially added on branch z_1cpp_2-0-3.

	* Testing/TestDB/1STOPER.csv 1.1:
		file 1STOPER.csv was initially added on branch z_1cpp_2-0-3.

	* Testing/TestDB/1SOPER.hdr 1.1:
		file 1SOPER.hdr was initially added on branch z_1cpp_2-0-3.

	* Testing/TestDB/1SOPER.csv 1.1:
		file 1SOPER.csv was initially added on branch z_1cpp_2-0-3.

	* Testing/TestDB/1SENTRY.hdr 1.1:
		file 1SENTRY.hdr was initially added on branch z_1cpp_2-0-3.

	* Testing/TestDB/1SENTRY.csv 1.1:
		file 1SENTRY.csv was initially added on branch z_1cpp_2-0-3.

	* Testing/TestDB/1SCORENT.hdr 1.1:
		file 1SCORENT.hdr was initially added on branch z_1cpp_2-0-3.

	* Testing/TestDB/1SCORENT.csv 1.1:
		file 1SCORENT.csv was initially added on branch z_1cpp_2-0-3.

	* Testing/TestDB/1SACCS.hdr 1.1:
		file 1SACCS.hdr was initially added on branch z_1cpp_2-0-3.

	* Testing/TestDB/1SACCS.csv [z_1cpp_2-0-3] 1.1.2.1:
	* Testing/TestDB/1SACCS.hdr [z_1cpp_2-0-3] 1.1.2.1:
	* Testing/TestDB/1SCORENT.csv [z_1cpp_2-0-3] 1.1.2.1:
	* Testing/TestDB/1SCORENT.hdr [z_1cpp_2-0-3] 1.1.2.1:
	* Testing/TestDB/1SENTRY.csv [z_1cpp_2-0-3] 1.1.2.1:
	* Testing/TestDB/1SENTRY.hdr [z_1cpp_2-0-3] 1.1.2.1:
	* Testing/TestDB/1SJOURN.csv [z_1cpp_2-0-3] 1.2.2.1:
	* Testing/TestDB/1SOPER.csv [z_1cpp_2-0-3] 1.1.2.1:
	* Testing/TestDB/1SOPER.hdr [z_1cpp_2-0-3] 1.1.2.1:
	* Testing/TestDB/1STOPER.csv [z_1cpp_2-0-3] 1.1.2.1:
	* Testing/TestDB/1STOPER.hdr [z_1cpp_2-0-3] 1.1.2.1:
	* Testing/TestDB/SC42.csv [z_1cpp_2-0-3] 1.1.2.3:
	* Testing/TestDB/SC42.hdr [z_1cpp_2-0-3] 1.1.2.3:
		Изменения в тестовых данных + новые

	* Testing/TestDB/1SACCS.csv 1.1:
		file 1SACCS.csv was initially added on branch z_1cpp_2-0-3.

	* Testing/Config/АлгоритмыРасчета/ЛюбойРасчет1/Структура.mdp 1.1:
	* Testing/Config/АлгоритмыРасчета/ЛюбойРасчет2/Структура.mdp 1.1:
	* Testing/Config/Документы/Операция/Структура.mdp 1.1:
	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/Структура.mdp 1.1:
		file Структура.mdp was initially added on branch z_1cpp_2-0-3.

	* Testing/Config/ПараметрыБухгалтерии/Счета/ФормаСписка.fls/Форма.frm 1.1:
	* Testing/Config/ПараметрыБухгалтерии/Счета/ФормаСчета/Форма.frm 1.1:
		file Форма.frm was initially added on branch z_1cpp_2-0-3.

	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/05.acc 1.1:
		file 05.acc was initially added on branch z_1cpp_2-0-3.

	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/04.acc 1.1:
		file 04.acc was initially added on branch z_1cpp_2-0-3.

	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/03.acc 1.1:
		file 03.acc was initially added on branch z_1cpp_2-0-3.

	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/02.acc 1.1:
		file 02.acc was initially added on branch z_1cpp_2-0-3.

	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/01.acc 1.1:
		file 01.acc was initially added on branch z_1cpp_2-0-3.

	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/00.acc 1.1:
		file 00.acc was initially added on branch z_1cpp_2-0-3.

	* Testing/Config/АлгоритмыРасчета/ПорядокОбъектов.ord 1.1:
	* Testing/Config/ПараметрыБухгалтерии/Счета/Основной.pln/ПорядокОбъектов.ord 1.1:
		file ПорядокОбъектов.ord was initially added on branch z_1cpp_2-
		0-3.

	* Testing/Config/Справочники/ТестовыеДанные/Структура.mdp [z_1cpp_2-0-3] 1.1.2.3:
	* Testing/Config/Справочники/ТестовыеДанные/ФормаСписка.fls/Форма.frm [z_1cpp_2-0-3] 1.1.2.3:
		Дополнение тестовых данных

	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.11:
		Типы 1с: Календарь (9/13), ВидыРасчетов (9/13), Счет (9/13) в стр
		оку

	* Source/OLEDB/ValueTo.cpp [NewOLEDB] 1.1.2.5:
		Типы 1с: Календарь, ВидыРасчетов, Счет в строку

2007-03-19	artbear
	* Source/MethodsWrapper.h 1.18:
		[-] методы "GetOrigMethod" и "Swap" могли вызывать падение 1С при использовании без включенного перех
		вата
		[*] маленький рефакторинг

	* Source/System/GroupContextWrap.cpp 1.18:
		[*] метод "Перехватчик::ВызватьОригинальноеСобытиеГлобальногоМоду
		ля" мог вызывать падение 1С при загруженном ФормЕкс

2007-03-18	spock
	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.10:
		Учел в тестах тип Календарь

	* Testing/TestDB/CL.hdr 1.1:
		file CL.hdr was initially added on branch z_1cpp_2-0-3.

	* Testing/TestDB/CL.csv 1.1:
		file CL.csv was initially added on branch z_1cpp_2-0-3.

	* Testing/TestDB/SC42.csv [z_1cpp_2-0-3] 1.1.2.2:
	* Testing/TestDB/SC42.hdr [z_1cpp_2-0-3] 1.1.2.2:
		Поправил тестовые данные

	* Testing/Config/Календари/Календари.mdp [z_1cpp_2-0-3] 1.1.10.1:
		Добавил два календаря для тестирования доступа (oledb)

2007-03-15	spock
	* Source/OLEDB/sp_cooledb.cpp [NewOLEDB] 1.27.6.15:
	* Source/OLEDB/sp_cooledb.cpp [z_1cpp_2-0-3] 1.27.4.2:
	* Source/OLEDB/sp_cooledb.h [z_1cpp_2-0-3] 1.13.2.2:
		Исправлена ошибка падения 1с на выборках данных из blolb-полей

	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.9:
		Тесты (Артура) по исправлению ошибки выборки данных из blob-полей
		.

	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучайСДанными.txt [z_1cpp_2-0-3] 1.2.10.1:
		Взято из ветки с 2.5.0.х

2007-03-15	artbear
	* Source/System/GroupContextWrap.cpp 1.17:
		[-] ненужное дебаг-сообщение

2007-03-14	artbear
	* Documents/Hooker.txt 1.3:
	* Source/System/GroupContextWrap.cpp 1.16:
	* Source/System/GroupContextWrap.h 1.12:
	* Source/System/Hooker.cpp 1.4:
	* Source/System/Hooker.h 1.4:
		[+] у событий глобального модуля используется префикс "СобытиеГМ_",
		а префикс "Событие_" (или вообще без префикса) используется только для локальных групповых контекстов
		
		[+] новое событие для перехвата глобальника "СобытиеГМ_ПриОткрытии(КонтФормы)"
		[+] добавил работу со статусом возврата для событий 1С
		[*] методы
		"Перехватчик::ВызватьОригинальноеСобытиеГК"
		"Перехватчик::ВызватьОригинальноеСобытиеГлобальногоМодуля"
		теперь являются функциями и возвращают статус возврата соответствующего модуля.

2007-03-13	artbear
	* Source/ExecuteModule.cpp 1.25:
		[*] в методе CallAsFunc убрал блок catch(...) -
		он и не логичен, и из-за него не видны обычные 1С-исключения

2007-03-06	spock
	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.7:
		Правки в тестах

	* Source/OLEDB/sp_cooledb.cpp [NewOLEDB] 1.27.6.14:
		1. Заменил в m_ParamList CArray& на CList*.
		2. Параметры создаю в куче;
		3. При удалении параметров из списка руками приходится очищать память.

	* Source/OLEDB/sp_cooledb.h [NewOLEDB] 1.13.4.9:
		Заменил в m_ParamList CArray на CList.

	* Source/OLEDB/sp_cooledb.cpp [NewOLEDB] 1.27.6.13:
		Расшифровал ошибки при IAccessor::CreateAccessor()

2007-03-03	spock
	* Testing/Config/Обработки/ЗагрузчикЮнитТестов/Форма.frm [z_1cpp_2-0-3] 1.10.2.1:
		Поправлена форма

	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.6:
		[+] Новые тесты

	* Testing/Config/ИдентификаторыКонфигурации.mdp [z_1cpp_2-0-3] 1.8.6.1:
	* Testing/Config/Интерфейсы/Новый1/Команды.txt [z_1cpp_2-0-3] 1.4.10.2:
	* Testing/Config/Интерфейсы/Новый1/Меню.txt [z_1cpp_2-0-3] 1.4.10.1:
	* Testing/Config/ОбъектыМетаданных.txt [z_1cpp_2-0-3] 1.8.6.1:
	* Testing/Config/Справочники/ПорядокОбъектов.ord [z_1cpp_2-0-3] 1.2.10.1:
		[+] Добавление в метаданные справочника.

	* Testing/TestDB/SC42.hdr 1.1:
		file SC42.hdr was initially added on branch z_1cpp_2-0-3.

	* Testing/TestDB/SC42.csv [z_1cpp_2-0-3] 1.1.2.1:
	* Testing/TestDB/SC42.hdr [z_1cpp_2-0-3] 1.1.2.1:
		[+] Тестовые данные

	* Testing/TestDB/SC42.csv 1.1:
		file SC42.csv was initially added on branch z_1cpp_2-0-3.

	* Testing/Config/Справочники/ТестовыеДанные/ФормаСписка.fls/Форма.frm 1.1:
		file Форма.frm was initially added on branch z_1cpp_2-0-3.

	* Testing/Config/Справочники/ТестовыеДанные/Структура.mdp [z_1cpp_2-0-3] 1.1.2.1:
	* Testing/Config/Справочники/ТестовыеДанные/ФормаСписка.fls/Форма.frm [z_1cpp_2-0-3] 1.1.2.1:
		[+] Справочник с тестовыми данными

	* Testing/Config/Справочники/ТестовыеДанные/Структура.mdp 1.1:
		file Структура.mdp was initially added on branch z_1cpp_2-0-3.

	* Testing/Config/ГлобальныйМодуль.1s [z_1cpp_2-0-3] 1.15.2.2:
		[+] Функция вычисления абсолютного значения число.

2007-03-02	fez
	* Source/AddIn.rc 1.20:
		Изменен номер версии: 2.5.0.2

	* Source/AddIn.rc [z_1cpp_2-0-3] 1.18.2.2:
		Изменен номер версии: 2.0.3.4

2007-03-02	artbear
	* Documents/1cpp.txt 1.19:
		[+] включил TurboBL.txt в оглавление для сборки

	* Testing/UnitTests/OOP/defcls.prm 1.30:
	* Testing/UnitTests/OOP/КлассыСДинамическимиСвойствами.txt 1.1:
	* Testing/UnitTests/OOP/ООПТесты.txt 1.50:
		[+] тесты свойств классов, которые меняются на лету, и тесты дина
		мических свойств классов

	* Documents/Documents.dsp 1.24:
		[+] включил Release.txt в проект

	* Documents/Documents.dsp 1.23:
		[+] включил TurboBL.txt в проект Win32 Html

2007-03-01	sedmin
	* Source/TableEx.cpp [z_1cpp_2-0-3] 1.9.4.4:
		[-] устранена ошибка, приводившая к падению 1С во время печати до
		кумента

2007-03-01	artbear
	* Source/System/GlobalMethods.h 1.19:
		[-] метод ::CallAsFunc возвращал неверное значение

	* Testing/UnitTests/OOP/ЗначенияПараметровПоУмолчанию.txt 1.12:
	* Testing/UnitTests/OOP/Тесты_КомпиляцияКласса/МодульФормы.1s 1.22:
	* Testing/UnitTests/SpecialClasses/УправлениеНастройкамиТесты.txt 1.16:
		[*] удален код, закомментаренный в прошлом коммите

	* Testing/UnitTests/OOP/ЗначенияПараметровПоУмолчанию.txt 1.11:
	* Testing/UnitTests/OOP/Тесты_КомпиляцияКласса/МодульФормы.1s 1.21:
	* Testing/UnitTests/SpecialClasses/УправлениеНастройкамиТесты.txt 1.15:
		[*] закомментарен дублирующий код по сохранению/восстановлению на
		строек, т.к этот код перенес в класс "ТестовыйСлучай"

	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучай.txt 1.26:
		[+] настройки ВК автоматически сохраняются/восстанавливаются посл
		е запуска любого теста

	* Testing/readme.txt 1.6:
		[*] коммент насчет версий Питона.

2007-02-28	spock
	* Source/StdAfx.h [NewOLEDB] 1.26.8.1:
		Подключил math.h для арифметических вычислений

	* Source/OLEDB/ValueTo.cpp [NewOLEDB] 1.1.2.4:
		Реализовал заглушки

2007-02-28	artbear
	* Source/System/GlobalMethods.h 1.18:
		[*] метод ::CallAsFunc сделан inline-методом

2007-02-27	fez
	* Documents/1C++_Add.als 1.1:
	* Documents/1C++_Add.als [z_1cpp_2-0-3] 1.1.2.2:
		Добавлен кусочек документации в als формате

	* Documents/1C++_Add.als [z_1cpp_2-0-3] 1.1.2.1:
		file 1C++_Add.als was added on branch z_1cpp_2-0-3 on 2007-02-27 
		14:32:43 +0000

2007-02-26	sedmin
	* Testing/UnitTests/FormEx/FormExТесты.txt [z_1cpp_2-0-3] 1.9.2.6:
	* Testing/UnitTests/FormEx/ТестыИсходнойТаблицы/МодульФормы.1s [z_1cpp_2-0-3] 1.2.4.3:
	* Testing/UnitTests/LoaderUnitTests/DEFCLS.PRM [z_1cpp_2-0-3] 1.15.2.3:
	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучай.txt [z_1cpp_2-0-3] 1.17.2.4:
	* Testing/UnitTests/LoaderUnitTests/Тесты/ТестыТестовогоСлучая.txt [z_1cpp_2-0-3] 1.5.4.1:
	* Testing/UnitTests/OOP/ЗначенияПараметровПоУмолчанию.txt [z_1cpp_2-0-3] 1.8.2.2:
	* Testing/UnitTests/OOP/ООП_КлассыВОдномФайле_Тесты.txt [z_1cpp_2-0-3] 1.3.10.2:
	* Testing/UnitTests/OOP/ООПТесты.txt [z_1cpp_2-0-3] 1.30.2.6:
	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.5:
	* Testing/UnitTests/SpecialClasses/BinaryDataТесты.txt [z_1cpp_2-0-3] 1.2.10.2:
	* Testing/UnitTests/SpecialClasses/MetaInfoClassesТесты.txt [z_1cpp_2-0-3] 1.6.2.3:
	* Testing/UnitTests/SpecialClasses/ВыполняемыйМодульТесты.txt [z_1cpp_2-0-3] 1.17.2.4:
	* Testing/UnitTests/SpecialClasses/ПотокТесты.txt [z_1cpp_2-0-3] 1.7.2.2:
	* Testing/UnitTests/SpecialClasses/СтруктураТесты.txt [z_1cpp_2-0-3] 1.6.4.2:
	* Testing/UnitTests/SpecialClasses/УправлениеНастройкамиТесты.txt [z_1cpp_2-0-3] 1.6.4.2:
		[*] рефакторинг

2007-02-25	sedmin
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.29:
	* Source/ADDIN.CPP [z_1cpp_2-0-3] 1.33.2.3:
		[+] классу РаботаСРегистромWin/WorkAsRegisterWin добавлен синоним
		    РеестрWin/RegistryWin

	* Source/TableEx.cpp [z_1cpp_2-0-3] 1.9.4.3:
	* Testing/UnitTests/FormEx/FormExТесты.txt 1.26:
	* Testing/UnitTests/FormEx/ТестыИсходнойТаблицы/МодульФормы.1s 1.3:
	* Testing/UnitTests/LoaderUnitTests/DEFCLS.PRM 1.19:
	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучай.txt 1.25:
	* Testing/UnitTests/OOP/ЗначенияПараметровПоУмолчанию.txt 1.10:
	* Testing/UnitTests/OOP/ООП_КлассыВОдномФайле_Тесты.txt 1.4:
	* Testing/UnitTests/OOP/ООПТесты.txt 1.49:
	* Testing/UnitTests/OOP/Тесты_Фабрика.txt 1.5:
	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.12:
	* Testing/UnitTests/SpecialClasses/BinaryDataТесты.txt 1.3:
	* Testing/UnitTests/SpecialClasses/MetaInfoClassesТесты.txt 1.11:
	* Testing/UnitTests/SpecialClasses/АктивИкс_Тесты.txt 1.6:
	* Testing/UnitTests/SpecialClasses/ВыполняемыйМодульТесты.txt 1.23:
	* Testing/UnitTests/SpecialClasses/ИнформаторТесты.txt 1.7:
	* Testing/UnitTests/SpecialClasses/ПотокТесты.txt 1.8:
	* Testing/UnitTests/SpecialClasses/СтруктураТесты.txt 1.7:
	* Testing/UnitTests/SpecialClasses/УправлениеНастройкамиТесты.txt 1.14:
	* Testing/UnitTests/SpecialClasses/Форма_Тесты.txt 1.5:
		[*] рефакторинг

	* Testing/update_extfles.bat 1.5:
		[-] ошибочно была отключена разборка файлов проекта

	* Testing/UnitTests/FormEx/FormExТесты.txt [z_1cpp_2-0-3] 1.9.2.5:
	* Testing/UnitTests/FormEx/ТестыИсходнойТаблицы/МодульФормы.1s [z_1cpp_2-0-3] 1.2.4.2:
	* Testing/UnitTests/LoaderUnitTests/DEFCLS.PRM [z_1cpp_2-0-3] 1.15.2.2:
	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучай.txt [z_1cpp_2-0-3] 1.17.2.3:
	* Testing/UnitTests/OOP/ЗначенияПараметровПоУмолчанию.txt [z_1cpp_2-0-3] 1.8.2.1:
	* Testing/UnitTests/OOP/ООП_КлассыВОдномФайле_Тесты.txt [z_1cpp_2-0-3] 1.3.10.1:
	* Testing/UnitTests/OOP/ООПТесты.txt [z_1cpp_2-0-3] 1.30.2.5:
	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.4:
	* Testing/UnitTests/SpecialClasses/BinaryDataТесты.txt [z_1cpp_2-0-3] 1.2.10.1:
	* Testing/UnitTests/SpecialClasses/MetaInfoClassesТесты.txt [z_1cpp_2-0-3] 1.6.2.2:
	* Testing/UnitTests/SpecialClasses/ВыполняемыйМодульТесты.txt [z_1cpp_2-0-3] 1.17.2.3:
	* Testing/UnitTests/SpecialClasses/ПотокТесты.txt [z_1cpp_2-0-3] 1.7.2.1:
	* Testing/UnitTests/SpecialClasses/СтруктураТесты.txt [z_1cpp_2-0-3] 1.6.4.1:
	* Testing/UnitTests/SpecialClasses/УправлениеНастройкамиТесты.txt [z_1cpp_2-0-3] 1.6.4.1:
		[-] исправлена ошибка в тесте
		[*] рефакторинг

2007-02-24	sedmin
	* Source/1CHEADERS/seven.h [z_1cpp_2-0-3] 1.11.2.4:
		[+] дополнение из ствола

	* Source/1CHEADERS/seven.h 1.19:
		[*] уточнение

	* Source/1CHEADERS/seven.h [z_1cpp_2-0-3] 1.11.2.3:
	* Source/PaintHook.cpp [z_1cpp_2-0-3] 1.43.2.8:
	* Source/TableEx.cpp [z_1cpp_2-0-3] 1.9.4.2:
	* Source/TableEx.h [z_1cpp_2-0-3] 1.5.4.2:
		[*] рефакторинг

	* Testing/UnitTests/ODBC/ODBC_DBF_Тесты.txt [z_1cpp_2-0-3] 1.2.10.2:
	* Testing/UnitTests/ODBC/ODBC_SQL_Тесты.txt [z_1cpp_2-0-3] 1.2.10.2:
		[*] классы без тестовых методов исключены из тестирования

	* Testing/update_extfles.bat [z_1cpp_2-0-3] 1.1.2.3:
		[-] ошибочно была отключена разборка файлов проекта

2007-02-22	artbear
	* Documents/history.txt 1.135:
		[*] описал изменения, сделанные для обработки исключений

	* Documents/history.txt 1.134:
		[+]  новый метод "MetaInfoClasses::ЗагрузитьОписаниеКлассов"

2007-02-21	sedmin
	* Source/1CHEADERS/seven.h [z_1cpp_2-0-3] 1.11.2.2:
	* Source/BLModuleWrapper.cpp [z_1cpp_2-0-3] 1.4.8.2:
	* Source/BLModuleWrapper.h [z_1cpp_2-0-3] 1.2.8.1:
	* Source/ComponentClass.cpp [z_1cpp_2-0-3] 1.40.2.9:
	* Source/ExecuteModule.cpp [z_1cpp_2-0-3] 1.14.2.5:
	* Source/ExecuteModule.h [z_1cpp_2-0-3] 1.5.8.2:
		[*] рефакторинг

	* Testing/Scripts/compile_extfiles.py 1.4:
	* Testing/Scripts/decompile_extfiles.py 1.4:
	* Testing/Scripts/gcompLib.py 1.7:
	* Testing/update_extfles.bat 1.4:
		[*] скрипты сборки/разборки можно запускать из любой папки

	* Testing/Scripts/gcompLib.py [z_1cpp_2-0-3] 1.3.2.3:
		[*] исправлена ошибка при работе в папках с пробелами в имени

	* Testing/Scripts/compile_extfiles.py 1.3:
	* Testing/Scripts/decompile_extfiles.py 1.3:
	* Testing/Scripts/gcompLib.py 1.6:
	* Testing/update_extfles.bat 1.3:
		Откачены неудачные изменения

2007-02-21	artbear
	* Testing/UnitTests/FormEx/FormExТесты.txt 1.25:
		[-] избавился от класса "СервисРасшФормы", заменив его на "Сервис
		"

	* Testing/UnitTests/SpecialClasses/MetaInfoClassesТесты.txt 1.10:
		[+] тесты нового метода "MetaInfoClasses::ЗагрузитьОписаниеКлассо
		в"

	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучайСДанными.txt 1.4:
		[+] новый метод "ДобавитьВременныйФайл" для возможности указания временных файлов,
		которые должны быть удалены в деструкторе

	* Source/BLModuleWrapper.h 1.7:
	* Source/System/GlobalMethods.h 1.17:
		[*] рефакторинг вызова pMod->CallAsFunc
		и решение проблемы возврата неверного значения при рекурсивном вызове pMod->CallAsFunc

	* Source/CreateMetaInfoClasses.cpp 1.17:
	* Source/MetaDataOfClasses.cpp 1.5:
	* Source/MetaDataOfClasses.h 1.3:
	* Source/SetOfHierarchy.cpp 1.33:
	* Source/SetOfHierarchy.h 1.16:
		[*] новый метод "MetaInfoClasses::ЗагрузитьОписаниеКлассов" для динамического добавления классов
		[*] рефакторинг вывода сообщений

	* Source/AddIn.dsp 1.53:
		[*] новый файл ComponentClassAdd.cpp

	* Source/ComponentClass.cpp 1.97:
	* Source/ComponentClassAdd.cpp 1.1:
		[*] рефакторинг - перенес реализацию вспомогательных классов
		"CComponentClass::CDebug"
		"CRuntimeExceptionClass"
		"CComponentClass::CImplicitParams"
		в отдельный файл

2007-02-20	sedmin
	* Testing/Scripts/compile_extfiles.py 1.2:
	* Testing/Scripts/decompile_extfiles.py 1.2:
	* Testing/Scripts/gcompLib.py 1.5:
	* Testing/update_extfles.bat 1.2:
		[*] скрипты сборки/разборки можно запускать из любой папки

	* Testing/Scripts/compile_extfiles.py [z_1cpp_2-0-3] 1.1.4.1:
	* Testing/Scripts/decompile_extfiles.py [z_1cpp_2-0-3] 1.1.4.1:
	* Testing/Scripts/gcompLib.py [z_1cpp_2-0-3] 1.3.2.2:
	* Testing/update_extfles.bat [z_1cpp_2-0-3] 1.1.2.2:
		[*] скрипты сборки/разборки можно запускать из любой папки
		[+] добавлен bat-файл обновления всех внешних файлов

2007-02-19	artbear
	* Source/1CHEADERS/seven.h 1.18:
		[-] дублирование статик-переменной CBLModule7::
		m_bDbgExprEvaluating

	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучай.txt 1.24:
		[*] более удобный показ сообщения о падении теста

	* Testing/UnitTests/LoaderUnitTests/ЗапускЮнитТестов/МодульФормы.1s 1.7:
		[+] флаг оптимизации включен всегда и пользователь не может это и
		зменить.

	* Source/ComponentClass.cpp 1.96:
	* Source/ComponentClass.h 1.56:
	* Source/ExecuteModule.cpp 1.24:
		[+] если в метод "КОП::_ВыброситьИскл" передается строка, в случае появления сообщения об ошибке в ок
		не сообщений будет выдана эта строка
		[-] был возможен баг, когда при исключениях выдавался текст предыщего сообщения об исключении
		[*] рефакторинг

	* Documents/history.txt 1.133:
	* Source/ExecuteModule.cpp 1.23:
		[-] исправлен баг - в методе "ВыброситьИскл" не учитывался второй
		 параметр

2007-02-18	sedmin
	* Testing/ExtForms/ОтчетНовый1/Таблица1.mxl 1.1:
		file Таблица1.mxl was initially added on branch z_1cpp_2-0-3.

	* Testing/Config/Отчеты/новый1/МодульФормы.1s [z_1cpp_2-0-3] 1.2.10.1:
	* Testing/Config/Отчеты/новый1/Таблица.mxl [z_1cpp_2-0-3] 1.1.10.1:
	* Testing/ExtForms/ОтчетНовый1/МодульФормы.1s [z_1cpp_2-0-3] 1.1.6.3:
	* Testing/ExtForms/ОтчетНовый1/ПорядокОбъектов.ord [z_1cpp_2-0-3] 1.1.2.2:
	* Testing/ExtForms/ОтчетНовый1/Таблица1.mxl [z_1cpp_2-0-3] 1.1.2.1:
	* Testing/UnitTests/FormEx/ТестыИсходнойТаблицы/МодульФормы.1s [z_1cpp_2-0-3] 1.2.4.1:
	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучай.txt [z_1cpp_2-0-3] 1.17.2.2:
	* Testing/UnitTests/SpecialClasses/defcls.prm [z_1cpp_2-0-3] 1.17.2.3:
	* Testing/UnitTests/SpecialClasses/РаботаСРегистромWinТесты.txt [z_1cpp_2-0-3] 1.1.10.2:
	* Testing/UnitTests/TurboBL/TurboBLТесты.txt [z_1cpp_2-0-3] 1.3.10.8:
		[*] TurboBL: реализованы тесты исходных таблиц
		[-] тесты РеестраWin ошибочно пропускались

2007-02-17	sedmin
	* Source/ComponentClass.cpp [z_1cpp_2-0-3] 1.40.2.8:
	* Source/ComponentClass.h [z_1cpp_2-0-3] 1.23.2.7:
	* Source/ExecuteModule.cpp [z_1cpp_2-0-3] 1.14.2.4:
	* Source/FormEx.cpp [z_1cpp_2-0-3] 1.20.4.2:
	* Source/MetaDataOfClasses.cpp [z_1cpp_2-0-3] 1.4.6.1:
	* Source/MetaDataOfClasses.h [z_1cpp_2-0-3] 1.2.14.1:
	* Source/PaintHook.cpp [z_1cpp_2-0-3] 1.43.2.7:
	* Source/Preprocessor.cpp [z_1cpp_2-0-3] 1.7.2.2:
	* Source/Service.cpp [z_1cpp_2-0-3] 1.28.2.2:
	* Source/SetOfHierarchy.cpp [z_1cpp_2-0-3] 1.25.2.3:
	* Source/SetOfHierarchy.h [z_1cpp_2-0-3] 1.9.2.1:
	* Source/StdAfx.h [z_1cpp_2-0-3] 1.26.6.2:
	* Source/System/MyThread.cpp [z_1cpp_2-0-3] 1.5.6.1:
	* Source/System/System.cpp [z_1cpp_2-0-3] 1.10.2.10:
	* Source/TurboBL/gcboost.cpp [z_1cpp_2-0-3] 1.7.2.6:
		[*] пересортированы хедеры для ускорения сборки

	* Source/ADDIN.CPP [z_1cpp_2-0-3] 1.33.2.2:
	* Source/BLModuleWrapper.cpp [z_1cpp_2-0-3] 1.4.8.1:
	* Source/CodeDecodeFile.cpp [z_1cpp_2-0-3] 1.1.1.1.14.1:
	* Source/CodeDecodeFile.h [z_1cpp_2-0-3] 1.1.1.1.14.1:
	* Source/ComponentClass.cpp [z_1cpp_2-0-3] 1.40.2.7:
	* Source/ComponentClass.h [z_1cpp_2-0-3] 1.23.2.6:
	* Source/CreateMetaInfoClasses.cpp [z_1cpp_2-0-3] 1.13.6.2:
	* Source/CreateMetaInfoClasses.h [z_1cpp_2-0-3] 1.1.1.1.14.1:
	* Source/ExecuteModule.cpp [z_1cpp_2-0-3] 1.14.2.3:
	* Source/ExecuteModule.h [z_1cpp_2-0-3] 1.5.8.1:
	* Source/InitFormEx.cpp [z_1cpp_2-0-3] 1.5.4.1:
	* Source/Preprocessor.cpp [z_1cpp_2-0-3] 1.7.2.1:
	* Source/Preprocessor.h [z_1cpp_2-0-3] 1.3.2.1:
	* Source/SetOfHierarchy.cpp [z_1cpp_2-0-3] 1.25.2.2:
	* Source/TurboBL/gcboost.cpp [z_1cpp_2-0-3] 1.7.2.5:
		[*] Замена Exeption->Exception везде кроме имен методов 1С++

2007-02-16	sedmin
	* Source/OLEDB/sp_cooledb.cpp [z_1cpp_2-0-3] 1.27.4.1:
	* Source/OLEDB/sp_cooledb.h [z_1cpp_2-0-3] 1.13.2.1:
	* Source/OLEDB/sp_oledb.cpp [z_1cpp_2-0-3] 1.8.2.1:
		[*] рефакторинг

	* Source/BaseClassContext.cpp [z_1cpp_2-0-3] 1.1.1.1.14.1:
	* Source/BaseClassContext.h [z_1cpp_2-0-3] 1.3.14.1:
	* Source/ComponentClass.cpp [z_1cpp_2-0-3] 1.40.2.6:
	* Source/ComponentClass.h [z_1cpp_2-0-3] 1.23.2.5:
	* Source/StdAfx.h [z_1cpp_2-0-3] 1.26.6.1:
		[*] пересортированы хедеры
		[*] удалены устаревшие файлы

2007-02-16	adirks
	* Source/VTExt/VTIndex.cpp [z_1cpp_2-0-3] 1.39.4.7:
		[-] метод КоличествоЗначенийКлюча() возвращал -1 вместо 0, когда в таблице нет ни одной записи с зада
		нным ключом.
		[*] в методе Свернуть() делается проверка, я вляются ли значения числоами, и суммируются только числа
		

	* Source/VTExt/VTIndex.cpp 1.47:
		[*] в методе Свернуть() делается проверка, я вляются ли значения 
		числоами, и суммируются только числа

2007-02-16	artbear
	* Source/TurboBL/gcboost.h 1.20:
		[*] коммент

2007-02-15	sedmin
	* Source/ComponentClass.cpp [z_1cpp_2-0-3] 1.40.2.5:
	* Source/ComponentClass.h [z_1cpp_2-0-3] 1.23.2.4:
	* Source/ExecuteModule.cpp [z_1cpp_2-0-3] 1.14.2.2:
		[*] Рефакторинг

2007-02-15	spock
	* Source/OLEDB/sp_cooledb.cpp [NewOLEDB] 1.27.6.11:
		Вставил код вызова преобразования типов, пока это только вызовы п
		устошек.

	* Source/OLEDB/ValueTo.cpp [NewOLEDB] 1.1.2.3:
	* Source/OLEDB/ValueTo.h [NewOLEDB] 1.1.2.3:
		Добавил заготовки для преобразования остальных типов

2007-02-13	sedmin
	* Source/ComponentClass.cpp [z_1cpp_2-0-3] 1.40.2.4:
	* Source/ComponentClass.h [z_1cpp_2-0-3] 1.23.2.3:
	* Source/MapDefMethod.h [z_1cpp_2-0-3] 1.3.2.1:
		[*] Рефакторинг

2007-02-13	spock
	* Source/OLEDB/sp_cooledb.cpp [NewOLEDB] 1.27.6.9:
		рефакторинг кода - вынес в отдельный класс код по преобразованию 
		из CValue в DBTYPE

	* Source/OLEDB/sp_oledbptr.h 1.1:
		file sp_oledbptr.h was initially added on branch NewOLEDB.

	* Source/OLEDB/sp_ConvHlpr.h 1.1:
		file sp_ConvHlpr.h was initially added on branch NewOLEDB.

	* Source/OLEDB/ValueTo.h 1.1:
		file ValueTo.h was initially added on branch NewOLEDB.

	* Source/OLEDB/ValueTo.cpp 1.1:
		file ValueTo.cpp was initially added on branch NewOLEDB.

2007-02-12	sedmin
	* Documents/TurboBL.txt 1.2:
		[+] Добавлено описание TurboBL
		[+] Добавлено описение метода __ВыполнятьМетодыКакСобытия()

2007-02-11	sedmin
	* Documents/1cpp.txt 1.18:
	* Documents/Documents.dsp 1.22:
	* Documents/commonchm.txt 1.14:
		[+] Добавлено описание TurboBL
		[+] Добавлено описение метода __ВыполнятьМетодыКакСобытия()

	* Documents/1cpp.txt [z_1cpp_2-0-3] 1.16.4.2:
	* Documents/TurboBL.txt [z_1cpp_2-0-3] 1.1.2.4:
		[*] Добавлено описение метода __ВыполнятьМетодыКакСобытия()

2007-02-09	artbear
	* Source/SafeContext.cpp 1.18:
	* Source/SafeContext.h 1.18:
		[-] баг - перехватчики конструкторов должны возвращать this

2007-02-08	sedmin
	* Documents/TurboBL.txt [z_1cpp_2-0-3] 1.1.2.2:
	* Documents/TurboBL.txt [z_1cpp_2-0-3] 1.1.2.3:
		[+] Дополнения

2007-02-08	artbear
	* Testing/UnitTests/OOP/Класс_ОписанныйВФайлеРеализацииКласса_ert/МодульФормы.1s 1.3:
	* Testing/UnitTests/OOP/Класс_ОписанныйВФайлеРеализацииКласса_txt.txt 1.3:
		[*] комменты

	* Testing/UnitTests/OOP/Класс_ОписанныйВФайлеРеализацииКласса_ert/МодульФормы.1s 1.2:
	* Testing/UnitTests/OOP/Класс_ОписанныйВФайлеРеализацииКласса_txt.txt 1.2:
	* Testing/UnitTests/OOP/СинтаксисТесты.txt 1.9:
		[+] еще 2 доп.теста классов, подключаемых через //#include ФайлРе
		ализации

	* Testing/UnitTests/OOP/defcls_ОтносительныеПути.prm 1.3:
	* Testing/UnitTests/OOP/Класс_ОписанныйВФайлеРеализацииКласса_ert/gcomp.ini 1.1:
	* Testing/UnitTests/OOP/Класс_ОписанныйВФайлеРеализацииКласса_ert/gcomp.ver 1.1:
	* Testing/UnitTests/OOP/Класс_ОписанныйВФайлеРеализацииКласса_ert/МодульФормы.1s 1.1:
	* Testing/UnitTests/OOP/Класс_ОписанныйВФайлеРеализацииКласса_ert/ОбъектыМетаданных.txt 1.1:
	* Testing/UnitTests/OOP/Класс_ОписанныйВФайлеРеализацииКласса_ert/Структура.mdp 1.1:
	* Testing/UnitTests/OOP/Класс_ОписанныйВФайлеРеализацииКласса_ert/Форма.frm 1.1:
	* Testing/UnitTests/OOP/Класс_ОписанныйВФайлеРеализацииКласса_txt.txt 1.1:
	* Testing/UnitTests/OOP/СинтаксисТесты.txt 1.8:
		[+] тесты классов, подключаемых через //#include ФайлРеализации

2007-02-07	sedmin
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.28:
		Уточнено описание метода TurboBL

	* Documents/TurboBL.txt 1.1:
		file TurboBL.txt was initially added on branch z_1cpp_2-0-3.

	* Documents/1cpp.txt [z_1cpp_2-0-3] 1.16.4.1:
	* Documents/TurboBL.txt [z_1cpp_2-0-3] 1.1.2.1:
	* Documents/commonchm.txt [z_1cpp_2-0-3] 1.12.6.1:
		Добавлена заготовка описания TurboBL

	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.27:
		Описание изменений

2007-02-07	kms
	* Source/CursorGrid/CursorGridCtrl.cpp 1.28:
	* Source/CursorGrid/CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.15.2.12:
		[*] http://www.1cpp.ru/forum/YaBB.pl?num=1170875229

	* Source/Delegate.cpp 1.8:
	* Source/Delegate.cpp [z_1cpp_2-0-3] 1.7.8.1:
	* Source/SafeContext.cpp 1.17:
	* Source/SafeContext.cpp [z_1cpp_2-0-3] 1.3.6.1:
	* Source/SafeContext.h 1.17:
	* Source/SafeContext.h [z_1cpp_2-0-3] 1.2.6.1:
	* Source/System/Math.h 1.2:
	* Source/System/Math.h [z_1cpp_2-0-3] 1.1.10.1:
	* Source/System/System.cpp 1.23:
	* Source/System/System.cpp [z_1cpp_2-0-3] 1.10.2.9:
	* Source/System/System.h 1.12:
	* Source/System/System.h [z_1cpp_2-0-3] 1.5.2.4:
	* Source/WrapAboutDlg.cpp [z_1cpp_2-0-3] 1.15.4.1:
	* Source/istrmap.h 1.13:
	* Source/istrmap.h [z_1cpp_2-0-3] 1.12.8.1:
		[*] no rights reserved

	* Source/System/GroupContextWrap.cpp 1.15:
	* Source/System/GroupContextWrap.h 1.11:
		[-] исправлена реализация конструктора CBLProcInfo
		http://www.1cpp.ru/forum/YaBB.pl?num=1170766120

2007-02-07	artbear
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.26:
		[*] описаны забытые в 2032 изменения

	* Documents/history.txt 1.132:
		[-] изменения 2032 убраны из ствола

	* Documents/history.txt 1.131:
		[-] изменения 2032 были ошибочно отнесены к 2031

2007-02-06	sedmin
	* Source/TurboBL/docrefboost.cpp [z_1cpp_2-0-3] 1.2.2.1:
		[-] при загрузке 1С++ в базе без справочников падала 1С

2007-02-06	artbear
	* Source/ADDIN.CPP 1.52:
		[*] по умолчанию работа с перехватом событий 1С и ФормЕкс всегда 
		выключена

	* Testing/Config/GUIDData 1.33:
	* Testing/Config/Документы/Новый2/МодульПроведения.1s 1.3:
	* Testing/Config/Документы/Новый2/МодульФормы.1s 1.5:
	* Testing/UnitTests/OOP/ООПТесты.txt 1.48:
		[*] поправил код тестов по замене базового объекта на ГК документ
		а

	* Documents/history.txt 1.130:
		[+] описал изменения версий 2.5 и 2.0.3.2

2007-02-05	fez
	* Testing/Config/Документы/Новый2/МодульПроведения.1s [z_1cpp_2-0-3] 1.1.10.1:
	* Testing/Config/Документы/Новый2/МодульФормы.1s [z_1cpp_2-0-3] 1.3.2.1:
	* Testing/UnitTests/OOP/ООПТесты.txt [z_1cpp_2-0-3] 1.30.2.3:
		http://www.1cpp.ru/yabb2/YaBB.pl?num=1170667391
		Залил тесты в ветку 2.0.3 - тут они оба не проходят.

	* Testing/UnitTests/OOP/ООПТесты.txt 1.46:
		http://www.1cpp.ru/yabb2/YaBB.pl?num=1170667391
		Тест, который не проходит - сделан пропущенным

	* Testing/Config/Документы/Новый2/МодульПроведения.1s 1.2:
	* Testing/Config/Документы/Новый2/МодульФормы.1s 1.4:
	* Testing/Config/Документы/Новый2/Форма.frm 1.3:
	* Testing/Config/ИдентификаторыКонфигурации.mdp 1.11:
	* Testing/Config/ОбъектыМетаданных.txt 1.11:
	* Testing/Config/Отчеты/ПорядокОбъектов.ord 1.2:
	* Testing/UnitTests/OOP/ООПТесты.txt 1.45:
		Тесты на
		http://www.1cpp.ru/yabb2/YaBB.pl?num=1170667391

2007-02-05	sedmin
	* Documents/DocumentsRules.txt 1.4:
		[*] изменена структура
		[*] изменена рекомендованная версия Docutils

	* Testing/UnitTests/OOP/defcls.prm [z_1cpp_2-0-3] 1.22.2.2:
	* Testing/UnitTests/OOP/ООПТесты.txt [z_1cpp_2-0-3] 1.30.2.4:
		И этот тест не проходит

2007-02-05	kms
	* Documents/history.txt 1.129:
		[*] изменен порядок описаний

2007-02-05	artbear
	* Source/ComponentClass.cpp 1.95:
		[-] исправлен баг в методе "ЗаменитьБазовыйОбъект" -
		не работала замена базы вида "Документ.Новый2" на контекст формы документа

	* Testing/UnitTests/OOP/defcls.prm 1.29:
	* Testing/UnitTests/OOP/ООПТесты.txt 1.47:
		[+] доп. тесты
		"Тест_ПередаемМетодуБольшеПараметров"
		"Тест_ПередаемМетодуМеньшеПараметров"
		"Тест_ЗаменитьБазовыйОбъектНаКонтекстМодуляПроведенияВМодуле"
		"Тест_ЗаменитьБазовыйОбъектНаКонтекстФормыДокументаНаФорме"
		"Тест_ЗаменитьБазовыйОбъектНаКонтекстФормыДокумента"
		
		[*] класс ООПТесты унаследован от класса "ТестовыйСлучайФормы"

	* Source/ComponentClass.cpp 1.94:
		[-] исправлен баг в методе "ЗаменитьБазовыйОбъект" -
		не работал замена базы вида "Документ.Новый2" на контекст модуля проведения

2007-01-31	adirks
	* Source/VTExt/VTExtended.cpp 1.63:
		[-] падение при выгрузке в файл

2007-01-30	kms
	* Documents/history.txt 1.128:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.25:
	* Source/ComponentClass.cpp 1.93:
	* Source/SetOfHierarchy.cpp [z_1cpp_2-0-3] 1.25.2.1:
		[-] Исправлена поддержка методов с неопределенным числом параметр
		ов (в том числе > 30)

2007-01-29	kms
	* Documents/TableField.txt 1.22:
	* Documents/TableField.txt [z_1cpp_2-0-3] 1.11.4.8:
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.22:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.8.4.10:
	* Source/CursorGrid/V7CursorGridCtrl.h 1.14:
	* Source/CursorGrid/V7CursorGridCtrl.h [z_1cpp_2-0-3] 1.6.8.7:
		[*] ТП: доп. параметр метода ПолучитьГраницыТекущейЯчейки()

2007-01-29	adirks
	* Source/VTExt/VTIndex.cpp 1.46:
		[-] метод КоличествоЗначенийКлюча() возвращал -1 вместо 0, когда 
		в таблице нет ни одной записи с заданным ключом.

2007-01-27	kms
	* Source/CursorGrid/CursorGridCtrl.cpp 1.27:
	* Source/CursorGrid/CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.15.2.11:
		[*] ТП: нюансы отработки событий по последней строке ТП (сначала 
		скролл, потом события)

	* Documents/TableField.txt 1.21:
	* Documents/history.txt 1.127:
	* Source/CursorGrid/CursorGridCtrl.cpp 1.26:
	* Source/CursorGrid/CursorGridCtrl.h 1.18:
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.21:
	* Source/CursorGrid/V7CursorGridCtrl.h 1.13:
		[+] ТП: добавлен метод ТП ПолучитьГраницыТекущейЯчейки() /
		GetCurrentCellBounds()

	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.24:
		[+] ТП: откорректирована семантика описания

	* Documents/TableField.txt [z_1cpp_2-0-3] 1.11.4.7:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.23:
	* Source/CursorGrid/CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.15.2.10:
	* Source/CursorGrid/CursorGridCtrl.h [z_1cpp_2-0-3] 1.9.6.7:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.8.4.9:
	* Source/CursorGrid/V7CursorGridCtrl.h [z_1cpp_2-0-3] 1.6.8.6:
		[+] ТП: добавлен метод ТП ПолучитьГраницыТекущейЯчейки

2007-01-26	kms
	* Documents/history.txt 1.126:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.22:
	* Source/CursorGrid/CursorGridCtrl.cpp 1.25:
	* Source/CursorGrid/CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.15.2.9:
	* Source/CursorGrid/CursorGridCtrl.h 1.17:
	* Source/CursorGrid/CursorGridCtrl.h [z_1cpp_2-0-3] 1.9.6.6:
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.20:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.8.4.8:
		[+] ТП: (trad) в событии Выбор() добавлена возможность использова
		ния метода СписокЗначений::ВыбратьЗначение() с подстройкой меню и
		 списка под текущую ячейку

2007-01-23	sedmin
	* Source/TurboBL/gcboost.h 1.19:
	* Source/TurboBL/gcboost.h [z_1cpp_2-0-3] 1.6.2.10:
	* Testing/ExtForms/ОтчетНовый1/МодульФормы.1s 1.7:
	* Testing/ExtForms/ОтчетНовый1/МодульФормы.1s [z_1cpp_2-0-3] 1.1.6.2:
	* Testing/ExtForms/ОтчетНовый1/Структура.mdp 1.3:
	* Testing/ExtForms/ОтчетНовый1/Форма.frm [z_1cpp_2-0-3] 1.1.6.3:
	* Testing/UnitTests/TurboBL/TurboBLТесты.txt 1.13:
	* Testing/UnitTests/TurboBL/TurboBLТесты.txt [z_1cpp_2-0-3] 1.3.10.7:
		[-] исправлена ошибка при вложенном вызове метода контекста

2007-01-22	sedmin
	* Testing/UnitTests/SpecialClasses/СистемаТесты.txt 1.11:
		[-] Система::Уснуть() может спать меньше/больше, чем указано

2007-01-22	artbear
	* Testing/Config/ИдентификаторыКонфигурации.mdp 1.10:
	* Testing/Config/ОбъектыМетаданных.txt 1.10:
		[*] забытые файлы для компиляции нового отчета

2007-01-20	sedmin
	* Testing/readme.txt 1.5:
	* Testing/update_extfles.bat 1.1:
		[+] добавлен файл автоматического обновления внешних файлов юнит-тестировани
		предназначен для работы в базе тестирования

	* Testing/update_extfles.bat [z_1cpp_2-0-3] 1.1.2.1:
		file update_extfles.bat was added on branch z_1cpp_2-0-3 on 2007-
		02-20 14:48:25 +0000

2007-01-20	artbear
	* Testing/UnitTests/SpecialClasses/ВыполняемыйМодульТесты.txt 1.22:
		[*] для получения методов и свойств контекст использую встроенный и внешние отчеты с названием "Получ
		ениеМетодовИСвойств"
		эти отчеты не должны нести никакого функционала !!

	* Testing/Config/Отчеты/ПолучениеМетодовИСвойств/МодульФормы.1s 1.1:
	* Testing/Config/Отчеты/ПолучениеМетодовИСвойств/ПорядокОбъектов.ord 1.1:
	* Testing/Config/Отчеты/ПолучениеМетодовИСвойств/Структура.mdp 1.1:
	* Testing/Config/Отчеты/ПолучениеМетодовИСвойств/Таблица.mxl 1.1:
	* Testing/Config/Отчеты/ПолучениеМетодовИСвойств/Форма.frm 1.1:
	* Testing/ExtForms/ПолучениеМетодовИСвойств/gcomp.ini 1.1:
	* Testing/ExtForms/ПолучениеМетодовИСвойств/gcomp.ver 1.1:
	* Testing/ExtForms/ПолучениеМетодовИСвойств/МодульФормы.1s 1.1:
	* Testing/ExtForms/ПолучениеМетодовИСвойств/ОбъектыМетаданных.txt 1.1:
	* Testing/ExtForms/ПолучениеМетодовИСвойств/ПорядокОбъектов.ord 1.1:
	* Testing/ExtForms/ПолучениеМетодовИСвойств/Структура.mdp 1.1:
	* Testing/ExtForms/ПолучениеМетодовИСвойств/Таблица.mxl 1.1:
	* Testing/ExtForms/ПолучениеМетодовИСвойств/Форма.frm 1.1:
		[+] Исходная версия - эти отчеты только для получения методов и свойств,
		никакого функционала !

2007-01-19	sedmin
	* Source/System/BatchGuard.h 1.5:
	* Source/TurboBL/gcboost.h 1.18:
	* Testing/ExtForms/ОтчетНовый1/Форма.frm 1.4:
	* Testing/UnitTests/TurboBL/TurboBLТесты.txt 1.12:
		[+] реализован метод группового контекста __ВызыватьМетодыКакСобытия
		(__CallMethodsAsEvents)

	* Source/TurboBL/gcboost.h [z_1cpp_2-0-3] 1.6.2.9:
		[*] рефакторинг

2007-01-19	artbear
	* Testing/UnitTests/TurboBL/TurboBLТесты.txt 1.11:
		[+] 2 новых теста
		"ТестПолучениеМетодовИСвойствИзКонтекстаВстроенногоОтчета"
		"ТестПолучениеМетодовИСвойствИзКонтекстаВнешнегоОтчета"

	* Source/TurboBL/gcboost.h [z_1cpp_2-0-3] 1.6.2.8:
		[*] опечатка в названии метода "__CallMethodsAsEvents"

	* Source/TurboBL/gcboost.h 1.17:
		[-] баг в методе "IsPropReadable"

	* Source/System/GlobalMethods.cpp 1.12:
	* Source/System/GlobalMethods.h 1.16:
		[+] глобальный метод ::IsSQLVersion()

	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/ТаймерСКоличеством/ОбъектыМетаданных.txt 1.2:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/ТаймерСКоличеством/Структура.mdp 1.2:
		[-] файлы были неверными

2007-01-18	kms
	* Documents/TableField.txt 1.20:
	* Documents/TableField.txt [z_1cpp_2-0-3] 1.11.4.6:
	* Documents/history.txt 1.125:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.21:
	* Source/CursorGrid/V7ODBCProvider.cpp 1.14:
	* Source/CursorGrid/V7ODBCProvider.cpp [z_1cpp_2-0-3] 1.7.8.6:
	* Source/CursorGrid/V7ODBCProvider.h 1.8:
	* Source/CursorGrid/V7ODBCProvider.h [z_1cpp_2-0-3] 1.4.8.4:
		[+] ТП: добавлен метод Отладка /Debug поставщика данных ODBC

2007-01-16	sedmin
	* Source/TurboBL/gcboost.h 1.16:
	* Testing/UnitTests/TurboBL/TurboBLТесты.txt 1.10:
		[+] добавлен метод группового контекста __ВызыватьМетодыКакСобытия
		(__CallMethodsAsEvents), пока пустой

2007-01-16	artbear
	* Documents/extobjs.txt 1.30:
	* Source/System/System.cpp 1.22:
	* Source/System/System.h 1.11:
	* Testing/UnitTests/SpecialClasses/СистемаТесты.txt 1.10:
		[+] новый метод класса "Система"
		" Уснуть / Sleep "

	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/defcls.prm 1.3:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/artbear_timer.als 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/Пример работы таймера/gcomp.ini 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/Пример работы таймера/gcomp.ver 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/Пример работы таймера/МодульФормы.1s 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/Пример работы таймера/ОбъектыМетаданных.txt 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/Пример работы таймера/Структура.mdp 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/Пример работы таймера/Форма.frm 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/ТАЙМЕР.PRM 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/Таймер/gcomp.ini 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/Таймер/gcomp.ver 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/Таймер/МодульФормы.1s 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/Таймер/ОбъектыМетаданных.txt 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/Таймер/Структура.mdp 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/Таймер/Форма.frm 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/ТаймерСКоличеством/gcomp.ini 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/ТаймерСКоличеством/gcomp.ver 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/ТаймерСКоличеством/МодульФормы.1s 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/ТаймерСКоличеством/ОбъектыМетаданных.txt 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/ТаймерСКоличеством/Структура.mdp 1.1:
	* Testing/UnitTests/SpecialClasses/ОбщиеКлассы/Таймер/ТаймерСКоличеством/Форма.frm 1.1:
		[+] новые полезные классы
		"Общие.Таймер"
		"Общие.ТаймерСКоличеством"

	* Testing/UnitTests/LoaderUnitTests/ЗапускЮнитТестов/МодульФормы.1s 1.6:
		[*]  т.к. используем сброс кеша оптимизации классов,
		удобно одновременно использовать оттимизацию и изменение классов на лету

	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.10:
	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.3:
		[*] если не установлен провайдер VFP OLE DB, тесты не появляются в списке тестов
		и соответственно, нет их тестирования.

	* Testing/UnitTests/SpecialClasses/defcls.prm 1.27:
	* Testing/UnitTests/SpecialClasses/defcls.prm [z_1cpp_2-0-3] 1.17.2.2:
	* Testing/UnitTests/SpecialClasses/РаботаСРегистромWinТесты.txt 1.3:
	* Testing/UnitTests/SpecialClasses/РаботаСРегистромWinТесты.txt [z_1cpp_2-0-3] 1.1.10.1:
		[+] первые тесты объекта РеестрWin

	* Source/WorkAsRegister.cpp 1.4:
	* Source/WorkAsRegister.cpp [z_1cpp_2-0-3] 1.3.2.1:
		[*] ОткрытьКлюч/СоздатьКлюч - не всегда возвращалось значение 0 в
		 случае ошибки

	* Documents/extobjs.txt 1.29:
		[*] добавлены синонимы РеестрWin / RegistryWin

2007-01-15	sedmin
	* Testing/UnitTests/ODBC/DBF_Базовый_Тесты.txt 1.3:
	* Testing/UnitTests/ODBC/ODBC_DBF_Тесты.txt 1.3:
	* Testing/UnitTests/ODBC/ODBC_SQL_Тесты.txt 1.3:
	* Testing/UnitTests/ODBC/SQL_DBF_Базовый.txt 1.2:
	* Testing/UnitTests/ODBC/defcls.prm 1.5:
	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.9:
	* Testing/UnitTests/OleDB/defcls.prm 1.5:
	* Testing/UnitTests/SQL/SQLТесты.txt 1.3:
		[-] автоотключение тестов, не соответствующих условиям запуска
		[*] убрана лишняя иерархия

2007-01-15	artbear
	* Testing/UnitTests/SpecialClasses/Форма_Тесты.txt 1.4:
		[-] убраны тесты удаленного метода "СброситьФорму"

2007-01-14	sedmin
	* Testing/UnitTests/TurboBL/TurboBLТесты.txt 1.9:
		[*] рефакторинг

	* Testing/UnitTests/TurboBL/TurboBLТесты.txt [z_1cpp_2-0-3] 1.3.10.6:
		[+] из ствола добавлены тесты подключения исходных таблиц
		[*] рефакторинг

2007-01-13	sedmin
	* Testing/UnitTests/LoaderUnitTests/DEFCLS.PRM 1.18:
	* Testing/UnitTests/LoaderUnitTests/ДелегатФормы.txt 1.11:
	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучайФормы.txt 1.11:
	* Testing/UnitTests/TurboBL/TurboBLТесты.txt 1.8:
	* Testing/UnitTests/TurboBL/defcls.prm 1.5:
		[*] рефакторинг

2007-01-04	sedmin
	* Source/TurboBL/gcboost.h [z_1cpp_2-0-3] 1.6.2.7:
	* Testing/UnitTests/TurboBL/TurboBLТесты.txt [z_1cpp_2-0-3] 1.3.10.5:
		[+] метод __ВызыватьПроцедурыКакСобытия() сделан функцией

2006-12-28	spock
	* Source/OLEDB/sp_cooledb.cpp [NewOLEDB] 1.27.6.8:
		1. Добавлена отработка параметра
		Дата - Дата

	* Source/OLEDB/sp_cooledb.cpp [NewOLEDB] 1.27.6.7:
	* Source/OLEDB/sp_cooledb.h [NewOLEDB] 1.13.4.6:
		*** empty log message ***

2006-12-28	kms
	* Documents/history.txt 1.124:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.20:
	* Source/VTExt/VTExtended.cpp 1.62:
	* Source/VTExt/VTExtended.cpp [z_1cpp_2-0-3] 1.54.4.8:
	* Source/VTExt/VTExtended.h 1.55:
	* Source/VTExt/VTExtended.h [z_1cpp_2-0-3] 1.50.4.5:
	* Source/VTExt/VTIndex.cpp 1.45:
	* Source/VTExt/VTIndex.cpp [z_1cpp_2-0-3] 1.39.4.6:
	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt 1.23:
	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt [z_1cpp_2-0-3] 1.18.2.5:
		[+] ИТ: вариант поддержки множества итераторов для индекса

2006-12-27	sedmin
	* Testing/UnitTests/ODBC/DBF_Базовый_Тесты.txt [z_1cpp_2-0-3] 1.1.10.1:
	* Testing/UnitTests/ODBC/ODBC_DBF_Тесты.txt [z_1cpp_2-0-3] 1.2.10.1:
	* Testing/UnitTests/ODBC/ODBC_SQL_Тесты.txt [z_1cpp_2-0-3] 1.2.10.1:
	* Testing/UnitTests/ODBC/SQL_DBF_Базовый.txt [z_1cpp_2-0-3] 1.1.10.1:
	* Testing/UnitTests/ODBC/defcls.prm [z_1cpp_2-0-3] 1.4.10.1:
	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.2:
	* Testing/UnitTests/OleDB/defcls.prm [z_1cpp_2-0-3] 1.4.10.1:
	* Testing/UnitTests/SQL/SQLТесты.txt [z_1cpp_2-0-3] 1.2.10.1:
		[-] автоотключение тестов, не соответствующих условиям запуска
		[*] убрана лишняя иерархия

2006-12-27	spock
	* Source/OLEDB/sp_cooledb.cpp [NewOLEDB] 1.27.6.6:
		1. ввел проверку длины строкового параметра: 9-13-23-другое
		если параметр типа справочник и нужно его в строку передать, то 9-13-23 преобрадовывается соответстве
		нно, а другие варианты длины парамтра трактуются как строка - будет на самом деле передано все что уг
		одно, кроме идентификатора.
		2. добавил параметр строка-документ - не тестировал еще.
		3. всякие мелочи несущественные.

2006-12-27	kms
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.19:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.8.4.7:
		[-] ТП: падение в ряде случаев при разрушении объекта

	* Source/Form/V7Form.cpp 1.8:
	* Source/Form/V7Form.h 1.5:
		[-] v7Form: убран тест ResetForm()

2006-12-27	artbear
	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.7:
	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.8:
		[*] доп.тесты работы с параметрами

	* Testing/UnitTests/OleDB/OleDBТесты.txt [z_1cpp_2-0-3] 1.2.10.1:
		[+] тесты из 2.5

	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.6:
		[*] некоторые тесты не всегда верно работали

	* Testing/ExtForms/ОбработкаАктивИкс/МодульФормы.1s 1.3:
	* Testing/UnitTests/OOP/defcls.prm 1.28:
	* Testing/UnitTests/OOP/КлассСКонструкторами.txt 1.1:
	* Testing/UnitTests/OOP/РегистрыПотомок.txt 1.1:
		[*] не все тесты работали

2006-12-26	spock
	* Source/OLEDB/sp_cooledb.cpp [NewOLEDB] 1.27.6.5:
		1. Для метода 1с AddParam ввел ограичения на типы параметров;
		2. В методе BindWithParams класса COLEDBCommand ввел корректный счетчик смещения/размера под каждый п
		араметр;
		3. GetParamsDataBuf() в работе: уже умеет возвращать массив для типов:
		- Строка - Справочник.Какой-то;
		- Строка - Строка;
		- Число - Число;

	* Source/OLEDB/sp_cooledb.h [NewOLEDB] 1.13.4.5:
		1. Добавил класс COLEDBConvertHelper - для конвертации типов.
		2. Добавил переменную-член класса COLEDBCommand - COLEDBConvertHelper m_ConvHlpr.
		3. Добавил закрытую функцию GetTypeSize() - для рутинной работы: возвращает размер в байтах под кажды
		й тип.

2006-12-26	orefkov
	* Source/Factory.cpp 1.5:
	* Source/Factory.h 1.3:
		Небольшие изменения в методе "Новый":
		Исправлена работа с параметрами по умолчанию для не CComponentClass.
		Запрещено передавать параметров больше, чем объявлено в методе-конструкторе.

2006-12-26	artbear
	* Source/System/GroupContextWrap.cpp 1.14:
		[*] небольшое ускорение работы перехвата метода CBLModule::
		FindProc

	* Source/System/GroupContextWrap.cpp 1.13:
	* Source/System/GroupContextWrap.h 1.10:
		[-] исправлено - неверно обрабатывались события ФормЕкс,
		для которых не было обработчика в модуле перехватываемой формы

	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.5:
		[-] один тест не проходил по ошибке

	* Testing/UnitTests/SpecialClasses/MetaInfoClassesТесты.txt 1.8:
	* Testing/UnitTests/SpecialClasses/ВыполняемыйМодульТесты.txt 1.21:
		[-] по ошибке не проходил один тест

2006-12-24	sedmin
	* Testing/UnitTests/FormEx/FormExТесты.txt [z_1cpp_2-0-3] 1.9.2.4:
	* Testing/UnitTests/TurboBL/TurboBLТесты.txt [z_1cpp_2-0-3] 1.3.10.4:
		[+] тесты метода группового контекста __ВызыватьМетодыКакСобытия

	* Source/Addin.clw [z_1cpp_2-0-3] 1.7.14.1:
	* Source/System/GlobalMethods.cpp [z_1cpp_2-0-3] 1.11.2.2:
	* Source/System/GlobalMethods.h [z_1cpp_2-0-3] 1.15.2.2:
	* Source/System/System.cpp [z_1cpp_2-0-3] 1.10.2.8:
	* Source/TurboBL/gcboost.cpp [z_1cpp_2-0-3] 1.7.2.4:
	* Source/TurboBL/gcboost.h [z_1cpp_2-0-3] 1.6.2.6:
		[+] добавлен метод группового контекста __ВызыватьМетодыКакСобыти
		я

	* .cvsignore 1.2:
	* .cvsignore 1.3:
	* .cvsignore [z_1cpp_2-0-3] 1.1.14.1:
	* .cvsignore [z_1cpp_2-0-3] 1.1.14.2:
	* Source/.cvsignore 1.2:
	* Source/.cvsignore [z_1cpp_2-0-3] 1.1.2.1:
	* Source/ReleaseMinDependency/.cvsignore 1.2:
	* Source/ReleaseMinDependency/.cvsignore [z_1cpp_2-0-3] 1.1.2.1:
		[*] скорректированы списки игнорирования

	* Source/.cvsignore 1.1:
	* Source/ReleaseMinDependency/.cvsignore 1.1:
		file .cvsignore was initially added on branch z_1cpp_2-0-3.

2006-12-24	spock
	* Source/.cvsignore [NewOLEDB] 1.2.2.1:
		file .cvsignore was added on branch NewOLEDB on 2007-03-06 13:43:
		01 +0000

2006-12-23	sedmin
	* Source/ComponentClass.cpp [z_1cpp_2-0-3] 1.40.2.3:
	* Source/ExecuteModule.cpp [z_1cpp_2-0-3] 1.14.2.1:
	* Source/FormEx.cpp [z_1cpp_2-0-3] 1.20.4.1:
	* Source/TurboBL/gcboost.cpp [z_1cpp_2-0-3] 1.7.2.3:
	* Source/TurboBL/gcboost.h [z_1cpp_2-0-3] 1.6.2.5:
	* Testing/ExtForms/ОтчетНовый1/Форма.frm [z_1cpp_2-0-3] 1.1.6.2:
	* Testing/UnitTests/FormEx/defcls.prm [z_1cpp_2-0-3] 1.11.2.2:
	* Testing/UnitTests/FormEx/ТестыИсходнойТаблицы/Структура.mdp [z_1cpp_2-0-3] 1.2.4.1:
	* Testing/UnitTests/OOP/ООПТесты.txt [z_1cpp_2-0-3] 1.30.2.2:
	* Testing/UnitTests/OOP/Тесты_КомпиляцияКласса/МодульФормы.1s [z_1cpp_2-0-3] 1.15.4.2:
	* Testing/UnitTests/SpecialClasses/defcls.prm [z_1cpp_2-0-3] 1.17.2.1:
	* Testing/UnitTests/SpecialClasses/ВыполняемыйМодульТесты.txt [z_1cpp_2-0-3] 1.17.2.2:
	* Testing/UnitTests/TurboBL/TurboBLТесты.txt [z_1cpp_2-0-3] 1.3.10.3:
		[*] рефакторинг

2006-12-22	sedmin
	* Source/TurboBL/gcboost.h [z_1cpp_2-0-3] 1.6.2.4:
	* Testing/UnitTests/LoaderUnitTests/ДелегатФормы.txt [z_1cpp_2-0-3] 1.2.2.2:
	* Testing/UnitTests/LoaderUnitTests/Тесты/defcls.prm [z_1cpp_2-0-3] 1.2.4.2:
	* Testing/UnitTests/TurboBL/TurboBLТесты.txt [z_1cpp_2-0-3] 1.3.10.2:
		[+] добавлена возможность добавлять в групповой контекст "служебн
		ые" методы

2006-12-22	artbear
	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.4:
		[-] тест "Тест_OLEDBCommand_УложитьСписокОбъектов_ВКаталогИБ_Список"
		был по ошибке исключен из списка

2006-12-21	sedmin
	* Testing/UnitTests/LoaderUnitTests/Тесты/Тесты_ДелегатФормы/МодульФормы.1s [z_1cpp_2-0-3] 1.2.2.3:
		[+] Восстановлен тест выполнения формул элементов формы

	* Testing/UnitTests/FormEx/FormExТесты.txt [z_1cpp_2-0-3] 1.9.2.3:
	* Testing/UnitTests/LoaderUnitTests/DEFCLS.PRM [z_1cpp_2-0-3] 1.15.2.1:
	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучай.txt [z_1cpp_2-0-3] 1.17.2.1:
		[*] модифицирован тест, показывающий ошибки при добавлении новой 
		строки

	* Testing/UnitTests/LoaderUnitTests/Тесты/Тесты_ДелегатФормы/gcomp.ini [z_1cpp_2-0-3] 1.1.2.2:
	* Testing/UnitTests/LoaderUnitTests/Тесты/Тесты_ДелегатФормы/gcomp.ver [z_1cpp_2-0-3] 1.1.2.2:
	* Testing/UnitTests/LoaderUnitTests/Тесты/Тесты_ДелегатФормы/МодульФормы.1s [z_1cpp_2-0-3] 1.2.2.2:
	* Testing/UnitTests/LoaderUnitTests/Тесты/Тесты_ДелегатФормы/ОбъектыМетаданных.txt [z_1cpp_2-0-3] 1.1.2.2:
	* Testing/UnitTests/LoaderUnitTests/Тесты/Тесты_ДелегатФормы/Структура.mdp [z_1cpp_2-0-3] 1.2.2.2:
	* Testing/UnitTests/LoaderUnitTests/Тесты/Тесты_ДелегатФормы/Форма.frm [z_1cpp_2-0-3] 1.1.2.2:
		[+] добавлен тест класса ДелегатФормы

2006-12-20	sedmin
	* Testing/Scripts/gcompLib.py 1.4:
	* Testing/Scripts/gcompLib.py [z_1cpp_2-0-3] 1.3.2.1:
		[+] учет временных файлов CVS при сборке/разборке

2006-12-19	sedmin
	* Source/PaintHook.cpp [z_1cpp_2-0-3] 1.43.2.6:
	* Source/PaintHook.h [z_1cpp_2-0-3] 1.20.2.2:
	* Source/Service.cpp [z_1cpp_2-0-3] 1.28.2.1:
	* Source/TableEx.cpp [z_1cpp_2-0-3] 1.9.4.1:
	* Source/TableEx.h [z_1cpp_2-0-3] 1.5.4.1:
		[*] рефакторинг

2006-12-19	kms
	* Source/VTExt/VTIndex.cpp 1.44:
	* Source/VTExt/VTIndex.cpp [z_1cpp_2-0-3] 1.39.4.5:
		[-] ИТ: исправлен [ABR] при установке строки

2006-12-18	sedmin
	* Testing/UnitTests/LoaderUnitTests/ДелегатФормы.txt [z_1cpp_2-0-3] 1.2.2.1:
	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучайФормы.txt [z_1cpp_2-0-3] 1.4.2.2:
	* Testing/UnitTests/LoaderUnitTests/Тесты/defcls.prm [z_1cpp_2-0-3] 1.2.4.1:
	* Testing/UnitTests/SpecialClasses/Образы классов/ДелегатФормы.lst [z_1cpp_2-0-3] 1.2.10.1:
	* Testing/UnitTests/SpecialClasses/ТестыКлассовНаСоответствиеМетодовИСвойствТесты.txt [z_1cpp_2-0-3] 1.4.2.1:
		рефакторинг, удалено лишнее

	* Source/PaintHook.cpp [z_1cpp_2-0-3] 1.43.2.5:
	* Source/PaintHook.h [z_1cpp_2-0-3] 1.20.2.1:
		[*] удалена часть неиспользуемого кода, другая требует выяснения

	* Source/PaintHook.cpp [z_1cpp_2-0-3] 1.43.2.4:
		[*] удалены старые комментарии

2006-12-18	spock
	* Source/OLEDB/sp_cooledb.cpp [NewOLEDB] 1.27.6.4:
	* Source/OLEDB/sp_cooledb.h [NewOLEDB] 1.13.4.4:
		*** empty log message ***

2006-12-18	kms
	* Documents/history.txt 1.123:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.19:
	* Source/CursorGrid/CursorGridCtrl.cpp 1.24:
	* Source/CursorGrid/CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.15.2.8:
	* Source/CursorGrid/CursorGridCtrl.h 1.16:
	* Source/CursorGrid/CursorGridCtrl.h [z_1cpp_2-0-3] 1.9.6.5:
		[+] ТП: варианты ресайза

	* Documents/history.txt 1.122:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.18:
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.18:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.8.4.6:
	* Source/CursorGrid/V7CursorGridCtrl.h 1.12:
	* Source/CursorGrid/V7CursorGridCtrl.h [z_1cpp_2-0-3] 1.6.8.5:
		[-] ТП: исправлен вылет в событии ПриУничтожении для модальных фо
		рм (draft)

	* Source/MethodsWrapper.h 1.17:
	* Source/MethodsWrapper.h [z_1cpp_2-0-3] 1.11.2.2:
		[+] обработка ошибок в CTrapSwap

	* Source/ADDIN.CPP 1.51:
	* Source/ADDIN.CPP [z_1cpp_2-0-3] 1.33.2.1:
	* Source/ComponentClass.cpp 1.92:
	* Source/MethodsWrapper.h 1.16:
	* Source/MethodsWrapper.h [z_1cpp_2-0-3] 1.11.2.1:
	* Source/TurboBL/gcboost.cpp 1.16:
	* Source/TurboBL/gcboost.cpp [z_1cpp_2-0-3] 1.7.2.2:
		[*] рефакторинг классов перехватов

	* Source/PaintHook.cpp [z_1cpp_2-0-3] 1.43.2.3:
		[-] FormEx: двойное восстановление адреса

2006-12-18	artbear
	* Source/OLEDB/sp_cooledb.cpp 1.28:
	* Source/OLEDB/sp_cooledb.h 1.14:
	* Source/OLEDB/sp_oledb.cpp 1.9:
	* Source/OLEDB/sp_oledb.h 1.11:
		[+] если у метода OLEDBData::Соединение первый параметр не указан,
		используется строка подключения к базе ИБ по умолчанию
		[*] классы "COLEDBData" и "COLEDBCommand" унаследованы от "CMyContextBase"
		[*] рефакторинг на базе тестов
		[*] устранил возможные утечки памяти

	* Testing/UnitTests/OleDB/OleDBТесты.txt 1.3:
		[+] тесты функционала OLEDB

	* Source/System/FuncDelegate.h 1.1:
		[+] Несколько шаблонных классов-делегатов
		CFuncDelegate0, CFuncDelegate1, CFuncDelegate2, CFuncDelegate3

	* Source/AXControl.cpp 1.20:
		[*] рефакторинг - была возможна утечка памяти

	* Source/Factory.cpp 1.4:
		[-] исправлен баг при вызове методов-конструкторов встроенных объектов (1С и 1С++)
		при использовании параметров по умолчанию
		например, тест ТестыФабрики::Тест_КонструкторИндексированнойТаблицы

2006-12-17	sedmin
	* Testing/Config/Обработки/ТестоваяДляFormEx/МодульФормы.1s [z_1cpp_2-0-3] 1.1.10.1:
	* Testing/UnitTests/FormEx/FormExТесты.txt [z_1cpp_2-0-3] 1.9.2.2:
	* Testing/UnitTests/FormEx/defcls.prm [z_1cpp_2-0-3] 1.11.2.1:
	* Testing/UnitTests/LoaderUnitTests/НаборТестов.txt [z_1cpp_2-0-3] 1.10.2.1:
	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучайФормы.txt [z_1cpp_2-0-3] 1.4.2.1:
	* Testing/UnitTests/TurboBL/TurboBLТесты.txt [z_1cpp_2-0-3] 1.3.10.1:
	* Testing/UnitTests/TurboBL/defcls.prm [z_1cpp_2-0-3] 1.3.10.1:
		[+] ТестовыйСлучайФормы принудительно закрывает тестируемую форму
		[*] убрано то, что стало ненужным

	* Testing/UnitTests/OOP/ООПТесты.txt [z_1cpp_2-0-3] 1.30.2.1:
		[-] пропущен тест, уносивший с собой 1С

2006-12-17	kms
	* Source/PaintHook.cpp [z_1cpp_2-0-3] 1.43.2.2:
		[-] FormEx: memory leak

2006-12-16	kms
	* Documents/TableField.txt 1.19:
	* Documents/TableField.txt [z_1cpp_2-0-3] 1.11.4.5:
	* Documents/history.txt 1.121:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.17:
	* Source/CursorGrid/CursorGridCtrl.cpp 1.23:
	* Source/CursorGrid/CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.15.2.7:
	* Source/CursorGrid/CursorGridCtrl.h 1.15:
	* Source/CursorGrid/CursorGridCtrl.h [z_1cpp_2-0-3] 1.9.6.4:
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.17:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.8.4.5:
	* Source/CursorGrid/V7CursorGridCtrl.h 1.11:
	* Source/CursorGrid/V7CursorGridCtrl.h [z_1cpp_2-0-3] 1.6.8.4:
		[+] ТП: добавлены свойства ЦветТекста /TextColor и ЦветФона /
		BackColor

2006-12-16	artbear
	* Testing/UnitTests/SpecialClasses/АктивИкс_Тесты.txt 1.5:
		[+] новый тест "Тест_МетодАктивИкс_ПриЗакрытойФорме"

	* Testing/UnitTests/SpecialClasses/defcls.prm 1.26:
	* Testing/UnitTests/SpecialClasses/СистемаТесты.txt 1.9:
		[-] не все тесты работали

2006-12-15	kms
	* Documents/history.txt 1.120:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.16:
		[-] корректура формулировок

2006-12-14	sedmin
	* Source/1CHEADERS/bkend.h [z_1cpp_2-0-3] 1.18.2.2:
	* Source/System/System.cpp [z_1cpp_2-0-3] 1.10.2.6:
	* Source/System/System.cpp [z_1cpp_2-0-3] 1.10.2.7:
	* Testing/UnitTests/SpecialClasses/СистемаТесты.txt [z_1cpp_2-0-3] 1.2.4.4:
		[-] если после Система::ЗакрытьФорму() попытаться использовать об
		ъект Форма, то падала 1С

2006-12-14	kms
	* Documents/history.txt 1.119:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.15:
	* Source/CursorGrid/SQLProvider.cpp 1.9:
	* Source/CursorGrid/SQLProvider.cpp [z_1cpp_2-0-3] 1.4.8.6:
		[-] найдены потерянные скобки в методе УсловиеБыстрогоПоиска()
		    http://www.1cpp.ru/forum/YaBB.pl?num=1166006473

	* Documents/IndexedTable.txt 1.49:
	* Documents/IndexedTable.txt [z_1cpp_2-0-3] 1.44.4.5:
	* Documents/history.txt 1.118:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.14:
	* Source/VTExt/VTExtended.cpp 1.61:
	* Source/VTExt/VTExtended.cpp [z_1cpp_2-0-3] 1.54.4.7:
	* Source/VTExt/VTExtended.h 1.54:
	* Source/VTExt/VTExtended.h [z_1cpp_2-0-3] 1.50.4.4:
	* Source/VTExt/VTIndex.cpp 1.43:
	* Source/VTExt/VTIndex.cpp [z_1cpp_2-0-3] 1.39.4.4:
	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt 1.22:
	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt [z_1cpp_2-0-3] 1.18.2.4:
		[+] ИТ: Добавлен метод ИмяИндекса() / IndexName()
		[+] ИТ: Добавлен метод ВыражениеИндекса() / IndexExpr()
		[+] ИТ: Добавлен метод НомерИндекса() / IndexNumber()

	* Documents/IndexedTable.txt 1.48:
	* Documents/IndexedTable.txt [z_1cpp_2-0-3] 1.44.4.4:
	* Documents/history.txt 1.117:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.13:
	* Source/VTExt/VTExtended.cpp 1.60:
	* Source/VTExt/VTExtended.cpp [z_1cpp_2-0-3] 1.54.4.6:
	* Source/VTExt/VTExtended.h 1.53:
	* Source/VTExt/VTExtended.h [z_1cpp_2-0-3] 1.50.4.3:
		[x] ИТ: отказ от реализации метода IndexInNode()

2006-12-14	artbear
	* Source/AXControl.cpp 1.19:
		[-] исправлен баг - обработчик события, который является первой ф
		ункцие/процедурой в форме, не работал.

2006-12-13	sedmin
	* Source/System/System.cpp 1.21:
	* Source/System/System.cpp [z_1cpp_2-0-3] 1.10.2.5:
		[*] рефакторинг

2006-12-13	kms
	* Documents/history.txt 1.116:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.12:
	* Source/ODBC/1CPP_ODBCRecordSet.cpp 1.17:
	* Source/ODBC/1CPP_ODBCRecordSet.cpp [z_1cpp_2-0-3] 1.15.4.1:
		[!] ODBC: устранен memory leak при загрузке рекордсета в ИТ

	* Source/VTExt/VTIndex.cpp 1.42:
	* Source/VTExt/VTIndex.cpp [z_1cpp_2-0-3] 1.39.4.3:
		[*] ИТ: оптимизация процедур сравнения

	* Documents/IndexedTable.txt 1.47:
	* Documents/history.txt 1.115:
	* Source/VTExt/VTExtended.cpp 1.59:
	* Source/VTExt/VTExtended.h 1.52:
	* Source/VTExt/VTIndex.cpp 1.41:
	* Source/VTExt/VTIterator.cpp 1.5:
	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt 1.21:
		[+] ИТ: метод КоличествоИндексов()
		[+] ИТ: метод ИндексВУзле()
		[*] ИТ: устранение двойной индексации в методе Объединить()
		[-] ИТ: исправление итераторов (тестБлуждающийИтератор)

	* Documents/IndexedTable.txt [z_1cpp_2-0-3] 1.44.4.3:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.11:
	* Source/VTExt/VTExtended.cpp [z_1cpp_2-0-3] 1.54.4.5:
	* Source/VTExt/VTExtended.h [z_1cpp_2-0-3] 1.50.4.2:
	* Source/VTExt/VTIndex.cpp [z_1cpp_2-0-3] 1.39.4.2:
	* Source/VTExt/VTIterator.cpp [z_1cpp_2-0-3] 1.4.4.1:
	* Testing/UnitTests/VTExt/ТЗРасшТесты.txt [z_1cpp_2-0-3] 1.18.2.3:
		[+] ИТ: метод КоличествоИндексов()
		[+] ИТ: метод ИндексВУзле
		[*] ИТ: устранение двойной индексации в методе Объединить()
		[-] ИТ: исправление итераторов (тестБлуждающийИтератор)

2006-12-11	kms
	* Documents/Math.txt 1.3:
	* Documents/Math.txt [z_1cpp_2-0-3] 1.2.4.1:
		[-] Math: исправлены опечатки

2006-12-10	steban
	* Source/AXControl.cpp 1.17:
		добавлена отрисовка контейнера цветом BTNFACE при наличии в нем контрола
		(для контролов, самостоятельно управляющих своим размером)

2006-12-08	kms
	* Documents/IndexedTable.txt 1.46:
	* Documents/IndexedTable.txt [z_1cpp_2-0-3] 1.44.4.2:
	* Documents/history.txt 1.114:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.10:
	* Source/VTExt/VTExtended.cpp 1.58:
	* Source/VTExt/VTExtended.cpp [z_1cpp_2-0-3] 1.54.4.4:
	* Source/VTExt/VTExtended.h 1.51:
	* Source/VTExt/VTExtended.h [z_1cpp_2-0-3] 1.50.4.1:
		[+] Возможность спецификации колонок в процедурах выгрузки

2006-12-08	artbear
	* Testing/UnitTests/FormEx/FormExТесты.txt 1.24:
		[+] если ФормЕкс не загружена, класс теста не показывается в спис
		ке тестов

	* Testing/UnitTests/SpecialClasses/АктивИкс_Тесты.txt 1.4:
	* Testing/UnitTests/SpecialClasses/СистемаТесты.txt 1.8:
	* Testing/UnitTests/SpecialClasses/Форма_Тесты.txt 1.3:
		[+] новые тесты для проверки использовании
		сохранненой где-то ссылки на уже закрытую физически форму

	* Testing/UnitTests/CursorGrid/ТабличноеПолеТесты.txt 1.2:
	* Testing/UnitTests/SpecialClasses/DynaCryptТесты.txt 1.2:
	* Testing/UnitTests/SpecialClasses/DynaValueТесты.txt 1.2:
	* Testing/UnitTests/SpecialClasses/GUIDТесты.txt 1.2:
	* Testing/UnitTests/SpecialClasses/РаботаСРегистромWinТесты.txt 1.2:
		[+] классы, для которых пока нет тестов, пропускаются
		и не показываются в списке тестовых классов

	* Source/System/System.cpp 1.20:
		[-] исправлен баг (найденный в тестах)
			нужно самостоятельно обнулить все ссылки на КонтекстФормы.Форма (1С этого почему-то не делает)
			иначе если сохранить его в отдельной переменной до закрытия,
			а потом пытаться использовать после физического закрытия - будет баг
			также 1С будет падать, если эту переменную передать
			в какой-нибудь метод любой ВК, которая принимает форму
			например, АктивИкс.УстановитьАтрибут или Форма.УстановитьФорму

	* Source/1CHEADERS/bkend.h 1.28:
		[*] установлен точный тип поля m_Array для CBLContext
		
		вместо простого CPtrArray установлен более удобный и правильный
		CTypedPtrArray<CPtrArray, CValue*> CValuePtrArray

2006-12-08	steban
	* Source/AXControl.cpp 1.16:
		устранена еще одна утечка памяти

	* Source/AXControl.cpp 1.15:
	* Source/AXControl.h 1.8:
		Устранены утечки памяти
		добавлено отображение контейнера при отсутствующем контроле
		(by orefkov)

	* Source/AXControl.cpp 1.14:
	* Source/AXControl.h 1.7:
		Указатель на форму заменен на безопасный

	* Source/AXControl.cpp 1.13:
	* Source/AXControl.h 1.6:
		Проведен рефакторинг класса by orefkov, artbear & steban
		- исправлено несколько багов, приводивших к падению 1С
		- добавлена возможность создания АХ контролов на кнопке и получения фокуса фокуса при обходе по Tab'у
		
		- добавлено изменение размеров АХ-контрола вместе с родительским контролом

2006-12-07	sedmin
	* Documents/extobjs.txt [z_1cpp_2-0-3] 1.20.4.1:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.8:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.9:
	* Source/System/System.cpp [z_1cpp_2-0-3] 1.10.2.4:
	* Source/System/System.h [z_1cpp_2-0-3] 1.5.2.3:
	* Testing/UnitTests/SpecialClasses/СистемаТесты.txt [z_1cpp_2-0-3] 1.2.4.3:
		[*] метод Система::ЗакрытьФорму() синхронизован со стволом

2006-12-07	artbear
	* Testing/UnitTests/SpecialClasses/АктивИкс_Тесты.txt 1.3:
	* Testing/UnitTests/SpecialClasses/КлассПотомокАктивИкс.txt 1.3:
		[-] тесты неверно работали

	* Source/AXControl.cpp 1.12:
	* Source/AXControl.h 1.5:
		[-] устранены баги - в некоторых случаях могла падать 1С;
		[*] рефакторинг

	* Testing/ExtForms/ОтчетЭлементУправления/МодульФормы.1s 1.2:
	* Testing/UnitTests/SpecialClasses/Форма_Тесты.txt 1.2:
		[+] новые тесты объекта "Форма"

	* Testing/ExtForms/ОбработкаАктивИкс/МодульФормы.1s 1.2:
	* Testing/ExtForms/ОбработкаАктивИкс/Форма.frm 1.2:
	* Testing/UnitTests/SpecialClasses/АктивИкс_Тесты.txt 1.2:
	* Testing/UnitTests/SpecialClasses/КлассПотомокАктивИкс.txt 1.2:
		[*] новые тесты АктивИкс, в т.ч. и тесты класса-наследника АктивИ
		кс

	* Documents/ActiveX.txt 1.7:
		[*] исправлена неоднозначность для событий АктивИкс в классах-нас
		ледниках АктивИкс

	* Documents/extobjs.txt 1.28:
		[*] событие "ПриСоздании" может принимать один параметр Источник

2006-12-06	sedmin
	* Source/System/System.cpp [z_1cpp_2-0-3] 1.10.2.3:
	* Source/System/System.h [z_1cpp_2-0-3] 1.5.2.2:
	* Source/mycontextbase.h [z_1cpp_2-0-3] 1.3.6.2:
		[*] В метод Система::ЗакрытьФорму() добавлен параметр по умолчани
		ю. Пока не обрабатывается.

2006-12-06	artbear
	* Testing/UnitTests/OOP/Тесты_КомпиляцияКласса/МодульФормы.1s 1.20:
		[*] тесты, для проверки которых нужен ФормЕкс, в случае незагруже
		нности ФормЕкс пропускаются

	* Testing/ExtForms/ОбработкаАктивИкс/gcomp.ini 1.1:
	* Testing/ExtForms/ОбработкаАктивИкс/gcomp.ver 1.1:
	* Testing/ExtForms/ОбработкаАктивИкс/МодульФормы.1s 1.1:
	* Testing/ExtForms/ОбработкаАктивИкс/ОбъектыМетаданных.txt 1.1:
	* Testing/ExtForms/ОбработкаАктивИкс/Структура.mdp 1.1:
	* Testing/ExtForms/ОбработкаАктивИкс/Форма.frm 1.1:
	* Testing/UnitTests/SpecialClasses/defcls.prm 1.25:
	* Testing/UnitTests/SpecialClasses/АктивИкс_Тесты.txt 1.1:
	* Testing/UnitTests/SpecialClasses/КлассПотомокАктивИкс.txt 1.1:
		[+] первые тесты класса АктивИкс

	* Testing/ExtForms/ОтчетЭлементУправления/gcomp.ini 1.1:
	* Testing/ExtForms/ОтчетЭлементУправления/gcomp.ver 1.1:
	* Testing/ExtForms/ОтчетЭлементУправления/МодульФормы.1s 1.1:
	* Testing/ExtForms/ОтчетЭлементУправления/ОбъектыМетаданных.txt 1.1:
	* Testing/ExtForms/ОтчетЭлементУправления/Структура.mdp 1.1:
	* Testing/ExtForms/ОтчетЭлементУправления/Форма.frm 1.1:
		[*] обработка к тестам объекта "Форма"

	* Source/AddIn.dsp 1.52:
		[*] вставка файлов умных указателей

	* Source/Preprocessor.cpp 1.8:
	* Source/Preprocessor.h 1.4:
		[*] более точные определения методов с использованием const

	* Source/ComponentClass.cpp 1.91:
	* Source/ComponentClass.h 1.55:
	* Source/MapDefMethod.h 1.5:
		[*] устранена утечка памяти при использовании метода "MetaInfoClasses::ОчиститьДанныеОптимизацииКласс
		ов"
		выполнено с помощью разделяемых умных указателей.
		[*] рефакторинг методов инициализации объекта
		[*] мелкий рефакторинг

	* Documents/history.txt 1.113:
		[*] отметка о моих изменениях

	* Documents/extobjs.txt 1.26:
		[*] вставил инфу о версии для класса "ФабрикаОбъектов"

	* Source/System/sh_ptr.hpp 1.1:
		[+] 2 класса интеллектуальных указателей
		sh_ptr<T> - разделяемый "умный указатель" с подсчетом ссылок на объект типа T;
		sh_array<T> - разделяемый "умный указатель" с подсчетом ссылок на массив объектов типа T

	* Source/System/fix_alloc.cpp 1.1:
	* Source/System/fix_alloc.hpp 1.1:
		[+] новый шаблонный класс fixed_alloc<T>
		быстрый распределитель памяти фиксированного размера для элементов типа T.

	* Source/Form/V7Form.cpp 1.7:
	* Source/Form/V7Form.h 1.4:
		[+] новый метод "Форма::СоздатьЭлементУправленияНаФорме";
		[*] рефакторинг

	* Testing/UnitTests/OOP/Тесты_КомпиляцияКласса/МодульФормы.1s 1.19:
		[-] ошибочно не работало несколько тестов

	* Testing/UnitTests/SpecialClasses/defcls.prm 1.24:
	* Testing/UnitTests/SpecialClasses/КлассЭлементУправления.txt 1.1:
	* Testing/UnitTests/SpecialClasses/Форма_Тесты.txt 1.1:
		[+] тесты объекта "Форма"

	* Documents/extobjs.txt 1.25:
		[+] документирован класс "Форма"

2006-12-05	sedmin
	* Source/System/GlobalMethods.h [z_1cpp_2-0-3] 1.15.2.1:
		file GlobalMethods.h was added on branch z_1cpp_2-0-3 on 2006-12-
		24 18:52:35 +0000

2006-12-05	kms
	* Source/Factory.cpp [z_1cpp_2-0-3] 1.1.14.1:
		[-] исправлена проблема автоудаления объектов, созданный с помощь
		ю фабрики

2006-12-05	artbear
	* Documents/extobjs.txt 1.24:
		[+] полная дока на класс "ФабрикаОбъектов",
		в т.ч. и на новый метод "Новый", и на старый способ создания "Шрифт" и т.д

	* Documents/TableField.txt 1.18:
	* Documents/extobjs.txt 1.23:
		[*] дока на класс "ФабрикаОбъектов" перенесена в доку по спец.кла
		ссам

	* Testing/UnitTests/OOP/Тесты_Фабрика.txt 1.4:
		[+] тест создания встроенных объектов 1С++ через ФабрикуОбъектов
		(например, Фабрика.Шрифт("Arial", 10, 1))

	* Source/Factory.cpp 1.3:
		[-] исправлен баг - при создании встроенных объектов 1С++ через ФабрикуОбъектов
		(например, Фабрика.Шрифт("Arial", 10, 1))
		была утечка памяти - на созданный объект создавалась лишняя ссылка

	* Source/blptr.h 1.16:
		[+] новый конструктор для создания объекта через СRuntimeClass::CreateObject
		CBLPtr(CRuntimeClass& RuntimeClassRef)

	* Source/1CHEADERS/bkend.h 1.27:
		[*] небольшое форматирование методов класса CBLContext

	* Testing/UnitTests/OOP/Тесты_Фабрика.txt 1.3:
		[+] добавлены доп.тесты ФабрикиОбъектов
		"Тест_КонструкторТаблицыЗначений"
		"Тест_КонструкторИндексированнойТаблицы"

	* Source/System/GroupContextWrap.h 1.9:
		[-] исправлена ошибка компиляции :(

	* Testing/UnitTests/SpecialClasses/ПерехватчикТесты.txt 1.3:
		[*] отключены тесты функционала, который еще не реализован.

	* Source/ADDIN.CPP 1.50:
	* Source/Factory.cpp 1.2:
	* Source/Factory.h 1.2:
		[+] новый метод "CObjectFactory::Новый"
		для возможности создания объектов произвольных типов
		с вызовом произвольных конструкторов с любым числом параметров.
		[+] класс "CObjectFactory" унаследован от универсального CMyContextBase;

	* Source/mycontextbase.cpp 1.6:
	* Source/mycontextbase.h 1.5:
		[+] добавил функционал определения новых методов в классах-потомках
		с неопределенным числом параметров.
		Часть параметров может быть фиксирована.
		[+] новые удобные макросы
		BL_METH_PROC_WITH_UN_LIM_PARAMS
		BL_METH_FUNC_WITH_UN_LIM_PARAMS

	* Source/ComponentClass.cpp 1.90:
	* Source/ComponentClass.h 1.54:
		[*] возможность не вызывать конструктор по умолчанию;
		[+] метод "CallUserConstructor" - метод для вызова пользовательского конструктора с несколькими парам
		етрами

	* Source/blptr.h 1.15:
		[*] более удобные конструктор копирования и оператор присваивания
		[+] новый public-метод "Empty"

	* Source/System/GlobalMethods.h 1.15:
		[*] макрос IS_KINDOF_RUNTIME_CLASS мог выдавать неверную синтакс-ошибку
		[+] новые простые и удобные шаблонные-функции
		bool IS_KINDOF_CGroupContext(const CBLPtr<Type>& pCont)
		bool IS_KINDOF_CComponentClass(const CBLPtr<Type>& pCont)

	* Testing/UnitTests/OOP/defcls.prm 1.27:
	* Testing/UnitTests/OOP/Тесты_Фабрика.txt 1.1:
		[+] тесты нового функционала "ФабрикаОбъектов::Новый"

2006-12-04	sedmin
	* Source/System/GlobalMethods.cpp [z_1cpp_2-0-3] 1.11.2.1:
		file GlobalMethods.cpp was added on branch z_1cpp_2-0-3 on 2006-
		12-24 18:52:35 +0000

2006-12-04	kms
	* Documents/TableField.txt 1.17:
	* Documents/TableField.txt [z_1cpp_2-0-3] 1.11.4.4:
		[*] дополнения к документации

	* Documents/TableField.txt 1.16:
	* Documents/TableField.txt [z_1cpp_2-0-3] 1.11.4.3:
	* Documents/history.txt 1.112:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.7:
	* Source/CtrlEvents.cpp [z_1cpp_2-0-3] 1.7.4.1:
	* Source/CtrlEvents.h [z_1cpp_2-0-3] 1.3.8.2:
	* Source/CursorGrid/CursorGridCtrl.cpp 1.22:
	* Source/CursorGrid/CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.15.2.5:
	* Source/CursorGrid/CursorGridCtrl.h 1.14:
	* Source/CursorGrid/CursorGridCtrl.h [z_1cpp_2-0-3] 1.9.6.3:
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.16:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.8.4.4:
	* Source/CursorGrid/V7CursorGridCtrl.h 1.10:
	* Source/CursorGrid/V7CursorGridCtrl.h [z_1cpp_2-0-3] 1.6.8.3:
		[+] ТП: механизм управления быстрым поиском

	* Source/CursorGrid/CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.15.2.6:
		[*] ТП: Enter в окне QS не будет вызывать событие Выбор
		(приведено в соответствие с QS по таймеру и общей логикой QS)

2006-12-04	artbear
	* Source/1CHEADERS/basic.h 1.22:
		[*] частично документированы методы, отвечающие за проведение/отмену проведения документа
		и создание/вызов модуля проведения документа

	* Source/1CHEADERS/bkend.h 1.26:
		[*] маленькие комменты

	* Testing/UnitTests/LoaderUnitTests/ЗапускЮнитТестов/МодульФормы.1s 1.5:
	* Testing/UnitTests/OOP/СинтаксисТесты1.txt 1.5:
		[*] при закрытии формы сбрасываем данные оптимизации классов 1С++
		

	* Source/System/GroupContextWrap.cpp 1.12:
	* Source/System/Hooker.cpp 1.3:
	* Source/System/Hooker.h 1.3:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК/МодульФормы.1s 1.2:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_События/МодульФормы.1s 1.2:
	* Testing/UnitTests/SpecialClasses/ПерехватчикТесты.txt 1.2:
		[+] новый метод "Перехватчик::СнятьПерехватСобытийГK"
		и соответствующий тест
		[+] новые тесты для пока не реализованных методов
		по перехвату событий модуля проведения документов

	* Source/System/Informer.cpp 1.6:
	* Testing/UnitTests/SpecialClasses/ИнформаторТесты.txt 1.5:
		[*] метод "МетодКонтекстаСуществует" переименован в "МетодСуществует"
		[*] метод "СвойствоКонтекстаСуществует" переименован в "СвойствоСуществует"

	* Source/ExecuteModule.cpp 1.22:
	* Source/System/GlobalMethods.cpp 1.11:
	* Source/System/GlobalMethods.h 1.14:
		[*] мелкий рефакторинг

	* Documents/Hooker.txt 1.2:
	* Documents/Informer.txt 1.2:
	* Documents/SettingsManager.txt 1.2:
		[*] отметка о работе только на релизе 2.5

	* Documents/extobjs.txt 1.21:
		[+] документированы метод "Система::ЗакрытьФорму"
		[+] документированы методы
		"ВыполняемыйМодуль::ВыполнитьПроцедуруКонтекста"
		"ВыполняемыйМодуль::ВыполнитьФункциюКонтекста"

	* Documents/Documents.dsp 1.21:
	* Documents/Hooker.txt 1.1:
	* Documents/Informer.txt 1.1:
	* Documents/SettingsManager.txt 1.1:
		[+] документированы классы
		"Перехватчик"
		"Информатор"
		"УправлениеНастройками"

2006-12-03	kms
	* Source/CursorGrid/CursorGridCtrl.cpp 1.21:
	* Source/CursorGrid/CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.15.2.4:
		[*] ТП: разрешены нулевые отступы

	* Documents/TableField.txt 1.15:
	* Documents/TableField.txt [z_1cpp_2-0-3] 1.11.4.2:
	* Documents/history.txt 1.111:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.6:
	* Source/CursorGrid/CursorGridCtrl.cpp 1.20:
	* Source/CursorGrid/CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.15.2.3:
	* Source/CursorGrid/CursorGridCtrl.h 1.13:
	* Source/CursorGrid/CursorGridCtrl.h [z_1cpp_2-0-3] 1.9.6.2:
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.15:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.8.4.3:
	* Source/CursorGrid/V7CursorGridCtrl.h 1.9:
	* Source/CursorGrid/V7CursorGridCtrl.h [z_1cpp_2-0-3] 1.6.8.2:
		[+] ТП: добавлено управление отступами текста в пределах ячейки

2006-12-02	kms
	* Documents/history.txt 1.110:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.5:
	* Source/CursorGrid/VTProvider.cpp 1.8:
	* Source/CursorGrid/VTProvider.cpp [z_1cpp_2-0-3] 1.6.6.2:
		[-] ТП: исправлен поиск по первой колонке (ПоставщикДанныхТЗ)
		http://www.1cpp.ru/forum/YaBB.pl?num=1164313039/11#11

	* Documents/TableField.txt 1.14:
	* Documents/TableField.txt [z_1cpp_2-0-3] 1.11.4.1:
	* Documents/history.txt 1.109:
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.4:
		[*] документированы изменения

	* Source/CtrlEvents.h [z_1cpp_2-0-3] 1.3.8.1:
	* Source/CursorGrid/CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.15.2.2:
	* Source/CursorGrid/CursorGridCtrl.h [z_1cpp_2-0-3] 1.9.6.1:
	* Source/CursorGrid/SQLProvider.cpp [z_1cpp_2-0-3] 1.4.8.5:
	* Source/CursorGrid/V7CursorGridCtrl.cpp [z_1cpp_2-0-3] 1.8.4.2:
	* Source/CursorGrid/V7CursorGridCtrl.h [z_1cpp_2-0-3] 1.6.8.1:
	* Source/CursorGrid/V7ODBCProvider.cpp [z_1cpp_2-0-3] 1.7.8.5:
	* Source/CursorGrid/V7ODBCProvider.h [z_1cpp_2-0-3] 1.4.8.3:
	* Source/CursorGrid/VTProvider.cpp [z_1cpp_2-0-3] 1.6.6.1:
	* Source/System/BatchGuard.h [z_1cpp_2-0-3] 1.4.2.2:
		[!] ТП: принято решение об объединении функционала веток 2.0.3 и 
		2.5

	* Documents/TableField.txt 1.13:
		[+] ТП: дополнения к документации
		http://www.1cpp.ru/forum/YaBB.pl?num=1164715030

	* Source/CursorGrid/CursorGridCtrl.cpp 1.19:
	* Source/CursorGrid/CursorGridCtrl.h 1.12:
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.14:
	* Source/CursorGrid/V7CursorGridCtrl.h 1.8:
	* Source/CursorGrid/V7ODBCProvider.cpp 1.13:
		[!] ТП: учет флагов видимости / доступности при создании контрола
		[+] ТП: метод RedrawRows()
		[+] ТП: свойство ShowHeaders

2006-12-01	sedmin
	* Documents/classes.txt [z_1cpp_2-0-3] 1.4.4.1:
		[+] описание автоподключения форм отладки классов

	* Testing/UnitTests/OOP/defcls.prm [z_1cpp_2-0-3] 1.22.2.1:
	* Testing/UnitTests/OOP/Тесты_КомпиляцияКласса/МодульФормы.1s [z_1cpp_2-0-3] 1.15.4.1:
		[*] реорганизованы тесты отладки классов

2006-11-30	sedmin
	* Documents/history.txt [z_1cpp_2-0-3] 1.76.2.3:
	* Source/ComponentClass.cpp [z_1cpp_2-0-3] 1.40.2.2:
	* Source/ComponentClass.h [z_1cpp_2-0-3] 1.23.2.2:
		[+] Реализовано автоподключение форм отладки классов.

2006-11-30	kms
	* Source/CursorGrid/CursorGridCtrl.cpp 1.18:
		[-] исправлена проблема активации формы ТП при наличии активного 
		хинта

2006-11-29	kms
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.13:
		[-] исправлено избыточное обновление формы при работе с ТП
		http://www.1cpp.ru/forum/YaBB.pl?num=1164313039/0#0

	* Source/CursorGrid/CursorGridCtrl.cpp 1.17:
	* Source/CursorGrid/CursorGridCtrl.h 1.11:
	* Source/CursorGrid/V7CursorGridCtrl.cpp 1.12:
		[+] добавлен скроллинг в тп при нажатой левой кнопке (драфт)

2006-11-28	sedmin
	* Source/ComponentClass.cpp 1.89:
	* Source/ComponentClass.cpp [z_1cpp_2-0-3] 1.40.2.1:
	* Source/ComponentClass.h [z_1cpp_2-0-3] 1.23.2.1:
		рефакторинг

2006-11-28	kms
	* Source/CursorGrid/V7ODBCProvider.cpp 1.12:
	* Source/CursorGrid/V7ODBCProvider.h 1.7:
		[+] добавлена типизация полей ODBC провайдера ТП (драфт)

2006-11-27	kms
	* Source/TurboBL/gcboost.h 1.15:
	* Source/TurboBL/gcboost.h [z_1cpp_2-0-3] 1.6.2.3:
	* Source/VTExt/VTExtended.cpp 1.57:
	* Source/VTExt/VTExtended.cpp [z_1cpp_2-0-3] 1.54.4.3:
		[-] mismatched delete/delete[]

2006-11-25	trad
	* Source/CursorGrid/V7ODBCProvider.cpp 1.11:
	* Source/CursorGrid/V7ODBCProvider.cpp [z_1cpp_2-0-3] 1.7.8.4:
		добавлена обработка дополнительных sql-типов, отсутствие которой приводило к ошибке
		http://www.1cpp.ru/forum/YaBB.pl?num=1158481252/35#35

2006-11-24	trad
	* Source/CursorGrid/SQLProvider.cpp 1.8:
	* Source/CursorGrid/SQLProvider.cpp [z_1cpp_2-0-3] 1.4.8.4:
		исправлена ошибка
		http://www.1cpp.ru/forum/YaBB.pl?num=1158481252/33#33

	* Source/CursorGrid/SQLProvider.cpp 1.7:
	* Source/CursorGrid/SQLProvider.cpp [z_1cpp_2-0-3] 1.4.8.3:
	* Source/CursorGrid/V7ODBCProvider.cpp 1.10:
	* Source/CursorGrid/V7ODBCProvider.cpp [z_1cpp_2-0-3] 1.7.8.3:
		исправлена ошибка
		http://www.1cpp.ru/forum/YaBB.pl?num=1158481252/20#20

2006-11-24	artbear
	* Testing/UnitTests/OOP/Тесты_КомпиляцияКласса/МодульФормы.1s 1.18:
		[+] доп.тесты для метода сброса данных оптимизации пользовательск
		их классов 1С++

	* Source/ComponentClass.cpp 1.88:
		[-] могло быть неверное удаление объектов из памяти.
		Пока подобное временное решение.
		Правильное решение в принципе готово и протестировано,
		но нет времени сделать полный анализ на предмет утечек памяти.

2006-11-23	kms
	* Source/CursorGrid/SQLProvider.cpp [z_1cpp_2-0-3] 1.4.8.2:
	* Source/CursorGrid/SQLProvider.h [z_1cpp_2-0-3] 1.4.14.2:
	* Source/CursorGrid/V7ODBCProvider.cpp [z_1cpp_2-0-3] 1.7.8.2:
	* Source/CursorGrid/V7ODBCProvider.h [z_1cpp_2-0-3] 1.4.8.2:
		[-] исправлена ошибка в формировании списка параметров
		http://www.1cpp.ru/forum/YaBB.pl?num=1158481252/15#15

2006-11-23	fez
	* Documents/txt2html.bat 1.4:
		Добавил кавычки для того, чтобы можно было использовать данный ба
		тник, как самостоятельную утилиту, с длинными путями с пробелами
		.

2006-11-23	artbear
	* Source/ComponentClass.cpp 1.87:
	* Source/ComponentClass.h 1.53:
	* Source/CreateMetaInfoClasses.cpp 1.16:
	* Source/MapDefMethod.h 1.4:
	* Testing/UnitTests/LoaderUnitTests/ЗапускЮнитТестов/МодульФормы.1s 1.4:
	* Testing/UnitTests/OOP/Тесты_КомпиляцияКласса/МодульФормы.1s 1.17:
		[+] новый метод "MetaInfoClasses::ОчиститьДанныеОптимизацииКлассов/ClearClassOptimizationData"
		[+] решение проблемы по сбросу оптимизации для классов КОП
		[*] небольшой рефакторинг
		[*] соответствующий тест

	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучай.txt 1.23:
		[*] метод "ПроверитьНастройку" выдавал ошибку на 2.0.3.1 -
		сейчас в этом случае метод ничего не делает.

	* Testing/UnitTests/FormEx/FormExТесты.txt 1.23:
	* Testing/UnitTests/SpecialClasses/defcls.prm 1.23:
	* Testing/UnitTests/SpecialClasses/НоваяСтрокаЧерезКонтекст_Тесты.txt 1.1:
		[*] тесты по добавлению новой строки в табличную часть документа удалены из тестов FormEx
		и перенесены в новый класс "НоваяСтрокаЧерезКонтекст_Тесты"

	* Testing/UnitTests/TurboBL/TurboBLТесты.txt 1.7:
		[*] мелкий рефакторинг

	* Testing/UnitTests/LoaderUnitTests/ТестовыйСлучай.txt 1.22:
		[+] новый метод " ПроверитьНастройку" для проверки настройки комп
		оненты

	* Testing/ExtForms/UnitTests/КлассПерехватчикГК/gcomp.ini 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК/gcomp.ver 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК/МодульФормы.1s 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК/ОбъектыМетаданных.txt 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК/Структура.mdp 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК/Форма.frm 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_События/gcomp.ini 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_События/gcomp.ver 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_События/МодульФормы.1s 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_События/ОбъектыМетаданных.txt 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_События/Структура.mdp 1.1:
	* Testing/ExtForms/UnitTests/КлассПерехватчикГК_События/Форма.frm 1.1:
	* Testing/UnitTests/SpecialClasses/defcls.prm 1.22:
	* Testing/UnitTests/SpecialClasses/ПерехватчикТесты.txt 1.1:
		[+] Тесты класса "Перехватчик"

	* Source/System/GroupContextWrap.cpp 1.11:
		[-] Исправлено: в определенных ситуациях происходил вызов неверно
		й функции в классе обработчика

2006-11-22	trad
	* Source/CursorGrid/SQLProvider.cpp 1.6:
	* Source/CursorGrid/SQLProvider.h 1.6:
	* Source/CursorGrid/V7ODBCProvider.cpp 1.9:
